# Generated by Makefile. Do not edit.

commit 1f05e29c8c6877755611864b5f2097a5a7524680
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu May 26 16:40:52 2016 -0400

    3.21.2

M	NEWS

commit 2029b1ceb4b07259d84203754a53a148364ca082
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Fri May 13 18:34:41 2016 +0200

    build: Bump soname and version for new API
    
    So that gnome-control-center can depend on that newer version.

M	configure.ac

commit 5ab8507ed33e0e22582d76c63807f49d68d96f4b
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Tue Apr 21 17:41:46 2015 +0200

    rr: Add API to know if a GnomeRRMode is interlaced
    
    This includes a change in the DBus API which now includes the mode
    flags.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763833

M	libgnome-desktop/gnome-rr-debug.c
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h
M	libgnome-desktop/meta-xrandr-shared.h
M	libgnome-desktop/xrandr.xml

commit 50ca7c5a40e832a9ae1ef69961476189c0ceb21f
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Mon May 9 16:12:00 2016 +0000

    Updated Occitan translation

M	po/oc.po

commit c2e7fad0a7e9f78e99058f805cf1428e65622fa2
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Apr 26 14:56:26 2016 -0400

    3.21.1

M	NEWS
M	configure.ac

commit c081de0bf27e9d9bd0f3fe2e93fdb1cfaf4f2e68
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Apr 11 09:07:10 2016 -0400

    3.20.1

M	NEWS
M	configure.ac

commit 0a36b9f1259ebef841b48c2190564fca056a7bf4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 21 15:57:32 2016 -0400

    3.20.0

M	NEWS
M	configure.ac

commit c37ea2ac444f9c567724ab46d8874b4c3570bf2b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Mar 17 15:12:47 2016 +0100

    3.19.93

M	NEWS

commit 0a74cc9a0f1c154d3e776fab4896c76c30a103a7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Mar 17 14:49:17 2016 +0100

    build: Bump soname and version for new API
    
    So that gnome-control-center can depend on that newer version.

M	configure.ac

commit 3721282fc6377fa42158ca8a1b2022f6f252b44e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 15 17:41:34 2016 +0100

    rr: Also export the frequency as a floating point number
    
    It was getting truncated to an integer, which isn't precise enough in
    some cases.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655041

M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit 8fb43d9e7c5bb8bcf17e3543ff0eb1833174b86e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 14 06:55:42 2016 -0400

    3.19.92

M	NEWS
M	configure.ac

commit 9d828022c5592583ab2842d9f3d4b0f06fd3115a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Mar 3 11:12:39 2016 -0500

    3.19.91

M	NEWS
M	configure.ac

commit 40b122df2ffb58de4e5e247f945815c3408cb1d5
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Fri Feb 26 20:15:07 2016 +0000

    Updated Occitan translation

M	po/oc.po

commit 5c68bc3d353504553612aa183c3a2e08037703cf
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Thu Feb 25 22:20:49 2016 +0000

    Updated Swedish translation

M	po/sv.po

commit 75072547f6e1a40bde9fd1746b57f1b379069dca
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Tue Feb 23 02:11:26 2016 +0100

    thumbnail: Demote a log message from WARNING to DEBUG
    
    Failure to create a GdkPixbufLoader for a specific MIME type doesn't
    necessarily indicate an error. It is possible that the fallback code
    would still be able to parse the image data. For example, Canon CR2 RAW
    files have the MIME type image/x-canon-cr2. While we don't have a
    loader for that specific MIME type, the TIFF loader can still parse the
    data.
    
    In case the fallback code failed to parse the image data, we get a
    WARNING anyway:
      GnomeDesktop-WARNING **: Error creating thumbnail for ...
    
    Having a log message to indicate that we are using the fallback code is
    useful for debugging, but there is no need for the WARNING. It can be
    extra noise and needlessly interferes with things like
    G_DEBUG=fatal-warnings.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=762504

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit b8dab4946515e73a6a8dda90cb4a0396067315e0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Feb 15 21:24:35 2016 -0500

    3.19.90

M	NEWS
M	configure.ac

commit 7f8aae81980340ed0fd035385b016904cc46eaed
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Feb 15 20:47:00 2016 -0500

    3.19.4

M	NEWS
M	configure.ac

commit 104fb3d9397d7834762cf3b49e01c3f80d69af49
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Tue Feb 9 18:11:58 2016 +0100

    gnome-languages: Capitalize language and territory names
    
    Translations in iso-codes are inconsistent in their capitalization of
    language and territory names. That's not under our control, but we can
    automatically capitalize them since that's how our API consumers
    expect them to be.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761776

M	libgnome-desktop/gnome-languages.c

commit 389a3761cf70b20be40894ce3dbb2e81b25a1a79
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Tue Feb 9 17:38:21 2016 +0100

    gnome-languages: Use g_auto* macros where applicable
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761776

M	libgnome-desktop/gnome-languages.c

commit 9aab0e241f50cb51babb461671ef4a8a6d7c90f7
Author: Sam Spilsbury <smspillaz@gmail.com>
Date:   Tue Jul 21 13:12:05 2015 +0800

    Makefile: Move to AM_DISTCHECK_CONFIGURE_FLAGS
    
    Since automake 1.11.2 it is recommended that packages
    use AM_DISTCHECK_CONFIGURE_FLAGS instead of
    DISTCHECK_CONFIGURE_FLAGS as the latter is intended
    to be a user variable.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761888

M	Makefile.am
M	configure.ac

commit 5dca798ff9d6979a7b8c76892b0c6a5df0dabed7
Author: Cosimo Cecchi <cosimo@endlessm.com>
Date:   Mon Nov 4 17:22:20 2013 -0800

    Add default keyboard layout for Guatemala and Mexico
    
    Use the "latam" keyboard for these.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761886

M	libgnome-desktop/default-input-sources.h

commit 6f50c8a1e13169f7d748580517c48a27bdf32e5c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Thu Jan 28 16:58:54 2016 +0100

    libgnome-desktop: add an option to disable gnome-rr-debug
    
    Not everyone needs to have this program installed - e.g. when
    gnome-desktop is bundled in an xdg-app.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761258

M	configure.ac
M	libgnome-desktop/Makefile.am

commit 80a0acada5c96f4addf9cce4cef240a2d7875fc7
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 31 17:56:26 2016 -0500

    Rename reftest binary
    
    It is somewhat weird to have this in gnome-desktop with the
    same name as the test in GTK+. Rename it wallclock-reftest,
    to indicate what it tests.

M	tests/Makefile.am
R100	tests/gtk-reftest.c	tests/wallclock-reftest.c

commit 97900f23a83a5701f9a2dfca312cabd28128c4cb
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 31 17:52:43 2016 -0500

    Fix en_us reftest
    
    The reference was not correct here.

M	tests/en_US.utf-8.ref.ui

commit 189aa173933aaeb3430556e13581921c7558e4c1
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Wed Jan 27 10:07:19 2016 +0000

    Updated Friulian translation

M	po/fur.po

commit f32c389194289633e3569f4dcf5c728e73981cbd
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 24 12:07:25 2016 -0500

    thumbnail factory: Disconnect signal handlers in finalize
    
    We are seeing crashes in Fedora that point at the settings signal
    handlers getting run after the thumbnail factory is finalized.
    Explicitly disconnecting the handlers in finalize is the right
    thing to do, anyway.
    
    While we are at it, replace some of the cleanup code in finalize
    with g_clear_pointer and g_clear_object, as suggested by Colin.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761049

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit be70c67c7697c356561ea94199594daefe1adca2
Author: Rafael Fontenelle <rffontenelle@gmail.com>
Date:   Tue Jan 26 18:20:28 2016 +0000

    Updated Brazilian Portuguese translation

M	desktop-docs/fdl/pt_BR/pt_BR.po

commit 4d9a6ebda438bc556af98baa7014fb6067c34bb9
Author: Koop Mast <kwm@rainbow-runner.nl>
Date:   Fri Jan 8 01:46:37 2016 +0100

    gnome-languages: Check if language is !NULL in construct_language_name
    
    Language can't be NULL for this function since its purpose is to get
    us a normalized locale string and a locale string without language
    doesn't make sense.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=760304

M	libgnome-desktop/gnome-languages.c

commit 571db6a870f3d83013d321745ac4e997f853a6c6
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Fri Jan 8 14:59:26 2016 +0100

    gnome-languages: Return early if the locale didn't parse correctly
    
    There's no point in going further if we can't parse the locale and
    we can prevent crashes in some corner cases this way.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=760304

M	libgnome-desktop/gnome-languages.c

commit a07c8ce05a431d3e9b69ddaeef3d6407ab921bea
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Dec 15 14:22:04 2015 -0500

    3.19.3

M	NEWS
M	configure.ac

commit 64395382a6abfe574df8b20d155cda01d4d6e87d
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Dec 1 12:16:42 2015 +0000

    gnome-rr: Add braces to fix an ambiguous ‘else’ statement
    
    Recent versions of GCC (5.1.1) warn about this, which breaks building
    with -Werror.

M	libgnome-desktop/gnome-rr-output-info.c

commit 3a2555413928297b2621a84edf3fb1828115c229
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Nov 23 22:20:18 2015 -0500

    3.19.2

M	NEWS
M	configure.ac

commit 992e7e11c506ae82ae6fc64981d63ee48162b5b9
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:   Wed Oct 28 07:08:33 2015 +0000

    Updated German translation
    (cherry picked from commit 619058b72f97e7e949294691dacaa22e0567a146)

M	desktop-docs/fdl/de/de.po

commit c56dae3475845d676839a9b27ad7d49e376ac896
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Oct 27 06:47:23 2015 -0400

    3.19.1

M	NEWS
M	configure.ac

commit 72d4480aa328537cd3a21c81c9c5e31904273389
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Thu Oct 8 13:42:13 2015 +0000

    Updated Swedish translation

M	desktop-docs/fdl/sv/sv.po

commit 70d46d5cd8bac0de99fed21ee2247ec74b03991b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 5 14:15:57 2015 +0200

    build: Require the newest gdk-pixbuf
    
    Current development version of gdk-pixbuf is required for the
    GDK_PIXBUF_ERROR_INCOMPLETE_ANIMATION error.

M	configure.ac

commit f9b2c480e38de4dbdd763137709a523f206a8d1b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Oct 2 15:11:38 2015 +0200

    thumbnail: Ignore errors when not all frames are loaded
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=755672
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755982

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit d36987ad01ee4c7201751d8a007056fc6df1a08d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 30 10:52:50 2015 +0200

    tests: Remove unused gdkx.h include

M	libgnome-desktop/gnome-rr-debug.c

commit 0da4fa80fb016557c8490f7afeaa6c291c153110
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 30 10:52:36 2015 +0200

    gnome-xkb-info: Remove unused gdkx.h include

M	libgnome-desktop/gnome-xkb-info.c

commit 0e2f15588a89230e60a7dfe9f4164a8c17baa733
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Sep 22 17:23:50 2015 +1000

    gnome-rr: Fix turning off tiled monitors
    
    If you switch a tiled monitors off via the control panel,
    we need to propogate the change to the other tiles, when
    we get a geometry change.
    
    This fixes a problem with a tiled monitor only switching
    half off and confusing the desktop.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755384

M	libgnome-desktop/gnome-rr-output-info.c

commit a0d4b1f5fea1a00ac3b62c5f754c7832d84842b8
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 21 10:34:26 2015 -0400

    3.18.0

M	NEWS
M	configure.ac

commit 1dbe40fac0e9924552ce2692ec141e86ce3d5633
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Sun Sep 20 14:39:38 2015 +0000

    Updated French translation

M	desktop-docs/fdl/fr/fr.po

commit a64a4a0df53ca1533c80a2b4ba91d4edd6ed8dda
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Sun Sep 20 10:12:02 2015 +0000

    Updated Greek translation

M	desktop-docs/fdl/el/el.po

commit 6a4d12d931c4d31e9f4395786dfe7e4e40da7e78
Author: Kalev Lember <klember@redhat.com>
Date:   Tue Sep 15 16:19:19 2015 +0200

    3.17.92

M	NEWS

commit 42c17e95934f6aa43e1003b81cb849e3e236e89c
Author: Kalev Lember <klember@redhat.com>
Date:   Tue Sep 8 19:18:00 2015 +0200

    Post-release version bump
    
    This allows gnome-software to depend on gnome-desktop 3.17.92 for the
    cleanup macro support.

M	configure.ac

commit e4396139eff0d88f113aa5a5698e956215d4ee1d
Author: Kalev Lember <klember@redhat.com>
Date:   Tue Sep 8 19:02:46 2015 +0200

    Support g_autoptr() for all libgnome-desktop object types
    
    ... and bump glib dep to 2.44.0 for the cleanup macro support.
    
    This allows using e.g. g_autoptr(GnomeBG) in other programs, but does
    not make libgnome-desktop itself use g_autoptr.

M	configure.ac
M	libgnome-desktop/gnome-bg-crossfade.h
M	libgnome-desktop/gnome-bg-slide-show.h
M	libgnome-desktop/gnome-bg.h
M	libgnome-desktop/gnome-desktop-thumbnail.h
M	libgnome-desktop/gnome-idle-monitor.h
M	libgnome-desktop/gnome-pnp-ids.h
M	libgnome-desktop/gnome-rr-config.h
M	libgnome-desktop/gnome-rr.h
M	libgnome-desktop/gnome-wall-clock.h
M	libgnome-desktop/gnome-xkb-info.h

commit 4c35a8201131c3382a4b7106c110e3ceceea04d2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jul 15 17:56:14 2015 +0200

    po: Fix English US translations
    
    The default English translation, used for US English, and other
    untranslated English locales (so, not en_GB or en_CA) should match
    the default "untranslated" strings.
    
    This was lost when support for ratio separators was added.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752303

M	po/en.po

commit a8c5ccc1b659a4e2b7658864eb35ce0f77602123
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Aug 31 00:57:35 2015 +0200

    Updated Polish FDL translation

M	desktop-docs/fdl/pl/pl.po

commit f475441bdfd5003658e05bcb92f9da61c01814da
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Wed Aug 26 12:33:29 2015 +0000

    Updated Chinese (Taiwan) translation

M	po/zh_TW.po

commit 168935338f44420da0a28a2ea265707b051c3e1b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Aug 25 15:45:09 2015 +0200

    Updated Polish translation

M	po/pl.po

commit 2daddf35240088b27fabe782af1b9ab4318de63e
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:   Wed Aug 19 06:32:22 2015 +0000

    Updated Hungarian translation

M	desktop-docs/fdl/hu/hu.po

commit 9ceef4943d7a508a3b51cabce68dab6cfe679eb8
Author: Kalev Lember <klember@redhat.com>
Date:   Tue Aug 18 14:54:27 2015 +0200

    3.17.90

M	NEWS
M	configure.ac

commit aa5ab7637e9cfee4b04f1a44b4be12f188a4ab76
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Aug 18 14:13:18 2015 +0200

    Updated Spanish Translation

M	desktop-docs/fdl/es/es.po

commit aed49e020b5461f54f541c4752c6c9f38e9d89a3
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sat Aug 15 08:30:23 2015 +0000

    Updated Swedish translation

M	desktop-docs/fdl/sv/sv.po

commit 25a26567867fdd40c7548c2c3267f513639ae26d
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sun Aug 2 12:31:45 2015 +0200

    docs: Fix comment typo
    
    https://bugzilla.gnome.org/show_bug.cgi?id=747714

M	docs/reference/gnome-desktop3/Makefile.am

commit 618d3d2e10ea5020a0085831d3e9d7e7eb87a3e4
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sun Aug 2 12:27:18 2015 +0200

    Fix typo in GNU FDL copy
    
    https://bugzilla.gnome.org/show_bug.cgi?id=747714

M	desktop-docs/fdl/C/index.docbook

commit 828f5fbc808d4f8dbcbb92df0231bb423a02e0f1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jul 20 23:18:54 2015 -0400

    3.17.4

M	NEWS

commit fd20e6cef699fc1519b5606ea8f897bce72cdd70
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Fri Jul 3 13:56:50 2015 -0700

    gnome-rr: remove unused EDID parsing code
    
    This is provided by Mutter these days. We can remove the in-tree unused
    code.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=751928

M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt
M	libgnome-desktop/Makefile.am
D	libgnome-desktop/edid-parse.c
D	libgnome-desktop/edid.h
M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr-output-info.c
M	libgnome-desktop/gnome-rr.c

commit 12ed155a0679367cf94f4dd919868a334a791804
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Fri Jul 3 13:58:23 2015 -0700

    docs: remove private types from sections.txt

M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt

commit 85c903d7bec61ed1f0f0d1ef6c55822d27fd100e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Fri Jul 3 13:53:47 2015 -0700

    gnome-languages: fix a GCC warning

M	libgnome-desktop/gnome-languages.c

commit 8f4eb2b9441f74bc4ce01a19af7fe0c9c7efa8d8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Fri Jul 3 13:49:58 2015 -0700

    docs: add more private files to the ignore list

M	docs/reference/gnome-desktop3/Makefile.am

commit 24b555562e8c475fbebc0388c5ca27a094a17647
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Fri Jul 3 13:42:16 2015 -0700

    docs: add more missing documentation to sections.txt

M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt

commit 556eb88be4234b983ef18e2e19ac8b2e73df5a59
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Wed Jul 1 18:14:45 2015 -0700

    docs: add missing methods for underscanning
    
    https://bugzilla.gnome.org/show_bug.cgi?id=751814

M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt

commit 6ca97207ad94316783bd8a7b605192caa7a95f0b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Wed Jul 1 18:03:04 2015 -0700

    gnome-rr: add a method to discover when underscanning is supported
    
    So that the control center will be able to hide/show a checkbox
    accordingly when the hardware supports it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=751814

M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit 27ce2df1ef6f8606c082137a2132f4be535572f4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 2 19:11:27 2015 +0200

    gnome-rr: Add dpms-mode information in debug
    
    When the DPMS mode changes, print the new value.

M	libgnome-desktop/gnome-rr-debug.c

commit 367bfb724a4f8c00b613023a3141f70588f12242
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jul 1 20:04:50 2015 +0200

    gnome-rr: Add dpms-mode property
    
    So that other parts of the desktop environment can monitor the state of
    the power saving mode, and disable their own power consuming tasks when
    the screens are off.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=751794

M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit cb29d64b012b3c9ab11a04dd7b4933a73475d0f6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 2 16:36:56 2015 +0200

    gnome-rr: Remove unused GNOME_RR_DPMS_DISABLED
    
    GNOME_RR_DPMS_DISABLED is one of the possible values of GnomeRRDpmsMode
    that's not currently used, and would trigger an assertion if passed to
    gnome_rr_screen_set_dpms_mode().
    
    https://bugzilla.gnome.org/show_bug.cgi?id=751794

M	configure.ac
M	libgnome-desktop/gnome-rr.h

commit b1c0a99db9f117c9fb84720d599570c27120e2a1
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   Tue Jun 16 14:22:58 2015 +0900

    gnome-xkb-info: Add method to get languages from layout

M	libgnome-desktop/gnome-xkb-info.c
M	libgnome-desktop/gnome-xkb-info.h

commit 783caa7882bdfa39b08ed1834457de030c365508
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jul 1 10:44:23 2015 +0200

    build: Bump version for tiled monitors API changes

M	configure.ac

commit 40a5b4c9522c19cc5bbb2f5262c5e8347b581f87
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Oct 14 13:03:29 2014 +1000

    gnome-rr: add tiled monitor support
    
    This adds the interfaces to allow for tiled
    monitor support via gnome-desktop.
    
    1) add output config get/set tiled geometry/rotation support
    
    These hide under the standard APIs, and just set the
    state for the tiled outputs by setting the primary
    tile up.
    
    2) add output config API to get primary tile
    
    3) add tile flags to modes - add gather function
    to create tiled modes for primary outputs.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=750311

M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr-config.h
M	libgnome-desktop/gnome-rr-debug.c
M	libgnome-desktop/gnome-rr-output-info.c
M	libgnome-desktop/gnome-rr-private.h
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit 456d4817924fe72b0dea300b2b18800abf3251e2
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Mon Jun 29 22:45:25 2015 +0000

    Updated Portuguese translation

M	po/pt.po

commit b8d3bd3cfe55bf0cb9283ab51da14dfdf42bece3
Author: Frédéric Péters <fpeters@0d.be>
Date:   Wed Jun 24 13:39:16 2015 +0200

    3.17.3

M	NEWS
M	configure.ac

commit 31f3e80e87948ce76978d0ed2862a9f3816ed1c9
Author: Frédéric Péters <fpeters@0d.be>
Date:   Wed Jun 24 13:36:24 2015 +0200

    build: link installed-tests against all libraries

M	tests/Makefile.am

commit f8cd153c7dfd6f143d2723c63b4a0f9998b91ea9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue May 26 17:15:35 2015 -0400

    3.17.2

M	NEWS
M	configure.ac

commit 41bd919e56098857184cf32e76efa985ed25d51a
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Sat May 16 06:55:43 2015 +0000

    Updated Occitan translation

M	po/oc.po

commit ee25e90ddf3d1f90ab407a85f23502e49b4b1512
Author: Tomeu Vizoso <tomeu.vizoso@collabora.com>
Date:   Wed Apr 16 10:41:10 2014 +0200

    GnomeRR: Add support for the underscan property
    
    To get and set whether overscan compensation is active in a given
    output.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748560

M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr-config.h
M	libgnome-desktop/gnome-rr-output-info.c
M	libgnome-desktop/gnome-rr-private.h
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit 7d9afa2b4a5be72f4fe88f8e21530b07472741c5
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Apr 14 20:03:19 2015 -0400

    3.16.1

M	NEWS
M	configure.ac

commit 442bc96fc991333123486028d18c337f2a8cf519
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 23 09:27:08 2015 -0400

    3.16.0

M	NEWS
M	configure.ac

commit e53b92af467f1861e0ce4755e6a31fd0c82c0fe9
Author: Daniel Martinez <dmartinez@src.gnome.org>
Date:   Thu Mar 19 23:39:31 2015 +0100

    Update Aragonese translation

M	po/an.po

commit 80f052cb854433e1aa2059ce8ab55d20c66f8c99
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 16 17:00:22 2015 -0400

    3.15.92

M	NEWS
M	configure.ac

commit bd987a0cc78dc0689a3690e58a8776086500d3bd
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:   Fri Mar 13 20:44:42 2015 +0000

    Updated Bosnian translation

M	po/bs.po

commit 8052f8fa647fb24d603c0590590c3043f2d68cf3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 2 09:38:19 2015 -0500

    3.15.91

M	NEWS
M	configure.ac

commit c35e6f1cb1766f660478e8e74bf9f28912266c18
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Feb 16 09:25:32 2015 -0500

    3.15.90

M	NEWS
M	configure.ac

commit c394ae44e99e3edc6d3ae926fb00e58d63aefe4c
Author: Colin Walters <walters@verbum.org>
Date:   Thu Feb 5 13:51:10 2015 -0500

    Drop libgsystem submodule, stop using O_NOATIME
    
    The entire rationale for adding this _noatime function was fairly
    bogus.
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=680326
    
    But the Linux kernel doesn't permit non-root users to use it for
    root-owned files - which is the default for real world GNOME
    installations.  We end up doing twice the syscall traffic with no
    benefit at all.
    
    The patch does work in jhbuild, but honestly the relatime handling is
    generally OK for this, and where it's not, change your system to mount
    O_NOATIME.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708453

M	.gitmodules
M	autogen.sh
M	configure.ac
M	docs/reference/gnome-desktop3/Makefile.am
M	libgnome-desktop/Makefile.am
M	libgnome-desktop/gnome-desktop-thumbnail.c
D	libgnome-desktop/libgsystem

commit 7e73247c57af28d7b6de71ec7d7e01e18f249922
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Thu Jan 29 15:49:34 2015 +0000

    Updated Icelandic translation

M	po/is.po

commit d799a37034c396378364549f92d0217589ecda90
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jan 20 11:35:22 2015 -0500

    3.14.5

M	NEWS
M	configure.ac

commit d0673a1c41a3d0021940d13cc6508c719220c4e7
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Thu Jan 8 14:35:24 2015 -0800

    gnome-rr-config: Remove checks around g_strdup
    
    g_strdup already handles NULLs just fine.

M	libgnome-desktop/gnome-rr-config.c

commit 7fdf9210181c9a54ac0efeb2373b80555842b9f1
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Jan 7 18:06:35 2015 -0800

    gnome-rr-config: Make sure to copy over vendor/product/serial
    
    When GnomeRROutputInfo is normally created, we strdup the
    vendor/product/serial strings that we read from EDID. When it's
    finalized, we free them as well.
    
    When we copy the output info, we actually copy the raw struct, and then
    selectively strdup members that we care about. When the copy is freed,
    we then free the pointer that we dup'd from. When the original output
    info is freed, this leads to a double-free. Due to coincidences, on x86,
    this doesn't lead to a crash, but on ARM, the heap is completely
    corrupted.
    
    To prevent this, when we copy the output infos, strdup them from the
    original output as well. We really should clean this API up so that it's
    not so awfully RandR-y in style, since it's obvious that the APIs we
    have aren't great and really aren't what we need.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=742569

M	libgnome-desktop/gnome-rr-config.c

commit d529430557a354a45f35454c3c2cae01b6602f76
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Wed Jan 7 16:37:10 2015 +0100

    docs: Fix warnings about acronyms when building docs
    
    https://bugzilla.gnome.org/show_bug.cgi?id=742479

M	docs/reference/gnome-desktop3/gnome-desktop3-docs.sgml

commit 6f9930c4227de12fdda14dce48e13967c432ba8a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 6 20:23:51 2015 +0100

    docs: Remove use of tmpl
    
    See https://mail.gnome.org/archives/desktop-devel-list/2014-February/msg00000.html
    
    https://bugzilla.gnome.org/show_bug.cgi?id=742479

M	configure.ac
D	docs/reference/gnome-desktop3/tmpl/gnome-desktop-item.sgml
D	docs/reference/gnome-desktop3/tmpl/gnome-desktop-unused.sgml

commit 96e28a5e5ea535cacb8b8e7cec354e02f3ae06cb
Author: Cosimo Cecchi <cosimo@endlesm.com>
Date:   Tue Dec 30 16:18:28 2014 +0800

    languages: plug memory leaks
    
    https://bugzilla.gnome.org/show_bug.cgi?id=742111

M	libgnome-desktop/gnome-languages.c

commit 488eab89aaedcbaac09b610b0ce5ae6a939248e2
Author: Cosimo Cecchi <cosimo@endlesm.com>
Date:   Tue Dec 30 15:56:16 2014 +0800

    GnomeRROutputInfo: plug some memory leaks
    
    https://bugzilla.gnome.org/show_bug.cgi?id=742111

M	libgnome-desktop/gnome-rr-output-info.c

commit 5ad56e1e7d52b34edf0abbdced472c08cd70e6d5
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Dec 15 09:11:57 2014 -0500

    3.15.3

M	NEWS

commit 5b28350d3229d36d7c64084e52f5a40ee5903723
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Dec 10 23:41:11 2014 +0000

    thumbnail: Fix a code path where the mutex is never unlocked
    
    Fix one unusual code path where the GnomeDesktopThumbnailFactory’s mutex
    is not unlocked before the function returns. As well as the usual
    deadlock issues, this would lead to an abort on shutdown with recent
    GLib changes, as g_mutex_clear() would be called on the locked mutex,
    which GLib now (correctly) complains about.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740666

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit 3019eb8cbbcac06055ee1fe6543f168c5bb53604
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Dec 5 14:50:14 2014 +0100

    build: Post-release version bump

M	configure.ac

commit 731bf19a890eca90ab294b212358dc134b5a82ee
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Dec 5 14:46:10 2014 +0100

    3.15.2.1

M	NEWS
M	configure.ac

commit ef0f02e3a248e0892de282b6ac7673b0c8c74798
Author: Sebastian Keller <sebastian-keller@gmx.de>
Date:   Fri Dec 5 00:20:10 2014 +0100

    thumbnail: Include the filename in the thumbnail path
    
    thumbnail_path did not include the actual filename in its result after
    calculating it. This breaks things in save_thumbnail which assumes
    receiving a file path rather than a directory path.
    
    See original code before clean ups at:
    https://git.gnome.org/browse/gnome-desktop/tree/libgnome-desktop/gnome-desktop-thumbnail.c?id=f2d25fa7d6cdaba03679f0fc0921fc5f81bd3944#n1060
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684026

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit ef4734f80d7862426714d3720700cf4526499997
Author: Sebastian Keller <sebastian-keller@gmx.de>
Date:   Fri Dec 5 00:13:54 2014 +0100

    thumbnail: Don't fail after successfully creating the cache directory
    
    g_mkdir_with_parents returns 0 on success or if the directory already
    exists, which caused the code to go into the failure path rather than
    generating the thumbnail.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684026

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit 6b0bc7090a62b1cf6b15c08661a9901aaac98808
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Nov 25 06:23:31 2014 -0500

    3.15.2

M	NEWS
M	configure.ac

commit a429b0d8d2e1acaad610d47071d7d2da418116ba
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Tue Nov 25 08:47:14 2014 +0700

    Updated Vietnamese translation
    
    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit 97f6f7762d3ec80719087bca31151cd99b0e2ef9
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Sep 5 18:49:21 2012 -0300

    thumbnail: Move thumbnail generation/saving to a few helper functions
    
    Another cleanup in preparation for a new "simple" thumbnail API.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684026

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit 57c18b88f2f4e0c80579ca6088af982b5a40fb06
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Sep 5 18:07:09 2012 -0300

    thumbnail: Clean up path generation code
    
    Put the path calculation code in one spot.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684026

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit 8abaa436f7b498d4e08de034f37bafdd3d88be45
Author: Jan-Michael Brummer <jan.brummer@tabos.org>
Date:   Tue Nov 18 19:13:33 2014 +0100

    gnome-rr: Adding DSI as a builtin display connector
    
    Add DSI to the output name in
    _gnome_rr_output_name_is_builtin_display() to enable screen
    rotation on Dell Venue 8 Pro.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740289

M	libgnome-desktop/gnome-rr.c

commit 3d805a5c3533455946f2564fc5f7d69f21bf71c4
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Wed Nov 12 20:14:38 2014 +0100

    bg-slide-show: Fix annotation

M	libgnome-desktop/gnome-bg-slide-show.c

commit 5e0514ced283326d79e781f0c86b684764201580
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 5 15:53:01 2014 +0100

    tests: Turn the tests into installed tests
    
    https://bugzilla.gnome.org/show_bug.cgi?id=737140

M	tests/Makefile.am
M	tests/gtk-reftest.c

commit c1302b2e360c4b7721f69b9eac3be2845b7310e1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 5 15:36:25 2014 +0100

    tests: Remove unused JSON related variable

M	tests/Makefile.am

commit 839ffcc7ecc1aacf0666c81894c331215d632ce7
Author: Ray Strode <rstrode@redhat.com>
Date:   Fri Oct 31 16:30:40 2014 -0400

    Revert "gnome-bg: drop unused APIs"
    
    This reverts commit 786336cc7cfaa8e4a0acafe5b9868950e538b740.

M	libgnome-desktop/Makefile.am
A	libgnome-desktop/gnome-bg-crossfade.c
A	libgnome-desktop/gnome-bg-crossfade.h
A	libgnome-desktop/gnome-bg.c
A	libgnome-desktop/gnome-bg.h

commit 786336cc7cfaa8e4a0acafe5b9868950e538b740
Author: Ray Strode <rstrode@redhat.com>
Date:   Fri Oct 31 15:09:51 2014 -0400

    gnome-bg: drop unused APIs
    
    They aren't used, and don't work on wayland systems anyway.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=739463

M	libgnome-desktop/Makefile.am
D	libgnome-desktop/gnome-bg-crossfade.c
D	libgnome-desktop/gnome-bg-crossfade.h
D	libgnome-desktop/gnome-bg.c
D	libgnome-desktop/gnome-bg.h

commit 1403b477ce31d0ec6a084e0b0c4411f233820ed7
Author: Ray Strode <rstrode@redhat.com>
Date:   Fri Oct 31 14:59:47 2014 -0400

    gnome-rr: drop gdkx include
    
    it's not used.

M	libgnome-desktop/gnome-rr.c

commit f2d25fa7d6cdaba03679f0fc0921fc5f81bd3944
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Oct 29 13:24:25 2014 -0400

    3.15.1

M	NEWS
M	configure.ac

commit 093e0a549c2ab2e465494105126ea7046f26e047
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Jan 20 22:38:10 2014 +0100

    languages: Use a more broadly compatible locale codeset suffix
    
    At least OpenBSD's libc doesn't accept 'utf8' as a locale codeset
    suffix but does accept 'UTF-8'. Since GNU libc accepts both suffixes
    let's use the one which works on a broader set of systems.
    
    Thanks to Stefan Sperling and Antoine Jacoutot.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710412

M	libgnome-desktop/gnome-languages.c

commit fce0b632c32d7ec1b1c052a6e0ffcefc1b133126
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 14:42:38 2014 +0200

    tests: Remove unused code in gtk-reftest
    
    https://bugzilla.gnome.org/show_bug.cgi?id=737123

M	tests/gtk-reftest.c

commit a21a40587e84cec0b2b9d3ee05d99280d0d0931c
Author: Bahodir Mansurov <6ahodir@gmail.com>
Date:   Sun Oct 19 22:21:07 2014 -0400

    Update Uzbek@cyrillic translation

M	po/uz@cyrillic.po

commit 3c6503624797c31b10d25869957c157cd4a588a3
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Tue Oct 14 17:28:58 2014 +0200

    3.14.1

M	NEWS
M	configure.ac

commit 68e0bc9ccfb14fb3ff5ef3c984338dfb6c0940ec
Author: Krasimir Chonov <mk2616@abv.bg>
Date:   Sat Oct 4 07:51:58 2014 +0300

    Updated Bulgarian translation

M	po/bg.po

commit be531e82d0a0ec4fd0186dc0068f78c0c4810bc5
Author: Saibal Ray <sray@redhat.com>
Date:   Fri Sep 26 06:03:07 2014 +0000

    Updated Bengali (India) translation

M	po/bn_IN.po

commit 4a93289618431ca70af29295aa5532d0f20c6722
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 25 10:26:26 2014 +0200

    tests: Print the calculated date in the test logs

M	tests/gtk-reftest.c

commit cc788731c06f847e2b8d10678002c530bb911e6f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 22 17:23:05 2014 +0200

    3.14.0

M	NEWS
M	configure.ac

commit 11138c5ad3e6bd3a76fde6bc0ec353af9a860938
Author: Rajesh Ranjan <rajeshkajha@yahoo.com>
Date:   Sat Sep 20 16:45:36 2014 +0000

    Updated Hindi translation

M	po/hi.po

commit bbe16dd96997470dbf72c0381cc6c80384f3bce9
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Sep 15 20:59:04 2014 +0200

    3.13.92

M	NEWS
M	configure.ac

commit 68d8ae5e3b111571a9d64882d01a6eb85a201760
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Mon Sep 15 21:29:53 2014 +0530

    Updated Marathi Translations

M	po/mr.po

commit ff53e3e3d8bffc3ec923889b2e698c334b649284
Author: Shankar Prasad <prasad.mvs@gmail.com>
Date:   Sun Sep 14 10:44:41 2014 +0000

    Updated Kannada translation

M	po/kn.po

commit fa10ede38230524e5e53dc85d5fdc2c964634fc7
Author: Manoj Kumar Giri <mgiri@redhat.com>
Date:   Fri Sep 12 08:52:18 2014 +0000

    Updated Oriya translation

M	po/or.po

commit d9baa4e0c5ab7799ccb84689dc18d544ed95dd5b
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Fri Sep 12 12:29:44 2014 +0530

    Updated gujarati translations

M	po/gu.po

commit f209a414dbec435e2c00d7f52424a3d1dafc4e4c
Author: Patrick Welche <prlw1@cam.ac.uk>
Date:   Thu Sep 11 17:07:15 2014 +0200

    whitespace

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit b9547595ac9fa2a08318589e060778de03897242
Author: Patrick Welche <prlw1@cam.ac.uk>
Date:   Thu Sep 11 17:06:12 2014 +0200

    thumbnail: don't call gs_file_read_noatime() on systems lacking openat()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=735974

M	configure.ac
M	libgnome-desktop/Makefile.am
M	libgnome-desktop/gnome-desktop-thumbnail.c

commit 3fc0ffe3b205e0faa0c884c596c38ab5343cc17d
Author: Patrick Welche <prlw1@cam.ac.uk>
Date:   Thu Sep 11 16:39:03 2014 +0200

    build: fix automake warnings
    
    https://bugzilla.gnome.org/show_bug.cgi?id=736482

M	docs/reference/gnome-desktop3/Makefile.am
M	libgnome-desktop/Makefile.am
M	tests/Makefile.am

commit ddd4dbeb92cd9f8301f7b11cfde67a559dbf172b
Author: Krishnababu Krothapalli <kkrothap@redhat.com>
Date:   Tue Sep 9 16:19:34 2014 +0530

    Updated Telugu translations

M	po/te.po

commit 329ccf8b548fe9f5d70ddfd4dc5b1e97a2def9cc
Author: Krishnababu Krothapalli <kkrothap@redhat.com>
Date:   Tue Sep 9 16:17:09 2014 +0530

    Updated Telugu translations

M	po/te.po

commit eb22e3aad2f48351193bc3aa8e238f92032fdb6d
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Tue Sep 2 21:09:58 2014 +0200

    3.13.91

M	NEWS
M	configure.ac

commit 76a0dd37e0e12bf4293a9580f48e1d144fa3afe3
Author: Sebastian Rasmussen <sebras@gmail.com>
Date:   Tue Sep 2 09:00:28 2014 +0000

    Updated Swedish translation

M	desktop-docs/lgpl/sv/sv.po

commit c4ad649aec5dfb0bfb2514b291d92a6d85e44543
Author: Sebastian Rasmussen <sebras@gmail.com>
Date:   Tue Sep 2 08:59:39 2014 +0000

    Updated Swedish translation

M	desktop-docs/gpl/sv/sv.po

commit 9ad5fbba62af84c9f882e7a7f93d5a3e6b0f3a94
Author: Sebastian Rasmussen <sebras@gmail.com>
Date:   Tue Sep 2 08:58:38 2014 +0000

    Updated Swedish translation

M	desktop-docs/fdl/sv/sv.po

commit b18bd36bb7bfaf6cd2fabcabb22025d15574e756
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Thu Aug 28 19:16:05 2014 +0200

    gnome-xkb-info: Fix adding layouts to language and country tables
    
    Layout->xkb_name isn't unique so we can't use it as a key in the hash
    table. Layout->id is the unique identifier that we should be using,
    otherwise some layouts would never get added.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=729210

M	libgnome-desktop/gnome-xkb-info.c

commit 004e897e391f1776fa3a010730ee733108e02c88
Author: Kalev Lember <kalevlember@gmail.com>
Date:   Thu Aug 21 14:17:55 2014 +0200

    3.13.90

M	NEWS
M	configure.ac

commit e7969d003eef118593d56bc24b4ed7f81a49ce92
Author: MarMav <mavridou@gmail.com>
Date:   Wed Aug 13 12:12:34 2014 +0000

    Updated Greek translation

M	po/el.po

commit 768fe7f5cf9c73ff78d4c5836b9186b5ba28313c
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:   Tue Aug 12 17:59:29 2014 +0200

    gnome-rr: Drop non-existent gnome_rr_screen_create_clone_modes

M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt
M	libgnome-desktop/gnome-rr.h

commit 6f1368bbc7d6649ed9340806def01ff00c407121
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:   Tue Aug 12 15:57:32 2014 +0200

    gnome-rr: Add some missing annotations

M	libgnome-desktop/gnome-rr.c

commit 79aba7352ae555b560b81697109de2557a640d38
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jul 31 18:57:18 2014 +0200

    doap: add <programming-language>

M	gnome-desktop.doap

commit 74ef69bf30129edab22418d2464f4aec4ea391d4
Author: Olav Vitters <olav@vitters.nl>
Date:   Wed Jul 30 19:49:17 2014 +0200

    remove comment

M	gnome-desktop.doap

commit 93a0ea7aa612cd5f1f54a5aa3df41330db523efe
Author: Olav Vitters <olav@vitters.nl>
Date:   Wed Jul 30 16:28:47 2014 +0200

    doap category core

M	gnome-desktop.doap

commit 713cd3a5bab8beefd8ec20e761e1c5f41ea72c31
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Wed Jul 23 19:22:08 2014 +0200

    3.13.4
    
    Bump version for the 3.13.4 release. No other changes.

M	configure.ac

commit 2f6c5bf32f0efe8e1ce8d0d81e4812439f486d87
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jun 26 12:35:11 2014 -0400

    3.13.3

M	NEWS
M	configure.ac

commit d88f70a9792a22917e8ee1a1ac3a351e2f6be686
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jun 26 12:51:38 2014 -0400

    Ignore deprecations in tests
    
    This is recent GLib breakage. Don't let that ruin our tests.

M	tests/Makefile.am

commit 7a76cae522ff64e9da3677fea83d7a1cfc61855a
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sat Jun 7 20:32:43 2014 +0000

    Updated Swedish translation

M	po/sv.po

commit a6e0ef670640607061112bd040094c2449cf7807
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri May 30 19:34:04 2014 +0200

    Updated POTFILES.skip

M	po/POTFILES.skip

commit dcea579c53ad0269451287bf3fae90d6c40f93d5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 14:02:16 2014 +0200

    tests: Add reftest UI files
    
    We'll test a few locales and their outputs.

A	tests/C.ref.ui
A	tests/C.ui
M	tests/Makefile.am
A	tests/en_US.utf-8.ref.ui
A	tests/en_US.utf-8.ui
A	tests/he_IL.utf8.ref.ui
A	tests/he_IL.utf8.ui

commit dc61705eda1c446cf8751b64fe39432699b92730
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 11:35:26 2014 +0200

    tests: Add gtk-reftest to compare GTK+ outputs
    
    For each UI file, we'll compare the GTK+ output from the wall-clock for
    that particular locale with a reference UI file.
    
    This way, we can test whether we regress in terms of RTL handling.

M	tests/Makefile.am
A	tests/gtk-reftest.c

commit f816ad4a103b678a33dab42b352a67721f07633d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 14:00:59 2014 +0200

    wall-clock: Export gnome_wall_clock_string_for_datetime()
    
    gnome_wall_clock_string_for_datetime() will be used for debugging
    purposes.

M	libgnome-desktop/gnome-wall-clock.c
M	libgnome-desktop/gnome-wall-clock.h

commit 48c171857e167c86e71e55594ce78ab844185687
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 30 14:00:34 2014 +0200

    test-wall-clock: Fix compile-time warning
    
    Innocuous, but annoying.

M	libgnome-desktop/test-wall-clock.c

commit cb9597ac27bd0c629437d61e7dfd1a5582924201
Author: Kalev Lember <kalevlember@gmail.com>
Date:   Tue May 20 23:27:21 2014 +0200

    tests: Add a wall clock test for the notify::clock callback
    
    https://bugzilla.gnome.org/show_bug.cgi?id=730447

M	tests/wall-clock.c

commit 2616fe3049475fc8797083d3827ae2e433cb791e
Author: Kalev Lember <kalevlember@gmail.com>
Date:   Tue May 20 23:00:15 2014 +0200

    tests: Add a wall clock test for 12/24h gsettings switch
    
    https://bugzilla.gnome.org/show_bug.cgi?id=730447

M	tests/wall-clock.c

commit 4faf1d2739b19b66ef41b5f35b75f0a7d4382fcc
Author: Kalev Lember <kalevlember@gmail.com>
Date:   Tue May 20 22:15:03 2014 +0200

    tests: Add a wall clock test for colon vs ratio character use
    
    https://bugzilla.gnome.org/show_bug.cgi?id=730447

M	tests/wall-clock.c

commit 665125ef9d26cd47f9438a2b5212806137a373e9
Author: Kalev Lember <kalevlember@gmail.com>
Date:   Thu Mar 13 12:13:40 2014 +0100

    wall-clock: Always use the ratio character for time strings
    
    Since the ratio character looks visually more pleasing in time strings,
    replace colons with the ratio characters whenever possible.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726232

M	libgnome-desktop/gnome-wall-clock.c

commit 08406dc293a24fe90340cc79865a27ac8dd25777
Author: Kalev Lember <kalevlember@gmail.com>
Date:   Tue May 20 14:30:29 2014 +0200

    Add testsuite skeleton
    
    https://bugzilla.gnome.org/show_bug.cgi?id=730447

M	Makefile.am
M	configure.ac
A	glib-tap.mk
A	m4/glibtests.m4
A	tap-driver.sh
A	tap-test
A	tests/Makefile.am
A	tests/wall-clock.c

commit 7eb66fe1401ffac2264795dba1470958b5b443e3
Author: Javier Jardón <javier.jardon@codethink.co.uk>
Date:   Wed May 28 12:58:57 2014 +0100

    3.13.2

M	NEWS
M	configure.ac

commit b5898354165aa33b7cf77fbeeeebbe5477b618d4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 16 11:28:51 2014 +0200

    gnome-rr: Output the EDID vendor/product info as well

M	libgnome-desktop/gnome-rr-debug.c

commit 5f9410a19d7b322c57746ffbffb24e7951ebaaf5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 16 11:01:36 2014 +0200

    gnome-rr: Add backlight output in debug

M	libgnome-desktop/gnome-rr-debug.c

commit 54f68ab0e4f745806969ae0221e2fa8bcd727e4a
Author: Juan Antonio Marin <tonin@uco.es>
Date:   Mon May 5 08:50:28 2014 +0200

    thumbnailer: Try harder to create a failed thumbnail
    
    If a failed thumbnail is created because the pixbuf fail to save
    (for instance if user is over quota) we should still try to rename
    the temporary file that might have been created.
    If not, the thumbnail will not be marked as failed, and thumbnailing
    will be reattempted.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728775

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit 9a206465d47151073fc1aa96da97179eb3753c1c
Author: Kalev Lember <kalevlember@gmail.com>
Date:   Fri May 2 15:04:45 2014 +0200

    3.13.1

M	NEWS
M	configure.ac

commit 5f90b305948b09bb65dfac4328fb8ee510127eac
Author: Kalev Lember <kalevlember@gmail.com>
Date:   Fri May 2 14:41:20 2014 +0200

    build: Don't use obsolete --disable-scrollkeeper for distcheck

M	Makefile.am

commit d160aac0d96c627b79212c15a426a8dab417b6b5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Apr 25 18:22:04 2014 +0200

    gnome-rr: Better debug application
    
    This change will make the debug application listen for changes and print
    them as they occur.
    
    Conflicts:
    	libgnome-desktop/gnome-rr-debug.c

M	libgnome-desktop/gnome-rr-debug.c

commit e6ba67b4de48db96a006829e9d326b06c9d4ba9f
Author: Antoine Jacoutot <ajacoutot@gnome.org>
Date:   Sat Apr 19 00:38:02 2014 +0200

    build: unbreak on OpenBSD
    
    On OpenBSD clock_gettime(2) is part of libc and there is not librt, so
    add an according check.

M	configure.ac
M	libgnome-desktop/Makefile.am

commit 223dea8d72e27fd6e448c880839dc92e754cd426
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Wed Apr 16 13:48:37 2014 +0200

    3.12.1

M	NEWS
M	configure.ac

commit 11eb5b0d93e46d2d63e1b108b0cf659ab8f30c77
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Tue Mar 25 17:39:21 2014 +0100

    gnome-rr: Actually define output_get_possible_crtcs
    
    Fallout from 817fd136603bf92294411345b2281b6ab0d37adf
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727034

M	libgnome-desktop/gnome-rr.c

commit 07480cb20cf4155a6e975a011211ea98d57037fa
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed Mar 26 15:35:09 2014 +0100

    gnome-rr: Initialize GnomeRROutputInfo:rotation to GNOME_RR_ROTATION_0
    
    Otherwise, the GnomeRROutputInfos representing connected but inactive
    outputs (ie. without an assigned CRTC) had their rotations set to
    GNOME_RR_ROTATION_NEXT, which is not a valid value. This leads to
    gnome_rr_config_applicable returning FALSE, because it thinks that one
    of the outputs require a rotation that is not supported by any of the
    available CRTCs.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=727023

M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr-output-info.c

commit 709a2957b22961114e2da69da5d5c849c2678027
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Mar 24 15:27:33 2014 +0100

    3.12.0

M	NEWS
M	configure.ac

commit 59443690fbd44fb9dde6395617d1d63c4ad1f1a1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 18 11:18:31 2014 +0100

    3.11.91

M	NEWS
M	configure.ac

commit b5a423d104e8484f0a3dd1f987e04919b83e72da
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Tue Mar 11 17:37:56 2014 +0100

    GnomeRR: remove unused variables
    
    I forgot to do it before pushing.

M	libgnome-desktop/gnome-rr.c

commit b84f31535f8e006200dcec2ea8c38286756911be
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Mon Mar 10 20:27:53 2014 +0100

    GnomeRR: force the DPMS mode change to mutter always
    
    Our cached DPMS mode value can be wrong in face of changes by
    other clients we haven't seen yet, so always send the change
    to mutter, and let it optimize away if needed (in practice,
    it should never optimize, because the only reliable source
    of DPMS state is the kernel driver, and several API calls
    can reset DPMS without any change notification)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=726055

M	libgnome-desktop/gnome-rr.c

commit 543dc327db81d741da093d8388c5bbf3901749ac
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Fri Mar 7 23:11:50 2014 -0300

    Updated Brazilian Portuguese translation

M	desktop-docs/gpl/pt_BR/pt_BR.po

commit 0e25df1cc9d37ebf245423667c7fcd712828a3f1
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Tue Feb 18 17:32:45 2014 +0100

    3.11.90

M	NEWS
M	configure.ac

commit 8b25e9fcbf67f728d65b16aaa4d2116304ddd113
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Nov 18 15:42:02 2013 +0100

    gnome-xkb-info: Apply main layout locale metadata to variants
    
    If a variant doesn't specify language/country metadata then we should
    file it under its main layout's language/country.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=711291

M	libgnome-desktop/gnome-xkb-info.c

commit 579456e7b66eaf0bccd07e1f6fb2a4f8101336b3
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Wed Feb 12 22:07:56 2014 +0100

    gnome-xkb-info: Remove xkbfile dependency
    
    This code was originally from gnome-settings-daemon but got moved here
    so that we could be sure that all GnomeXkbInfo users were using the
    same xkb rules file by getting it from the X server.
    
    As we move towards wayland though, we find ourselves in a position to
    specify how and where xkb data resides so we can drop this
    dependency. Instead, for now, we'll just hardcode the path to the xkb
    data from the xkeyboard-config XKB_DATA compile time variable.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=719942

M	configure.ac
M	libgnome-desktop/Makefile.am
M	libgnome-desktop/gnome-desktop-3.0.pc.in
M	libgnome-desktop/gnome-xkb-info.c
M	libgnome-desktop/gnome-xkb-info.h
M	libgnome-desktop/test-xkb-info.c

commit eb752a07c75616724825006de48645d1ed148371
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Feb 3 18:37:37 2014 +0100

    3.11.5

M	NEWS
M	configure.ac

commit 1b9b7a267ade221ad4000cd024547b42a3056bf4
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Tue Jan 21 22:04:42 2014 +0100

    wall-clock: Replace ratio with colon on non-UTF-8 locales
    
    Some of our translations use the ratio symbol which isn't convertible
    to non-UTF-8 locale encodings which causes g_date_time_format() to
    fail. Work around it by replacing the ratio symbol with a plain
    colon.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=722664

M	libgnome-desktop/gnome-wall-clock.c

commit b7826cca943bd3d64189931fd6ad1b250985ee8e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Jan 23 12:55:35 2014 +0100

    Updated FSF's address

M	libgnome-desktop/gnome-idle-monitor.c
M	libgnome-desktop/gnome-idle-monitor.h
M	libgnome-desktop/gnome-languages.c
M	libgnome-desktop/gnome-languages.h
M	libgnome-desktop/meta-xrandr-shared.h

commit 87254c506f46d2f440304f15faf8542f5119ce5d
Author: GunChleoc <fios@foramnagaidhlig.net>
Date:   Wed Jan 22 21:00:29 2014 +0100

    Added Scottish Gaelic translation

M	po/LINGUAS
A	po/gd.po

commit 0b6821c3fc5c28932a92e9483d3d1f5e317595d1
Author: Ray Strode <rstrode@redhat.com>
Date:   Wed Jan 15 16:06:15 2014 -0500

    configure: bump to 3.11.4

M	configure.ac

commit a38989a8eb526436293720edcbb22b12ce0c154a
Author: Ray Strode <rstrode@redhat.com>
Date:   Wed Jan 15 16:06:01 2014 -0500

    NEWS: update for release

M	NEWS

commit 1be326f08b1127284500630dc7cf8830e5cb712c
Author: Cosimo Cecchi <cosimo@endlessm.com>
Date:   Tue Jan 7 10:16:22 2014 -0800

    docs: update gnome-desktop3-sections.txt
    
    https://bugzilla.gnome.org/show_bug.cgi?id=721672

M	docs/reference/gnome-desktop3/Makefile.am
M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt

commit 2b7b972485ceb6b37920029efe4003d10c274625
Author: Cosimo Cecchi <cosimo@endlessm.com>
Date:   Tue Jan 7 10:03:22 2014 -0800

    build: bump version
    
    Since we added new API
    
    https://bugzilla.gnome.org/show_bug.cgi?id=721672

M	configure.ac

commit 6040dbe44a2e0a9d73ae8713de749139c46d52a2
Author: Cosimo Cecchi <cosimo@endlessm.com>
Date:   Mon Jan 6 19:05:56 2014 -0800

    gnome-rr: add API to check whether rotation is supported
    
    Export a method on GnomeRROutputInfo to check which rotation options are
    supported.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=721672

M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr-config.h
M	libgnome-desktop/gnome-rr-output-info.c
M	libgnome-desktop/gnome-rr-private.h

commit 11f32f153b395d3ead7af3176488e85e47d5504d
Author: Cosimo Cecchi <cosimo@endlessm.com>
Date:   Wed Jan 8 10:53:32 2014 -0800

    gnome-rr: don't forget to copy display name
    
    https://bugzilla.gnome.org/show_bug.cgi?id=719928

M	libgnome-desktop/gnome-rr.c

commit 390c4d6d11fd12beb214e29e63f37afa9d74bdff
Author: Florian Weimer <fweimer@redhat.com>
Date:   Fri Dec 20 11:59:08 2013 +0100

    Remove locarchive.h
    
    This include file is no longer needed since the switch to
    "locale -a" for listing locales.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=720815

M	libgnome-desktop/Makefile.am
D	libgnome-desktop/locarchive.h

commit f5561d740c26656da7796fdfd3163ce7ce00da31
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Nov 7 12:01:58 2013 +0000

    thumbnailer: Add documentation on thumbnailers and .thumbnailer files
    
    https://bugzilla.gnome.org/show_bug.cgi?id=711604

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit b0414e293b30b8f9138fb82ece70b16e1188234a
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Dec 8 19:18:39 2013 -0500

    Update libgsystem version

M	libgnome-desktop/libgsystem

commit d500fdde3602a0a2ef4504d6441fd5ac2eaf910d
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Wed Nov 27 15:06:05 2013 +0100

    idle-monitor: Fix a GHashTable leak

M	libgnome-desktop/gnome-idle-monitor.c

commit fff5475f4c320025e5bda847951cb478cd57982c
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Tue Nov 26 00:55:23 2013 +0100

    idle-monitor: Check if a monitor exists before creating a proxy for it
    
    The fact that we know about a given device doesn't mean that mutter
    also knows about it nor that it has created an idle monitor object on
    the bus for it.
    
    To fix this race, instead of immediately trying to create a proxy for
    the bus object, we instantiate an object manager and ask it whether
    the object we want already exists and if it doesn't we wait
    (indefinitely) until it shows up.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706229

M	libgnome-desktop/gnome-idle-monitor.c

commit a595e5af183ee28bd735a0a10ed1a9fd88e73213
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Nov 22 06:04:26 2013 -0500

    3.11.2

M	NEWS
M	configure.ac

commit 01db4dd21cb288e71ccfa5256159578b8e08c2ce
Author: Shantha kumar <shkumar@redhat.com>
Date:   Thu Nov 21 17:07:06 2013 +0530

    Tamil Translations Updated

M	po/ta.po

commit 5c857844aed9ff8f0b0816e00ace71ba2a9ac48f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 20 12:20:27 2013 +0100

    gnome-rr: Add dimensions in the debug output

M	libgnome-desktop/gnome-rr-debug.c

commit 5e6139d8f7d9666c437ebe9a08c80292be7d2ac0
Author: Sphinx Jiang <yishanj13@gmail.com>
Date:   Sun Nov 17 19:32:39 2013 +0800

    Update Chinese simplified translation

M	po/zh_CN.po

commit bf5920457ce6f39c851df7d9283ef2ea76443846
Author: Sphinx Jiang <yishanj13@gmail.com>
Date:   Sun Nov 17 19:29:58 2013 +0800

    Update Chinese simplified translation

M	po/zh_CN.po

commit 57d75134317ec4b841244f341d80ebe0d76edd3e
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Sat Nov 16 11:01:47 2013 +0200

    Uploaded Ukranian

M	po/uk.po

commit 30a1d27a643e2b9f9d23a62f9adc872afcb1c595
Author: Efstathios Iosifidis <iosifidis@opensuse.org>
Date:   Wed Nov 6 08:20:16 2013 +0200

    Updated Greek translation

M	po/el.po

commit 8cf7814de5e52e1a12d675562ff813e3069f999c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 30 11:49:55 2013 +0100

    3.11.1

M	NEWS
M	configure.ac

commit c064fab680c287bfa6885b56da69c0b8de401dc6
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Oct 10 14:22:12 2013 +0100

    thumbnailer: Add missing cases to switch statement
    
    This shuts up a gcc warning by adding support for thumbnail directories being
    unmounted or moved.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709819

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit b778fb5efc2c580b977f0915722b4c771f8cdfff
Author: Asad Mehmood <asad78611@googlemail.com>
Date:   Thu Oct 17 16:21:42 2013 +0100

    GnomeRR: gnome_rr_output_get_min_backlight_step
    
    Allows gnome-settings-daemon to read the min_backlight_step
    so that it can support displays with less than 10 steps
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710380

M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit f5848bc499a0506e7479bc5120b55e44763558bb
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Tue Oct 15 19:08:35 2013 +0200

    3.10.1

M	NEWS
M	configure.ac

commit 613f2268968e4275d725dd9fad69b0fd0cfd56f3
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Fri Oct 11 14:08:06 2013 +0200

    default-input-sources: Add a default for Bulgaria
    
    Thanks to Alexander Todorov.

M	libgnome-desktop/default-input-sources.h

commit 3d6eb06b9e9bc30170f58f1a6dc48bef35ccc72e
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:   Mon Oct 14 21:46:54 2013 +0700

    Updated Thai translation.

M	po/th.po

commit b2d6cc3542b8b2fa787253bb45c22b5a151ac164
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Oct 10 14:22:35 2013 +0100

    thumbnailer: Bail if no pixbuf loader could be created
    
    This prevents gdk_pixbuf_loader_close() from emitting a critical
    error due to being called with a NULL loader. The loader can be NULL
    if there was an error in the first read from the input stream.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709819

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit 40ecc92f964540d4475febd96a7663f68fbdc3b1
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Oct 10 14:21:46 2013 +0100

    thumbnailer: Fix a signed/unsigned comparison
    
    This shuts up a gcc warning but shouldn’t result in functional changes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709819

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit 29c1bc757f34f1d0b32bc12fcc682faba05b8509
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Oct 10 14:20:54 2013 +0100

    thumbnailer: Remove duplicate function declarations
    
    This shuts up a gcc warning.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709819

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit 856ffc037552a50859d65470486c1a9467862c2f
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sun Oct 13 23:57:35 2013 +0200

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 15aef5ebbee65d7eb8cc2aa1bd6a7ed31cf749d8
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:   Fri Oct 11 16:28:35 2013 +0330

    L10N: Updated Persian translations

M	po/fa.po

commit 6ba6ef3691d30ec0ade61be3578d774b97a5a788
Author: Stefan Sperling <stsp@stsp.name>
Date:   Wed Oct 2 18:59:11 2013 +0200

    languages: Remove unused struct "nameent"
    
    This struct was a left-over from the libc locale archive parsing code
    removed in commit 91082e8d0ef7dc3fe372fb5228fd3bb5a26efa81.

M	libgnome-desktop/gnome-languages.c

commit 682348997ebf8c94699dd19e44da40d5214c3d94
Author: Stefan Sperling <stsp@stsp.name>
Date:   Wed Oct 2 18:58:17 2013 +0200

    languages: Style fix in collect_locales_from_localebin()
    
    Use spare-before-paren syntax for function calls.

M	libgnome-desktop/gnome-languages.c

commit dfc4ecac06eed41cd655e48ba01a7842409c3ad1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 2 16:36:32 2013 +0200

    gnome-bg-slideshow: Fix memory leak of a filename
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709271

M	libgnome-desktop/gnome-bg-slide-show.c

commit af0f0fbb835e5bb22b7bce4581d3f081462b5f5b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 2 16:35:44 2013 +0200

    gnome-bg: Fix memory leaks when using get_as_slideshow()
    
    get_as_slideshow() returns a reference to the slideshow,
    which we need to get rid of when we're not using it anymore.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709271

M	libgnome-desktop/gnome-bg.c

commit 91082e8d0ef7dc3fe372fb5228fd3bb5a26efa81
Author: Stefan Sperling <stsp@openbsd.org>
Date:   Wed Aug 28 18:25:34 2013 +0200

    Obtain supported locales from "locale -a" output.
    
    Instead of parsing the locale archive file which is private to glibc
    (see https://bugzilla.redhat.com/show_bug.cgi?id=956993), run the
    "locale -a" command to obtain the list of supported locales.
    
    "locale -a" is specified in POSIX and should thus exist on most UNIX-like
    systems (e.g. on OpenBSD, which triggered the related bugzilla entry
    because GNOME was unable to find a list of supported locales).
    
    Keep scanning the /usr/share/locale directory as a fallback.
    
    Remove code wrapped in #ifdef WITH_INCOMPLETE_LOCALES. This code was
    inherited from gdm but is now unused.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=698383

M	libgnome-desktop/gnome-languages.c

commit af5574a745a50d7cb7c5d300836fc073f5326c82
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Sun Sep 29 20:22:00 2013 +0300

    [l10n]Updated Turkish translation

M	po/tr.po

commit 9936b0b01fbc687cbe3bfcc4c5abae679fea386a
Author: Gökhan Gurbetoğlu <ggurbet@gmail.com>
Date:   Sun Sep 29 20:15:17 2013 +0300

    [l10n]Updated Turkish translation

M	po/tr.po

commit 0df46b7d6171c81dfed61e6a173c4b43ef1f676a
Author: Alexander Larsson <alexl@redhat.com>
Date:   Fri Sep 27 09:49:01 2013 +0200

    thumbnail loader: Support loading thumbnails from remote locations
    
    This broke with the previous addition of gs_file_read_noatime().
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708824

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit 5e3ac2bc0c789f3b7c02fc98787d242c1b601fdd
Author: Ray Strode <rstrode@redhat.com>
Date:   Thu Sep 26 17:04:54 2013 -0400

    gnome-bg: set error when parsing XML file that's not a slide show
    
    While trying to reproduce a background handling bug in the shell I
    decided to run:
    
        while true; do
            for f in ~/Pictures/*; do
                gsettings set org.gnome.desktop.background picture-uri "file:///$f"
                sleep .4;
            done;
        done
    
    I noticed spew coming from gnome-shell:
    
        G_CRITICAL: g_task_return_error: assertion 'error != NULL' failed
    
    Turns out I had a non-slideshow XML file in there, and it was failing
    because there were 0 slides, but not setting an error.
    
    This commit fixes that.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708877

M	libgnome-desktop/gnome-bg-slide-show.c

commit d0750ccc6b3ca9c43b456d201b5602a05a0fab5f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 23 17:41:34 2013 -0400

    3.10.0

M	NEWS
M	configure.ac

commit 6ef0e2e01346934f290494c06d2d2d434a8dd916
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Mon Sep 23 10:00:06 2013 +0300

    [l10n] Updated Estonian translation

M	po/et.po

commit c459ee4b4bd993f3bfcbde8d7b7ade7056b10edb
Author: Yosef Or Boczko <yoseforb@gmail.com>
Date:   Sun Sep 22 12:51:18 2013 +0300

    Updated Hebrew translation

M	po/he.po

commit 94c394b224aa188a32b3605124c2aeeb55c7d035
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sun Sep 22 10:09:28 2013 +0200

    Update Arabic translation

M	po/ar.po

commit 5fe0a84316572938720721324e7181bb847a90f2
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sun Sep 22 01:38:53 2013 +0100

    Updated Portuguese translation

M	po/pt.po

commit 1d6ee0aa99006584643ccab5234365a856ef3f84
Author: Reinout van Schouwen <reinouts@gnome.org>
Date:   Sun Sep 22 00:44:18 2013 +0200

    Updated Dutch translation

M	po/nl.po

commit ac0f5c6d423b5805105b7bd081ede2dfebdff4e5
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Sun Sep 22 06:06:13 2013 +0900

    l10n: Update Japanese translation

M	po/ja.po

commit 1e4f0b5ee41fcdee271d827645c99b61a890f1d9
Author: Colin Walters <walters@verbum.org>
Date:   Fri Sep 20 15:06:15 2013 -0400

    build: Update for libgsystem changes
    
    I changed how the Makefile-libgsystem.am file works; includers now
    have to specify whether libgsystem.la is noinst_ or not.

M	libgnome-desktop/Makefile.am

commit ccc7ddaf4a0de1e1fbec69ca6ce37566445c94bf
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Sep 20 12:38:33 2013 +0200

    libgsystem: Update from master
    
    d045e367cc37c774e3d76839b65aaf947b2f65ad is expecting
    gs_file_read_noatime to always return an error, but the
    commit that did that was never pulled in to gnome-desktop.
    
    Do that now to fix possible crashers with nautilus.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708435

M	libgnome-desktop/libgsystem

commit 90c74408b54f90a149c0fa2e936b6eee4ba63a50
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Fri Sep 20 03:20:51 2013 -0300

    Enabled Brazilian Portuguese translation for GPL doc

M	desktop-docs/gpl/Makefile.am

commit b3a095b50548456f94407f9035eea925e74dd1cc
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Fri Sep 20 03:20:19 2013 -0300

    Updated Brazilian Portuguese translation for GPL doc

A	desktop-docs/gpl/pt_BR/pt_BR.po

commit b96b8af9ea86765d8a75102a372e30a0656e7ca2
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Wed Sep 18 14:22:51 2013 +0200

    GnomeRR: refresh the cached view of the screens when mutter restarts
    
    Mutter does a modeset when it starts, but doesn't emit signals,
    so we must refresh our structures when we detect that. But most
    important, we must ensure that our serial is properly updated,
    otherwise any further operation will fail with AccessDenied.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708284

M	libgnome-desktop/gnome-rr.c

commit 64288dd127fe2445277d2d1af83522c123109afd
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Wed Sep 18 10:46:06 2013 +0200

    3.9.92

M	NEWS
M	configure.ac

commit 4c91dd3f3e6477c87f2de40be4d66c23f2008513
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Tue Sep 17 18:40:38 2013 +0200

    Updated Danish translation

M	po/da.po

commit 9ea64f29e2bbfbcfa99117fe383f74820d08e1de
Author: Benjamin Steinwender <b@stbe.at>
Date:   Mon Sep 16 18:46:08 2013 +0200

    Updated German translation

M	po/de.po

commit 4ba02f637b1922bec54046e262f712157eec4a57
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sun Sep 15 00:41:42 2013 +0200

    Updated slovak translation

M	po/sk.po

commit 173c23f5b70c430fa61f5db8d901d965634f8cc5
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sat Sep 14 12:19:11 2013 +0200

    Updated Basque language

M	po/eu.po

commit ced9dff9bb0a272ada715d75a3023d6a85130a39
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sat Sep 14 01:34:11 2013 +0200

    Oops

D	ca.po
M	po/ca.po

commit c8b6026e77d46f268d311c0163b5730a1851bc72
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sat Sep 14 01:19:27 2013 +0200

    [l10n] Update Catalan translation

A	ca.po

commit a8ccea95ceedac09e74c0a83e1b47ec26c2b5e94
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Thu Sep 12 18:17:42 2013 +0530

    Assamese Translation Updated

M	po/as.po

commit 5d7c6dc599355e33e81f3bf4fc08523d67a7fbbf
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Sep 12 09:14:22 2013 +0100

    Correct the transposed bits of the red chromacity in the EDID parser
    
    This was noticed by Florian Höch, and isn't a huge problem as the value was only
    different by 1dE as it's the lowest 2 bits of a 10-bit word that is affected.

M	libgnome-desktop/edid-parse.c

commit 052f68ecdaaecceba39a7528b596dd44a9362069
Author: Andika Triwidada <andika@gmail.com>
Date:   Thu Sep 12 11:07:52 2013 +0700

    Updated Indonesian translation

M	po/id.po

commit d11d6e800e076f25c036b0855d56124dea83737f
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Wed Sep 11 22:11:18 2013 +0300

    Updated Latvian translation

M	po/lv.po

commit ac5693d8e8909c4d2ce791e47c03c011e82e91d6
Author: Rafael Ferreira <rafaelf.f1@gmail.com>
Date:   Tue Sep 10 18:59:34 2013 -0300

    Updated Brazilian Portuguese translation

M	desktop-docs/fdl/pt_BR/pt_BR.po

commit acd6ca78e0e542a7bd281b9db5487311ed5fa492
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Tue Sep 10 21:16:11 2013 +0300

    Updated Belarusian translation.

M	po/be.po

commit 491a74e4ab364ccaea4b22a760fb254371c33bdd
Author: A S Alam <apreet.alam@gmail.com>
Date:   Mon Sep 9 14:28:41 2013 -0500

    Punjabi Translation updated by Aman

M	po/pa.po

commit d2db489a7dfc1bcb636d491a7a4622f0795606eb
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Mon Sep 9 05:13:49 2013 +0900

    Updated Korean translation

M	po/ko.po

commit a9797d084094daa21f33b0fb326ee194f8919bcb
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Mon Sep 9 05:11:29 2013 +0900

    Updated Korean translation

M	po/ko.po

commit c291fa3d9fd6943d7fbf1feaa87d9c744c84f348
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:   Sat Sep 7 20:25:05 2013 +0300

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit 7e4a85c66d76b362992cc2d54b7ef2d18a665942
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Fri Sep 6 22:34:25 2013 +0200

    Updated Italian translation

M	po/it.po

commit a4cf864edec6c49110b23eb2442c23f0b9c0870f
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Fri Sep 6 16:21:54 2013 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 1e28ad96efcab7df6e9e34bc6d645eb72ca6202e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Aug 24 05:37:53 2013 +0200

    thumbnailer: Check gdk_pixbuf_loader_close()'s retval
    
    https://bugzilla.gnome.org/show_bug.cgi?id=699252

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit fef06300534883ed27321bb4cda19309ef028fe7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Aug 24 05:37:28 2013 +0200

    thumbnailer: Correctly check for errors
    
    By checking the retval, not whether error was set.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=699252

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit d045e367cc37c774e3d76839b65aaf947b2f65ad
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Aug 24 05:36:45 2013 +0200

    thumbnailer: Always print errors from gs_file_read_noatime()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=699252

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit 336e63c851cd34356a0de137fcadbd2f2a9eb25e
Author: Stas Solovey <whats_up@tut.by>
Date:   Thu Sep 5 09:50:23 2013 +0400

    Updated Russian translation

M	po/ru.po

commit 91727625fc92c5f44208c3d540ca6e12157a68d6
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Tue Sep 3 18:39:04 2013 +0200

    IdleMonitor: protect watches from being freed while in flight
    
    If you added an idle watch and then immediately removed it, it
    was possible that the watch was freed before the dbus call was
    handled by mutter, thus causing a crash later one.
    Prevent that by reference counting the watch structures.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=707396

M	libgnome-desktop/gnome-idle-monitor.c

commit ec90f8cbcc771e547609ec59539b400cf5132d47
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed Sep 4 05:57:32 2013 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit e4e310cd1447bc06dfd37858f9e3deeb9cb4a686
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Sep 3 10:01:38 2013 -0400

    3.9.91

M	NEWS
M	configure.ac

commit 04e94159d4987c84a0730198c7b97b8bbf454dca
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Sep 2 23:03:56 2013 +0200

    Added Galician translations for GPL license

M	desktop-docs/gpl/Makefile.am
A	desktop-docs/gpl/gl/gl.po

commit e9a98e6424b1d8e31d85ce872b0acb6b553f5c86
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sat Aug 31 17:21:48 2013 +0600

    Update Kazakh translation

M	po/kk.po

commit b61cdd7e55f2d3e3720898264b03b9e96e3f87e2
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Tue Aug 27 23:59:33 2013 +0300

    Updated Lithuanian translation

M	po/lt.po

commit 97f24ab849e7773053574d29592eb52cce892d33
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Aug 27 11:45:57 2013 +0100

    GnomeRR: Do not assume outputs with the id of 'default' are built-in
    
    We are using this in all kinds of places to work out if a display is embedded
    (like a laptop display) and cannot be removed. Some of the binary drivers do
    not set a sensible ID, but it's not more sane to assume these default values are
    either for internal or external panels. Assuming the former breaks VMVGA in
    virtual machines. We should not return TRUE when there is no heuristic to use.
    
    Resolves: https://bugzilla.gnome.org/show_bug.cgi?id=706738

M	libgnome-desktop/gnome-rr.c

commit b1503715e81b44ff4089ca2581fd95dfd8ac3631
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Mon Aug 26 17:29:26 2013 +0200

    GnomeRR: read the backlight value after asking mutter to change it
    
    Mutter now returns the new backlight value after a successfull call
    to ChangeBacklight, so we need to read it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706729

M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/xrandr.xml

commit fbe2bb895c37340ac5e3fd346861e12533c46b87
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:   Mon Aug 26 11:46:32 2013 +0500

    Tajik translation updated

M	po/tg.po

commit 55a68eba857dd9cc3c2db7d1dd3d36bfc8f9c995
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:   Sun Aug 25 21:39:47 2013 +0200

    build: Bump soname for GnomeRR* ABI breaks

M	configure.ac

commit 89366096d409e2e1c4a9622eca3b1c0719e974fa
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:   Sun Aug 25 11:17:14 2013 +0200

    build: Add idle-monitor.xml to EXTRA_DIST

M	libgnome-desktop/Makefile.am

commit 3185fd4acc8d20b83b35e76b0cab492f9291e6bb
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:   Sun Aug 25 09:57:35 2013 +0200

    Updated Hungarian translation

M	po/hu.po

commit 545c774e967fa2f21f9b8ee1acbb50bffcee01d0
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Wed Aug 14 16:21:43 2013 +0200

    GnomeIdleMonitor: use the new Mutter API instead of raw X calls
    
    This way we can track the user activity on wayland too.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706006

M	libgnome-desktop/Makefile.am
M	libgnome-desktop/gnome-idle-monitor.c
M	libgnome-desktop/gnome-idle-monitor.h
A	libgnome-desktop/idle-monitor.xml

commit d15f925ef6b6ac704b820aa41d5efaeeaee4220c
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Thu Aug 22 23:38:07 2013 -0300

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 961fab9130b7a5eaf1a19b077afc0381d9a00bc2
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Aug 22 15:55:48 2013 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit 7caa9d3c1194e261df36b4476eedc75ed716b9e5
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Thu Aug 22 12:13:59 2013 +0200

    Update French translation

M	po/fr.po

commit 4726bee39af5f2b82664a3ae00470e5e94b76004
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Aug 21 00:54:10 2013 +0200

    Updated Galician translations

M	po/gl.po

commit 5ec97ee71622f093d469baec6b64d116d22bad58
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Aug 20 22:41:01 2013 +0200

    Updated Polish translation

M	po/pl.po

commit e786d70bef39bd1aa1e25a0fba98623cd8e6422c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Aug 20 22:05:46 2013 +0200

    Updated Polish translation

M	po/pl.po

commit cabeca0501526ddcd8cef989f274c6a0a9135b64
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Aug 20 20:56:12 2013 +0200

    Updated Polish translation

M	po/pl.po

commit 63e7221ae1a839473ebcc28ed7b1b50c2b83c175
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Aug 20 17:44:59 2013 +0200

    Updated Spanish translation

M	po/es.po

commit 464f10b3f3dff57d691a7bbf532f884bd1eaa2fb
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Aug 20 09:49:30 2013 -0400

    3.9.90

M	NEWS
M	configure.ac

commit 7d6deaab0af591d66755896098ef619a2eb9475f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Aug 20 09:56:03 2013 -0400

    dist xrandr.xml

M	libgnome-desktop/Makefile.am

commit ab2e60a60da70ab70941615835806d1c0fcca3b5
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Tue Aug 20 13:28:30 2013 +0200

    GnomeRR: use a DBus signal instead of XRandR events to refresh
    
    Using a DBus signal we avoid the race, and make sure that we
    get the updated values in the next call to mutter.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706383

M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/xrandr.xml

commit f9dbf4ae8a12ce5da1d446b18be181646ac53bb0
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Tue Aug 20 10:15:26 2013 +0200

    Revert "GnomeRRConfig: try again when failing application because of access denied"
    
    This reverts commit dc85c78445c3f543bf1a91cb0e7e69ef7db3a817.
    Calling gnome_rr_screen_refresh() cause the emission of signals,
    which in turn cause the configuration to be dropped (and then
    a segfault)
    We need a better solution.

M	libgnome-desktop/gnome-rr-config.c

commit 8170cedbd6c753c86cfa9eb34089ef78a1b45c80
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Aug 20 08:48:40 2013 +0200

    Updated Czech translation

M	po/cs.po

commit 375293f1a9adeb2a9c7e5bc065a41949a0911d00
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Mon Aug 19 17:52:52 2013 +0200

    GnomeRR: read the physical output size for mutter
    
    And expose it in the API, so that the control center can use it
    to show the diagonal and aspect ratio.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705919

M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit 8969c1127a4a1ee5abac653f3e4111b5abc8a9d3
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Aug 19 23:12:57 2013 +0200

    Updated Slovenian translation

M	po/sl.po

commit 0ae1292574700db82a1bb42722c9f9b0632a0582
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Aug 19 23:10:57 2013 +0200

    Updated Slovenian translation

M	po/sl.po

commit b233b093b7979438746c1194a58194ab37ba5ace
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Aug 19 19:24:13 2013 +0200

    Updated POTFILES.in

M	po/POTFILES.in

commit 7f20bbe65be9d6f312ce0dcec64930df6b4b2a4d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 25 11:40:58 2013 +0200

    test-wall-clock: Print the clock straight away
    
    Stops us from waiting a minute in the default configuration.

M	libgnome-desktop/test-wall-clock.c

commit 93ecd4ad2ad5a5890f98f708f1ad06b3af7eff86
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Mon Aug 19 10:05:52 2013 +0200

    Fix srcdir != builddir

M	libgnome-desktop/Makefile.am

commit eb34fd08196bdb75958087bfbf5e73ae8638465c
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Sun Aug 18 01:14:04 2013 +0200

    GnomeRR: add async construction of GnomeRRScreen
    
    We aren't going anywhere, if gnome-settings-daemon blocks on
    mutter which is blocking on gnome-settings-daemon...
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705510

M	libgnome-desktop/gnome-rr-private.h
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit dc85c78445c3f543bf1a91cb0e7e69ef7db3a817
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Sat Aug 17 17:54:45 2013 +0200

    GnomeRRConfig: try again when failing application because of access denied
    
    If we get an error due to stale configuration information, try
    again a second time after refreshing the screen. This can happen
    when mutter is using the X11 backend, as that causes multiple events,
    so a single ApplyConfiguration() can increase the serial multiple
    times, and there is a race between when mutter gets the event
    (increasing the serial) and when we get it, asking for the new
    configuration.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705510

M	libgnome-desktop/gnome-rr-config.c

commit 65b69264c2b6d54bede4f3747fb5f1440c4a9662
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Sat Aug 17 12:35:58 2013 +0200

    GnomeRR: fix gnome-rr-debug test case
    
    Use GnomeRR facilities to read the EDID instead of direct X access,
    because the actual XID is not exposed in the API (although it is
    exported on the bus)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705510

M	libgnome-desktop/gnome-rr-debug.c

commit a31024a1cd6d91a5022eb5922dded57e8a3ce38c
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Thu Aug 8 13:43:04 2013 +0200

    GnomeRR: restore support for raw EDID access
    
    The color plugin of gnome-settings-daemon needs it to build
    the default ICC profile for uncalibrated displays.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705510

M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit 52662efd4ae83db5fbd5046e6dbc6260b6bf56fb
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Fri Jul 26 14:22:37 2013 +0200

    GnomeRR: restore support for gamma ramps
    
    The color panel of control center needs it.
    
    Note: the color panel and color g-s-d plugins will have different
    changes for wayland support, but they still need the code in the
    XRandR case.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705510

M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit 632dffb7887c8650154670ae0e76822ae11e22f3
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Fri Jul 26 13:40:41 2013 +0200

    API: GnomeRR: replace direct XRandR calls with DBus calls to mutter
    
    Mutter now provides a DBus API that wraps XRandR and abstracts
    away the detail of running X or wayland.
    
    A number of API changes are needed, as GnomeRR is no longer in
    charge of maintaining the monitors.xml file updated.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705510

M	libgnome-desktop/Makefile.am
D	libgnome-desktop/display-name.c
M	libgnome-desktop/edid.h
M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr-config.h
M	libgnome-desktop/gnome-rr-debug.c
M	libgnome-desktop/gnome-rr-output-info.c
M	libgnome-desktop/gnome-rr-private.h
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h
A	libgnome-desktop/meta-xrandr-shared.h
A	libgnome-desktop/xrandr.xml

commit 5e66ef06786a99417e124c07fb07fdf518d76d27
Author: Rafael Ferreira <rafaelf.f1@gmail.com>
Date:   Sat Aug 17 07:34:58 2013 -0300

    Updated Brazilian Portuguese translation proofread by Enrico Nicoletto

M	desktop-docs/lgpl/pt_BR/pt_BR.po

commit b2195c46aa9c2595d81d2d0c19d5c4051bc9c19f
Author: Rafael Ferreira <rafaelf.f1@gmail.com>
Date:   Sat Aug 17 07:13:45 2013 -0300

    Updated Brazilian Portuguese translation proofread by Enrico Nicoletto

M	desktop-docs/fdl/Makefile.am
M	desktop-docs/fdl/pt_BR/pt_BR.po

commit a3233ff45ec9769600605e26c13707010451f19c
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:   Fri Aug 16 02:15:07 2013 -0600

    Updated Irish translation

M	po/ga.po

commit dd15190bdd31af5eccbe5dbf81d8439440ab74d1
Author: Gil Forcada <gforcada@gnome.org>
Date:   Tue Aug 13 22:28:30 2013 +0200

    [l10n] Added partial translation of LGPL to Catalan

M	desktop-docs/lgpl/Makefile.am
A	desktop-docs/lgpl/ca/ca.po

commit 6c35f0a430096afa91b1182dc1d5c3a9c3bde3b7
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Tue Aug 13 10:53:16 2013 +0200

    gnome-xkb-info: Prevent a crash with unknown language/country codes
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705885

M	libgnome-desktop/gnome-xkb-info.c

commit acc04b827b3ac3c70fc6e3ac3a96f05602039c73
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Mon Aug 5 23:40:56 2013 -0300

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 4f97400703aa1c2838794cca8de04cc569f4d3ba
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:   Tue Jul 30 18:27:41 2013 +0100

    Tajik translation updated

M	po/tg.po

commit b4db806a0ce050ef70b92a428755f0d3dc7c844e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jul 30 08:28:18 2013 -0400

    3.9.5

M	NEWS
M	configure.ac

commit 80b400b717bc556fcd42f93b297410d3c4f56631
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Jul 30 10:37:50 2013 +0100

    Ensure EDID is at least 128 bytes and a multiple of 128 bytes
    
    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=956772

M	libgnome-desktop/gnome-rr.c

commit 47d405b044592063893451802f3649914b6e3ad9
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:   Mon Jul 29 16:06:20 2013 +0100

    Tajik translation added

M	po/LINGUAS
A	po/tg.po

commit bb821e2aba1b2fa1c67757c37c71081ad7885e2f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 18 17:10:51 2013 +0200

    gnome-rr: Fix types of signal vfuncs
    
    ... in the class definition. They were missing the object itself.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=704477

M	libgnome-desktop/gnome-rr.h

commit c262a12739a9c682e773ed1772c2814f2d4bd5a7
Author: Benjamin Steinwender <b@stbe.at>
Date:   Tue Jul 23 17:51:46 2013 +0200

    Updated German translation

M	po/de.po

commit 0a7211428091f5668b31fe6b760930ec3ce8efea
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   Fri Jun 28 15:30:44 2013 +0200

    xkb: Ensure strings from xkeyboard-config are UTF-8
    
    When using g_dgettext, translated strings are returned in the
    current locale's encoding. This means XKEYBOARD_CONFIG() can
    give us a non-UTF-8 string if a non-UTF-8 locale is in use.
    Calling bind_textdomain_codeset() ensures that the strings returned
    by g_dgettext will be encoded in UTF-8, which is what applications
    using gnome-desktop expect.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703247

M	libgnome-desktop/gnome-xkb-info.c

commit 4a95c179de8920ee8f78ae5e1f05df173e9d5bd8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jun 25 11:00:58 2013 +0200

    gnome-rr: Fix crash when XRRSetCrtcConfig() fails
    
    It's possible for XRRSetCrtcConfig() to fail so we should
    wrap it in gkd_error_traps.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=703034

M	libgnome-desktop/gnome-rr.c

commit 4d6d8e096d0ecfb1e4f1345b6002befebe16558e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jun 24 10:52:53 2013 +0200

    Update pnp.ids from upstream hwdata
    
    hwdata now follows Microsoft's database as its upstream,
    so updates are quicker.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=699730

M	libgnome-desktop/pnp.ids

commit a4dd7815aba059c8798094a277acccfdbc2f7179
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Sun May 12 18:50:05 2013 +0200

    libgnome-desktop: initialize gettext before constructing a wall clock
    
    GnomeWallClock uses gettext, so we must initialize it to point to
    the right path.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=699325

M	libgnome-desktop/gnome-wall-clock.c

commit d41c9a1ded63b778f261eb2671d5d8f01649a646
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sat Jun 22 15:04:25 2013 +0600

    Updated Kazakh translation

M	po/kk.po

commit e19df898281f83aa6db3d8fe57c720b29d98abee
Author: Sebastien Bacher <seb128@ubuntu.com>
Date:   Tue Jun 11 18:23:26 2013 +0200

    gnome-bg: objects without a filename are not slideshows
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702010

M	libgnome-desktop/gnome-bg.c

commit 9694f26c3387e3c425a55e75c92db2d39de0c230
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Tue Jun 4 21:08:08 2013 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit be73edf004922fe80e88b50df509499bc8a7c010
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Fri May 31 10:03:20 2013 +0200

    gnome-xkb-info: Fix similar memory leak
    
    https://bugzilla.gnome.org/show_bug.cgi?id=701326

M	libgnome-desktop/gnome-xkb-info.c

commit a32275872c279c790cf49263880aa401320580fa
Author: Tim Lunn <tim@feathertop.org>
Date:   Fri May 31 10:41:14 2013 +1000

    gnome-xkb-info: Fix memory leak
    
    https://bugzilla.gnome.org/show_bug.cgi?id=701326

M	libgnome-desktop/gnome-xkb-info.c

commit 0b6ade7e4e1c036cc716f625646cadf1c3ad1882
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed May 29 14:34:24 2013 -0400

    3.9.1

M	NEWS
M	configure.ac

commit 1917e020448f932a907e3ec8b6ca574b15612390
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun May 26 22:00:56 2013 +0300

    Updated Lithuanian translation

M	po/lt.po

commit c2598fa54c80e6887f9f7c53ad5d08a2757e64ee
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri May 24 12:23:25 2013 +0300

    Updated Hebrew translation.

M	po/he.po

commit a78ba21248c4c7d18e8c35ef5cff351d53a4b3ab
Author: Colin Walters <walters@verbum.org>
Date:   Thu May 23 17:46:08 2013 +0200

    thumbnailer: Fix compile-time warning on x32
    
    https://bugzilla.gnome.org/show_bug.cgi?id=700548

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit 81b81d6dcdae97888b764a9fc00b2b449aff7b26
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon May 20 14:45:35 2013 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit 6fab13b93ddcdf42548866ebb1a87afd633b4bf1
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sat May 18 18:20:47 2013 +0400

    Updated Russian translation

M	po/ru.po

commit b85c5878f13eeb6b6777e2c6e6674b7c65db4e42
Author: Pavel Vasin <rat4vier@gmail.com>
Date:   Mon Mar 4 15:48:08 2013 +0400

    gnome-bg: Fix memleak
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695116

M	libgnome-desktop/gnome-bg-slide-show.c

commit fdb43e2fa9113f558264ce0b804cf488f1b3b9f2
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Fri May 10 16:55:15 2013 +0200

    default-input-sources: Add some more defaults
    
    This adds the defaults for de_CH, fr_CH and en_ZA that were
    contributed since the initial release.

M	libgnome-desktop/default-input-sources.h

commit 7ebd62fc25dadbf9a857f008b1c078e535766eda
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed May 1 20:33:21 2013 +0200

    Updated Slovenian translation

M	po/sl.po

commit c84016361c5b7d0e0dd8e202b3142465df5933db
Author: Gil Forcada <gforcada@gnome.org>
Date:   Tue Apr 30 18:42:57 2013 +0200

    [l10n] Update Catalan translation

M	desktop-docs/gpl/ca/ca.po

commit 76c45895049375b2c6e660a6a9bff90e82137f22
Author: Gil Forcada <gforcada@gnome.org>
Date:   Tue Apr 30 18:37:17 2013 +0200

    [l10n] Update Catalan translation

M	desktop-docs/fdl/ca/ca.po

commit 16095e6d3552fe4ffc4c8a289311820495e39dcd
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Apr 27 02:02:15 2013 +0200

    Updated Czech translation

M	po/cs.po

commit 68e45429625a3c38b21150b6b9d2ba24787eb00f
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Wed Apr 24 17:56:25 2013 +0300

    Updated Greek translation

M	po/el.po

commit 210a9e17d1b83eb2c1e3ed99646c63d875b25069
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Apr 22 17:49:47 2013 +0200

    Updated Spanish translation

M	po/es.po

commit a3f5352ec194723faff7583a1932cd494bcf41a5
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Apr 21 23:31:24 2013 +0200

    Updated Galician translations

M	po/gl.po

commit 216a9a531332f9507e4ac1608955f4370e644745
Author: Wouter Bolsterlee <uws@xs4all.nl>
Date:   Fri Apr 19 22:37:06 2013 +0200

    Updated Dutch translation

M	po/nl.po

commit 8fe716c6314ff6122dc2bc0463e7def4a35f449b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Apr 15 18:20:08 2013 +0200

    GnomeBg: Remove unused variable

M	libgnome-desktop/gnome-bg.c

commit 0d5284c6a894401611b5d9183942b391af04ee52
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Sat Apr 6 17:29:20 2013 +0100

    Updated British English translation

M	po/en_GB.po

commit 2e49001fdf251b1535cbc0ed33122ce2256e4a60
Author: tuhaihe <wangdianjin@linuxdeepin.com>
Date:   Sat Apr 6 17:29:49 2013 +0800

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit cbbf02067ba9383c8d0e4e5d1a280c50c7c3f885
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Mar 31 19:48:04 2013 -0400

    Bring ratio back for time formatting
    
    It is not causing problems in LTR languages, and it looks better.
    This commit introduces en.po whose only difference to C is that
    colons are replaced by ratios in date and time formats.

M	po/LINGUAS
A	po/en.po

commit 90c5ab625abe9a11ca55b14d0a095c4bf127d5a4
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Wed Mar 27 18:22:59 2013 +0100

    Revert "Add a keyboard drawing widget"
    
    This reverts commit c8d041318670e74f110a8c326e91352136b56770.

M	libgnome-desktop/Makefile.am
D	libgnome-desktop/gnome-keyboard-drawing.c
D	libgnome-desktop/gnome-keyboard-drawing.h

commit 79152ba3209d46413e2d1e54272c4bfc86086e0d
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Wed Mar 27 17:45:38 2013 +0100

    GnomeIdleMonitor: don't access watch structure after it is freed
    
    The contents of the watch structure will become garbage after the
    structure is freed, causing us to unref an invalid pointer and
    potentially segfault.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=696719

M	libgnome-desktop/gnome-idle-monitor.c

commit c8d041318670e74f110a8c326e91352136b56770
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Mon Feb 25 00:50:13 2013 +0100

    Add a keyboard drawing widget
    
    Copied from libgnomekdb, which is now dead, and adapted for
    gnome-desktop (mainly to remove the dependency on libxklavier
    and to use the correct namespace)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694633

M	libgnome-desktop/Makefile.am
A	libgnome-desktop/gnome-keyboard-drawing.c
A	libgnome-desktop/gnome-keyboard-drawing.h

commit a87ead14dfefcb0769dcf636eb2106c51b69d08c
Author: Colin Walters <walters@verbum.org>
Date:   Mon Mar 25 19:57:46 2013 -0400

    monitor: Be defensive against callbacks unreffing monitor in callback
    
    gnome-settings-daemon's cursor plugin does this.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=696522

M	libgnome-desktop/gnome-idle-monitor.c

commit 6281e31d054b8f41ff62c0597f50452d8e29618f
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:   Tue Mar 26 00:22:26 2013 +0100

    Updated Hungarian translation

M	po/hu.po

commit 6654c59dc0fc9efd6a16a4d6bbcd8499506c42f9
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sun Mar 24 19:56:09 2013 -0400

    idle-monitor: Refactor code a bit
    
    Merge two similar methods.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=696522

M	libgnome-desktop/gnome-idle-monitor.c

commit 0c60eec051e01a2ed639e592a76dd023645ac6e4
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Mar 25 13:50:10 2013 -0400

    idle-monitor: Don't leak the user active alarm on dispose
    
    https://bugzilla.gnome.org/show_bug.cgi?id=696522

M	libgnome-desktop/gnome-idle-monitor.c

commit 7baf58512cf488d8544e4ddab478b92c324949e2
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sun Mar 24 19:51:09 2013 -0400

    idle-monitor: Use an incrementing watch ID for the active alarm as well
    
    This makes sure that:
    
        add_user_active_alarm (callback1);
        add_user_active_alarm (callback2);
    
    doesn't remove callback1 from getting an alarm, as we won't overwrite
    the alarm IDs.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=696522

M	libgnome-desktop/gnome-idle-monitor.c

commit 634ef5e69f79f1d9bf57497e15b6c430b0a0583e
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sun Mar 24 19:48:44 2013 -0400

    idle-monitor: Allow multiple watches for an alarm
    
    This doesn't do anything yet as we don't have multiple watches
    for one alarm, but we'll remove the special USER_ACTIVE_WATCH_ID
    soon so we can have multiple watches on it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=696522

M	libgnome-desktop/gnome-idle-monitor.c

commit fffcc2bd58f54e8e4725d9dc3a90869aa2d731cf
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Mar 25 15:55:40 2013 -0400

    idle-monitor: Use g_clear_pointer
    
    https://bugzilla.gnome.org/show_bug.cgi?id=696522

M	libgnome-desktop/gnome-idle-monitor.c

commit 29f08dd327d65f40e7535addf144a74d23215762
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sun Mar 24 19:52:05 2013 -0400

    idle-monitor: Reindent
    
    https://bugzilla.gnome.org/show_bug.cgi?id=696522

M	libgnome-desktop/gnome-idle-monitor.c

commit 09398901b3d3ac6edcdd7fd76a2ee7dccb0c7b6d
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Mar 25 13:47:17 2013 -0400

    idle-monitor: Store the monitor in the private watch struct
    
    Since we'll need to access more things than just the Display
    on it, let's clean up the code for the access right now.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=696522

M	libgnome-desktop/gnome-idle-monitor.c

commit a14c4fd24c30b5eb38fa3f93bb0938dc187941e9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Mar 25 11:30:04 2013 +0100

    Revert "Use nice Unicode for date formatting"
    
    This reverts commit b9b5c04ccf348b93399522cf450bbfe6a5819578.
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=621639 and
    https://mail.gnome.org/archives/desktop-devel-list/2012-December/msg00022.html

M	libgnome-desktop/gnome-wall-clock.c

commit edf75f60ca7a3fb23b5286f89832ef43b2ae6bcf
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Mar 25 11:26:58 2013 +0100

    Revert "wall-clock: Do not use colon in time format"
    
    This reverts commit ecd92a8c91874363f26f8364d14241344ec7cf45.
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=696497#c5 for
    the reasoning.

M	libgnome-desktop/gnome-wall-clock.c

commit ecd92a8c91874363f26f8364d14241344ec7cf45
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Mon Mar 25 01:46:13 2013 +0900

    wall-clock: Do not use colon in time format
    
    %R is the same as %H:%M. The separator is U+003A COLON. I replace it
    with RATIO (U+2236).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=696497

M	libgnome-desktop/gnome-wall-clock.c

commit 5ca4cfcec81f711252def5860e945ef2af7d4b64
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Mar 23 09:50:10 2013 +0100

    idle-monitor: Make per-device monitor fallible
    
    https://bugzilla.gnome.org/show_bug.cgi?id=696118

M	libgnome-desktop/gnome-idle-monitor.c
M	libgnome-desktop/gnome-idle-monitor.h
M	libgnome-desktop/test-idle-monitor.c

commit 96f4f0cacbacde139f8aec5553466a4b7934c232
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Mar 21 18:37:40 2013 +0100

    Add myself as a maintainer

M	gnome-desktop.doap

commit 6f7626c90ef14b29be35d9c20b6c3f1919e5f395
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Mon Mar 25 12:23:01 2013 +0900

    l10n: Update Japanese translation

M	po/ja.po

commit 39942999e6986f9710c73382b3fc41db5cea3fd0
Author: Reşat SABIQ <tilde.birlik@gmail.com>
Date:   Sun Mar 24 19:46:52 2013 -0500

    Updated Crimean Tatar (Crimean Turkish) translation

M	po/crh.po

commit 9bcedb3e7120c1e33d49b2e34a5056c8e54f5b14
Author: Petr Kovar <pkovar@redhat.com>
Date:   Sun Mar 24 18:41:14 2013 +0100

    Update Czech translation

M	po/cs.po

commit b2207cb08ecda5ac52b1e6343ecae5be956c19d1
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sat Mar 23 09:40:06 2013 +0400

    Updated Russian translation

M	po/ru.po

commit 8ef184098985a1c395d29fe82514a7a24a3e7818
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:   Fri Mar 22 17:56:14 2013 +0430

    L10N: Updated Persian Translation

M	po/fa.po

commit cd81e59aa121a25a2f96a10a42545f86eff9dfb1
Author: ManojKumar Giri <mgiri@redhat.com>
Date:   Fri Mar 22 18:35:52 2013 +0530

    Updated Odia Language along with FUEL implementation

M	po/or.po

commit 26c1b346644964de8134d9dbbe8cba9efa81bef5
Author: Shantha kumar <shkumar@redhat.com>
Date:   Fri Mar 22 15:24:45 2013 +0530

    Tamil Translations Updated

M	po/ta.po

commit e16ffe7cc2b33c650fc6f32a70df0f63555237af
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Fri Mar 22 13:27:47 2013 +0530

    Updated Marathi Translations

M	po/mr.po

commit cdb05fc0e5f6073d381abba1b343aff196253197
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Mon Mar 18 17:39:22 2013 +0200

    Updated Latvian translation

M	po/lv.po

commit 57e241bedcf5dba9455da75055b83aebca2e4a1f
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sun Mar 17 14:50:28 2013 +0100

    Updated Danish translation

M	po/da.po

commit 1968d92549cbc14b44b5133817caa6ad479ad64f
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sun Mar 17 16:25:43 2013 +0300

    Updated Belarusian translation.

M	po/be.po

commit d00f2d7ad6d2d64e930c36bd13dc87e909fde411
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:   Sat Mar 16 19:36:17 2013 +0100

    Updated Hungarian translation

M	po/hu.po

commit fac5d3378cdb2f0d7aa0d23dde41a0c14c3c12ac
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Thu Mar 14 16:01:07 2013 +0100

    Update French translation

M	po/fr.po

commit b8f4a289a813ba2152ea85cef075392721ff2b7b
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Thu Mar 7 11:34:28 2013 +0100

    gnome-xkb-info: Don't store duplicated layouts in locale tables
    
    We can't store duplicated layouts anywhere since those get destroyed
    when the 'layout' element ends and we'd end up with invalid entries
    potentially leading to crashes when used.
    
    Just doing a g_hash_table_remove() on the layouts_by_* tables was a
    thinko and could never work since those only contain other tables as
    values and it's in this second level tables that the layouts are
    stored.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695350

M	libgnome-desktop/gnome-xkb-info.c

commit 7cc4b6b78ebf643b57a017c6770d36ae1f194b64
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Wed Mar 13 13:04:24 2013 +0200

    [l10n] Updated Estonian translation

M	po/et.po

commit 2616a945537e0f4e514b3c51214cbd549dbaa147
Author: Ján Kyselica <kyselica.jan@gmail.com>
Date:   Tue Mar 12 21:57:42 2013 +0100

    Updated slovak translation

M	po/sk.po

commit daa554f41c9177fb498cd901c333bdff44b89d26
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Wed Mar 13 01:45:17 2013 +0900

    Updated Korean translation

M	po/ko.po

commit 976a1bd116f326a097011112e46b3e2145d4cd88
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Tue Mar 12 16:46:53 2013 +0530

    Updated kn translations

M	po/kn.po

commit 91dc167d193d144dfab4d691114501922297e255
Author: Gil Forcada <gforcada@gnome.org>
Date:   Mon Mar 11 23:32:31 2013 +0100

    [l10n] Updated Catalan translation

M	po/ca.po

commit 8deab795deb4d5ccd402b868b9c33c9f9d81153e
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Mon Mar 11 22:17:19 2013 +0000

    Updated Portuguese translation and converted to New Spelling (Novo AO)

M	po/pt.po

commit 62a260af95c71989df618a0bd36aadf1e018e9b2
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Mon Mar 11 21:53:19 2013 +0100

    [l10n] Updated Italian translation.

M	po/it.po

commit 3079c7b7fd0412a1615f2baa769263387c1b6c66
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat Mar 9 23:32:26 2013 +0200

    Update Arabic translation

M	po/ar.po

commit 49ddd021f36c4799dbbddb06c7bfc3faccfae3a6
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Fri Mar 8 17:19:45 2013 +0100

    [l10n] Updated German translation

M	po/de.po

commit f83faf4df700c10c730e6a4bc294fe28cf4f79ef
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Thu Mar 7 15:37:25 2013 +0530

    Assamese translation updated for gnome 3.8

M	po/as.po

commit 0dc033482f8e75f5ad5ef2870525409848aac1a1
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Thu Mar 7 02:14:25 2013 -0300

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 579a048feb5a5aafe6c95aa44c65c495d36ceb5b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Mar 4 22:01:59 2013 +0100

    Updated Polish translation

M	po/pl.po

commit ea1f880a086b8519c904d572ff9333c21da4a3f3
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Mar 4 14:44:54 2013 +0100

    Updated Norwegian bokmål translation

M	po/nb.po

commit 7559edfbbdd1324eca4153e8caf9273b94b777cb
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Mar 4 12:52:35 2013 +0100

    Updated Galician translations

M	po/gl.po

commit edbbc81b437e67753846ccab5928116cd779723c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Mar 4 12:52:10 2013 +0100

    build: Bump version number after branching

M	configure.ac

commit fee662fcc8ea8b71ebe80a843e4cf38cd9e6e51a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Mar 4 12:32:46 2013 +0100

    gnome-rr: Fix stray _is_laptop() call

M	libgnome-desktop/gnome-rr.c

commit b3b1d5fd9c1825573628ad097d76d1fd6400dd2f
Author: Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>
Date:   Thu Jul 12 20:25:04 2012 +0800

    gnome-rr: Use "Built-in Display" for internal displays
    
    Instead of "Laptop" as all-in-ones, tablets, etc. are devices
    that will get detected as having internal displays, but aren't
    laptops.
    
    Also rename all the functions with "laptop" in the name.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679794

M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt
M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr-debug.c
M	libgnome-desktop/gnome-rr-private.h
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit e91b55fb67025883b59d71109e12578fe0496b16
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sat Mar 2 20:02:19 2013 +0700

    Updated Vietnamese translation

M	po/vi.po

commit 71dd19f8a9285f19b53760fdda7edcda2358f791
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sat Mar 2 19:57:50 2013 +0700

    po/vi: import from Damned Lies

M	po/vi.po

commit 49c338ee03da8cf3769a0993e99a9ebb1ac48a70
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Thu Feb 28 22:41:15 2013 -0300

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 2bb48342a7b1253965ed597bd5964db685d903a2
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Thu Feb 28 11:50:37 2013 +0530

    Updated gujarati file

M	po/gu.po

commit 42c1414688b4daf0feb5fff8a863c046a2022024
Author: Ján Kyselica <kyselica.jan@gmail.com>
Date:   Tue Feb 26 00:51:43 2013 +0100

    Updated slovak translation

M	po/sk.po

commit a9663b553fe12294afdcb44f111d7638ead1bbe1
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Feb 25 17:21:31 2013 +0100

    Updated Norwegian bokmål translation

M	po/nb.po

commit 5b199e659cbfb39efab6e70eecabbd297777dbf3
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Feb 23 16:20:30 2013 +0200

    Updated Hebrew translation.

M	po/he.po

commit 0e70b8b982126bf02e4668364c819971057a674d
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sat Feb 23 10:36:15 2013 +0400

    Updated Russian translation

M	po/ru.po

commit 3bfa24e5e20bcb985a36eb5c9d7ddc75927acb1b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Fri Feb 22 13:33:43 2013 -0500

    docs: update gtk-doc for recent API changes

M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt

commit 444c28a9431831b845ed4d6e9f582d99980a27be
Author: A S Alam <aalam@users.sf.net>
Date:   Fri Feb 22 01:53:56 2013 +0000

    Punjabi: Translation updated (aalam)

M	po/pa.po

commit ac536ef65ee399c3267b29049c62c70074b0a97d
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Mon Dec 17 20:24:14 2012 +0100

    GnomeBG: remove the ability not to draw the background
    
    Neither gnome-settings-daemon nor nautilus were checking for this
    property, and I don't want to add the useless key to the screensaver
    schema too.
    If one doesn't want to have GNOME draw the background, it should not
    run GNOME.
    
    (This does not affect having something else on top of the background,
    as mutter is smart enough to avoid drawing in that case)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690378

M	libgnome-desktop/gnome-bg.c
M	libgnome-desktop/gnome-bg.h

commit e0d0518ae5d491de8fea9974d8006ccedd240f42
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 19 19:23:39 2013 +0100

    build: Post release bump

M	configure.ac

commit bebb33bcb3c14b067654d8bba68b7228afc3c95c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 19 19:11:49 2013 +0100

    3.7.90

M	NEWS

commit fc8db13c0b296495eeb579569589ea47d9c766c4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 19 19:13:38 2013 +0100

    docs: There's no "utils" anymore

M	docs/reference/gnome-desktop3/gnome-desktop3-docs.sgml

commit e2938f678d41603c09acc9ecfb450c086f287e7b
Author: Daniel Martinez <dmartinez@src.gnome.org>
Date:   Tue Feb 19 18:34:11 2013 +0100

    Updated Aragonese translation

M	po/an.po

commit 175c72f5d30dbbfd4749419b48f35b03f9dcfbd3
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Feb 19 12:41:27 2013 +0100

    Updated Spanish translation

M	po/es.po

commit 6c8b8dba76b5d3a9714317b293ca89887f567c9c
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Tue Feb 19 11:16:58 2013 +0100

    build: bump soname

M	configure.ac

commit b8d0b0fec55ca86b5984be276191a9371070da4b
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Wed Feb 6 01:06:43 2013 +0100

    gnome-xkb-info: Add API to get layouts for language and country
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693775

M	libgnome-desktop/gnome-xkb-info.c
M	libgnome-desktop/gnome-xkb-info.h

commit 009c7dc76217167451159078d381beb2f80cb25e
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Jan 28 18:28:36 2013 +0100

    gnome-xkb-info: Use GHashTable to group layouts per language/country
    
    It turns out that we won't be able to always get the correct default
    for a language/country pair from the raw xkeyboard-config data. Thus
    we don't need the added complexity of using GSequence to keep layouts
    sorted.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693775

M	libgnome-desktop/gnome-xkb-info.c
M	libgnome-desktop/gnome-xkb-info.h

commit f54a8c2b04b50de7bb3a96c0a4d35c2f441f65d7
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Feb 4 19:42:05 2013 +0100

    test-languages: Fix to actually set the locale
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693774

M	libgnome-desktop/test-languages.c

commit a6594786c044be7016e974e80ba1cd01e6c02ab8
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Thu Jan 31 16:06:12 2013 +0100

    gnome-languages: Create a singleton GRegex
    
    Instead of creating and destroying one each time.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693774

M	libgnome-desktop/gnome-languages.c

commit 63024cd637963de3d4dbcfe4379269f0c1e60bee
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Thu Jan 31 15:45:00 2013 +0100

    gnome-languages: Add gtk-doc comments to all public functions
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693774

M	libgnome-desktop/gnome-languages.c

commit 0409959d4da57ec107baef91ce478bd831cc34d6
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Thu Jan 31 14:33:20 2013 +0100

    gnome-languages: Big renaming to make the API clearer
    
    Several of these functions use the word 'name' or 'language' but the
    argument they take is actually a locale string. We also rename
    s/territory/country/ in the public API since country is the term that
    ISO 3166 actually talks about.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693774

M	libgnome-desktop/gnome-languages.c
M	libgnome-desktop/gnome-languages.h
M	libgnome-desktop/test-languages.c

commit fa119fb22ae7e90d7cfb6767eee9b9c1bab0aea4
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Thu Jan 31 14:16:19 2013 +0100

    gnome-languages: Fix a potential crash
    
    We can't continue if we aren't able to parse the string because the
    return arguments will be undefined.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693774

M	libgnome-desktop/gnome-languages.c

commit e9a05f4b6eee951a8639f29e337e02e8c69cf0d2
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Tue Jan 29 14:53:37 2013 +0100

    gnome-languages: Add default input sources per locale
    
    This will allow us to have good defaults so that we don't have to
    bother asking the user something that we can derive from the chosen
    locale.
    
    The information in this initial table comes from
    http://bugzilla-attachments.gnome.org/attachment.cgi?id=223428 and
    user provided data in https://live.gnome.org/GnomeGoals/KeyboardData.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693773

M	libgnome-desktop/Makefile.am
A	libgnome-desktop/default-input-sources.h
M	libgnome-desktop/gnome-languages.c
M	libgnome-desktop/gnome-languages.h

commit b3e4aeffbb673980eb582be1cca8ba0df3932380
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Jan 21 17:31:34 2013 +0100

    gnome-xkb-info: Handle duplicated layouts
    
    When merging entries from another .xml file (i.e. when
    show-all-sources is active) there might be layout entries which were
    already added before. In that case we don't want to create new entries
    and replace the old ones because layout variants which were already
    added depend on the existence of the old main layout.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692219

M	libgnome-desktop/gnome-xkb-info.c

commit 8d2ff3d0effb64dc734bd7a028f41ce26875186d
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Sat Jan 26 17:43:57 2013 +0100

    gnome-xkb-info: Use the correct methods to get language/country
    
    gnome_get_[language|region]_from_name() wants a locale string, not the
    ISO codes in isolation. Since that's what we have when parsing the XML
    data we must instead use these new methods that accept the ISO codes
    directly.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692700

M	libgnome-desktop/gnome-xkb-info.c

commit fc7d260e0dccf5c018eacdbaa2ca3c0f4a385d0b
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Sat Jan 26 17:13:55 2013 +0100

    gnome-languages: Add methods to get language/country from ISO codes
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692700

M	libgnome-desktop/gnome-languages.c
M	libgnome-desktop/gnome-languages.h

commit 271ed87b2b8e12c9840b2faab224d3edd758c74e
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Tue Feb 19 00:25:04 2013 +0100

    Version bump

M	configure.ac

commit 4caedc417c7d569fa8b457f0aabceb76fa037874
Author: Ray Strode <rstrode@redhat.com>
Date:   Mon Feb 18 18:23:00 2013 -0500

    gnome-bg: add asynchronous version of slideshow loading
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694121

M	libgnome-desktop/gnome-bg-slide-show.c
M	libgnome-desktop/gnome-bg-slide-show.h

commit 33d793c5e3996046f165499f941b5256d8a51850
Author: Ray Strode <rstrode@redhat.com>
Date:   Mon Feb 18 14:36:27 2013 -0500

    gnome-bg: split slide show stuff off into separate api
    
    We need to be able to parse slide shows directly from within gnome-shell.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694121

M	libgnome-desktop/Makefile.am
A	libgnome-desktop/gnome-bg-slide-show.c
A	libgnome-desktop/gnome-bg-slide-show.h
M	libgnome-desktop/gnome-bg.c

commit 3db99bfa11017bd609992d8e5d3a6546102626c0
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Mon Feb 18 19:48:06 2013 +0100

    l10n: Updated Italian translation

M	po/it.po

commit a2678d80c3a9c63d86db721ce2b1ef7ec975f830
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Mon Feb 18 18:35:22 2013 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit f78e719673fbea7678c00824836bd220434a9920
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Feb 17 17:47:08 2013 +0100

    Updated Polish translation

M	po/pl.po

commit 47386c49f59765cd20bd854dfd00263c361f78aa
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Feb 17 12:49:39 2013 +0100

    Updated Galician translations

M	po/gl.po

commit 504f81c89b157ca7f3e02516855c0a3409c3765d
Author: Gheyret Kenji <gheyret@gmail.com>
Date:   Sat Feb 16 10:08:20 2013 +0900

    Updated Uyghur translation
    
    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit 054326a81402a2a9f0dfb43023bf81736ca6dbe3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Fri Feb 15 16:15:43 2013 -0500

    docs: add last bits of missing documentation for public objects

M	docs/reference/gnome-desktop3/gnome-desktop3-docs.sgml
M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt
M	docs/reference/gnome-desktop3/gnome-desktop3.types

commit dd273d769f19fca627bc7527dd674eebebad0e60
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Fri Feb 15 15:01:40 2013 -0500

    docs: remove gnome-desktop-utils
    
    It's gone now

M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt

commit aeb36f38f1fa91875154219dc3ae93704a5aad7a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Fri Feb 15 15:01:28 2013 -0500

    docs: improve documentation for GnomeRR

M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt

commit d8ea5f1348e3e932ee73cad02a7c32b1c3a444f1
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Fri Feb 15 15:00:46 2013 -0500

    rr-output-info: use standard GObject boilerplate
    
    Makes gtk-doc happier

M	libgnome-desktop/gnome-rr-config.h
M	libgnome-desktop/gnome-rr-private.h

commit b8fe6ff8d93d8c5dd4c6551fe7b5305accf2e639
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Fri Feb 15 10:36:53 2013 -0500

    docs: update documentation for GnomeRRConfig

M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt

commit 12293857a60c8f552b0c868b86e47c25cb66a331
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Fri Feb 15 10:36:27 2013 -0500

    rr-config: use standard GObject boilerplate for GnomeRRConfig
    
    Make gtk-doc happier

M	libgnome-desktop/gnome-rr-config.h
M	libgnome-desktop/gnome-rr-private.h

commit 045201090895b99a9990df1fa22524964509942b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Fri Feb 15 10:30:30 2013 -0500

    docs: generate documentation for gnome-languages

M	docs/reference/gnome-desktop3/gnome-desktop3-docs.sgml
M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt

commit dc603e36e57d1d8c75b9c4c9e03b4925b4544cbe
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Fri Feb 15 10:23:55 2013 -0500

    docs: fixes for GnomeIdleMonitor

M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt

commit 30030ca6b192b3e0ca0c026e27966b17d6d117cc
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Fri Feb 15 10:20:06 2013 -0500

    docs: generate documentation for GnomeXkbInfo

M	docs/reference/gnome-desktop3/gnome-desktop3-docs.sgml
M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt
M	docs/reference/gnome-desktop3/gnome-desktop3.types

commit d2ddd21355bf4d31c1469938ea27ef3fcb4c744f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Feb 15 16:29:20 2013 +0100

    Updated POTFILES.in

M	po/POTFILES.in

commit 237726b20b789c86e27b353aaeb15f384fc8b631
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Feb 15 14:09:23 2013 +0100

    Revert "idle: add compat api"
    
    gnome-settings-daemon has been fixed.
    
    This reverts commit 3e10f7c15722684f67c943b230ce763bbbf28843.

M	libgnome-desktop/gnome-idle-monitor.c
M	libgnome-desktop/gnome-idle-monitor.h

commit 881146a2001dc5c3bc445ae0ff5a44f05fc6095e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 23 14:39:51 2013 +0100

    gnome-bg: Fix incorrect parameters
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692385

M	libgnome-desktop/gnome-bg.c

commit f97ed25a6b20848cbe296ee4919d0424ee03ba43
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 23 14:42:56 2013 +0100

    gnome-bg: Fix introspectability of GnomeBg
    
    By requiring the enums from gsettings-desktop-schemas.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692385

M	libgnome-desktop/Makefile.am
M	libgnome-desktop/gnome-bg.c
M	libgnome-desktop/gnome-bg.h

commit 9bab2144b7c8ace0c057720be3c48fb24a80a19d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 23 14:28:03 2013 +0100

    utils: Remove gnome-desktop-utils.[ch]
    
    The single function it contained
    (gnome_desktop_prepend_terminal_to_vector) is obsoleted by the
    G_APP_INFO_CREATE_NEEDS_TERMINAL flag of GAppInfo.
    
    The private _gnome_desktop_init_i18n() function is also unused,
    its only caller having been removed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692385

M	libgnome-desktop/Makefile.am
D	libgnome-desktop/gnome-desktop-utils.c
D	libgnome-desktop/gnome-desktop-utils.h
D	libgnome-desktop/private.h

commit b352ab35f688a2bbcad17333002002baeedde6db
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 23 14:34:04 2013 +0100

    gnome-rr: Setup i18n support ourselves
    
    In the class_init() so it's only called once.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692385

M	libgnome-desktop/gnome-rr.c

commit c6734bcd3ddc1c83136e17e314af37fc14ddbf17
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Fri Feb 15 12:18:52 2013 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit df5cfa8821766bae482cea45d3e139dabadc75b5
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Thu Feb 14 23:26:13 2013 +0200

    Updated Lithuanian translation

M	po/lt.po

commit 3e10f7c15722684f67c943b230ce763bbbf28843
Author: Ray Strode <rstrode@redhat.com>
Date:   Thu Feb 14 14:08:05 2013 -0500

    idle: add compat api
    
    This commit is just temporary until g-s-d is updated.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688227

M	libgnome-desktop/gnome-idle-monitor.c
M	libgnome-desktop/gnome-idle-monitor.h

commit eedf7288a9db1156baf24f113477bb6d1ce9d9a4
Author: William Jon McCann <jmccann@redhat.com>
Date:   Thu Feb 14 12:55:33 2013 -0500

    gnome-rr: add missing annotations

M	libgnome-desktop/gnome-rr.c

commit 5756c24ce001938ee195252c9d59a42f6cc2ebad
Author: William Jon McCann <jmccann@redhat.com>
Date:   Thu Feb 14 11:23:18 2013 -0500

    gnome-rr: make config use display name from output

M	libgnome-desktop/gnome-rr-config.c

commit e1ce0a63923f27282b6c9cd2211482166b0b821e
Author: William Jon McCann <jmccann@redhat.com>
Date:   Thu Feb 14 10:41:18 2013 -0500

    gnome-rr: add a way to get the display name from the RROutput

M	libgnome-desktop/display-name.c
M	libgnome-desktop/edid.h
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit 1fc10e6d22b70a2e982b16228a1232f85d65a7ad
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Jan 18 00:15:47 2013 -0500

    idle-monitor: Change the API to be function-based
    
    As the current API design has been unknowingly relying on an Xorg server
    bug that may be fixed in the future, we need to modify the API so that
    became-active is explicitly asked for by the user so that we won't get
    flooded with a large number of events for almost every input event.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688227

M	libgnome-desktop/gnome-idle-monitor.c
M	libgnome-desktop/gnome-idle-monitor.h
M	libgnome-desktop/test-idle-monitor.c

commit 36c472b33dbbb6740b5ed703d594c9dd5d8aa44d
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Jan 23 13:54:08 2013 -0500

    idle-monitor: Make sure we publicly make watch intervals 64-bits wide
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688227

M	libgnome-desktop/gnome-idle-monitor.c
M	libgnome-desktop/gnome-idle-monitor.h

commit 21348a1d192b9185f2876bb8c873856994d0b5ef
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Jan 23 13:53:46 2013 -0500

    idle-monitor: Fix documentation
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688227

M	libgnome-desktop/gnome-idle-monitor.c

commit 626de2acb020e62a4276ef8acbe72cf940157d5a
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Thu Jan 17 23:52:57 2013 -0500

    idle-monitor: Clarify code and comments about alarm rescheduling workaround
    
    Segment the code out in its own function, point out that this is an Xorg
    bug, and don't actually set any attributes -- just call XSyncChangeAlarm.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688227

M	libgnome-desktop/gnome-idle-monitor.c

commit b28ff3f0c20713c20f50793b97a6eaf48722df30
Author: Evan Nemerson <evan@coeus-group.com>
Date:   Mon Feb 4 13:30:09 2013 -0800

    introspection: fix symbol-prefix
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693165

M	libgnome-desktop/Makefile.am

commit 63b721e24d4e37777d408a2414947f57fcec7961
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Tue Feb 12 09:19:14 2013 +0100

    [WallClock] Add gnome_wall_clock_new
    
    At the conventional new() method instead of requiring user to manually
    use g_object_new.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693640

M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt
M	libgnome-desktop/gnome-wall-clock.c
M	libgnome-desktop/gnome-wall-clock.h
M	libgnome-desktop/tests/test-wallclock.c

commit feadc030b577e4c673a2ca3d327665d6a485eebf
Author: Anish A <aneesh.nl@gmail.com>
Date:   Tue Feb 12 23:25:58 2013 +0400

    Updated Malayalam Localization

M	po/ml.po

commit cbed695628d9e60eff7c64830cb87c717304fd8c
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Tue Feb 12 08:46:27 2013 +0100

    [WallClock] document the get_clock method

M	libgnome-desktop/gnome-wall-clock.c

commit c14b46f36e57e146e3aa64cf9a994acc656a7693
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Tue Feb 12 08:45:45 2013 +0100

    [WallClock] Add a timezone property
    
    This way a user can be notified of the change without having to monitor
    the timezone files itself.
    It also reduces the load of the wall clock itself since using
    g_date_time_new_now_local at every iteration forces reparsing of the
    timezone file etc.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=693533

M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt
M	libgnome-desktop/gnome-wall-clock.c
M	libgnome-desktop/gnome-wall-clock.h

commit 0efdf04db7b7815db72f8ec46e37839e173bbabf
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Mon Feb 11 15:11:50 2013 -0500

    docs: generate documentation for GnomeWallClock

M	docs/reference/gnome-desktop3/gnome-desktop3-docs.sgml
M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt
M	docs/reference/gnome-desktop3/gnome-desktop3.types

commit 3500427eac885310b3086615f78a2fbdd19fec8e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Mon Feb 11 15:11:32 2013 -0500

    idle-monitor: fix two typos in gtk-doc comments

M	libgnome-desktop/gnome-idle-monitor.c

commit 35280c136400fc0af877dc515a2329562bfbdcfb
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Mon Feb 11 15:11:09 2013 -0500

    docs: generate gtk-doc documentation for GnomeIdleMonitor

M	docs/reference/gnome-desktop3/gnome-desktop3-docs.sgml
M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt
M	docs/reference/gnome-desktop3/gnome-desktop3.types

commit 4e03c197deb5c8bb4a66e2f53d42673f5b38f6f3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Mon Feb 11 15:07:38 2013 -0500

    idle-monitor: use standard GObject boilerplate
    
    This helps gtk-doc finding things in the expected places and
    auto-generating documentation for properties and signals

M	libgnome-desktop/gnome-idle-monitor.c
M	libgnome-desktop/gnome-idle-monitor.h

commit 83e7944bd7b56561ca5a8724c3fcc3bcbb4b5f72
Author: A S Alam <aalam@users.sf.net>
Date:   Sun Feb 10 23:41:04 2013 +0000

    Punjabi: Translation updated (aalam)

M	po/pa.po

commit 8a10e37d5474ef1142d57aef14538976e7dad006
Author: Ján Kyselica <kyselica.jan@gmail.com>
Date:   Wed Feb 6 18:51:20 2013 +0100

    Updated slovak translation

M	po/sk.po

commit 5a3ef2d9b992b1e41a8765e93474dbae006b0eb4
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Feb 5 19:40:36 2013 +0000

    Release version 3.7.5

M	NEWS
M	configure.ac

commit 124645954d2bb257f88809302ae47ffe53849dce
Author: Ján Kyselica <kyselica.jan@gmail.com>
Date:   Sun Feb 3 16:52:59 2013 +0100

    Updated slovak translation

M	po/sk.po

commit b130f41e574adc403ca2be761f2ad483bb195687
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Feb 2 23:46:57 2013 +0100

    Updated Polish translation

M	po/pl.po

commit 559b551baf2870eb59fccfc888b97caa5b6f1ea5
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Feb 2 11:53:09 2013 +0200

    Updated Hebrew translation.

M	po/he.po

commit a8d5d868deaa0f840c7f4a10fc29c5f3ae75b388
Author: Colin Walters <walters@verbum.org>
Date:   Tue Jan 29 15:53:49 2013 -0500

    languages: Don't g_warning if there's no locale archive
    
    glibc supports both a mmapped database and subdirectories; currently
    we g_warning if the mmapped database doesn't exist.  Don't do that,
    since e.g. gnome-ostree (derived from OpenEmbedded) uses
    subdirectories.
    
    See http://lists.freedesktop.org/archives/systemd-devel/2013-January/007957.html
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692834

M	libgnome-desktop/gnome-languages.c

commit a412b05901c87bd8b51654816254d275023ef39c
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed Jan 30 09:20:54 2013 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 4171eeec83aec71d0550d21a3fe8ad3b11eae43c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Jan 29 19:33:23 2013 +0100

    Updated Norwegian bokmål translation

M	po/nb.po

commit 291621c088f6b35517e580c5f0f9811f88025348
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jan 28 11:45:47 2013 +0100

    Updated Spanish translation

M	po/es.po

commit 0cfc4152e906025a9741150969533dc6802c3db0
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Mon Jan 28 10:03:16 2013 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 24cc39bf18880ccd954f3f2ea888d1c165468ebe
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Jan 27 22:03:25 2013 +0100

    Updated Slovenian translation

M	po/sl.po

commit 0ec721ce4b0ca49b5e108a96af2a203082a88fb7
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Jan 27 18:13:28 2013 +0100

    Updated Galician translations

M	po/gl.po

commit da2eefa697bcc6c771fd8db58f0f02aaf3fec6bc
Author: Gheyret Kenji <gheyret@gmail.com>
Date:   Sun Jan 27 13:07:44 2013 +0900

    Updated Uyghur translation
    
    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit 1accb3105447d9787b098038bdc2790eeddaa762
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Jan 26 20:28:38 2013 +0200

    Updated Lithuanian translation

M	po/lt.po

commit 54e75384b1f982bfb8d42954abaf829ddfcd1551
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Jan 25 19:35:18 2013 +0100

    Updated POTFILES.in

M	po/POTFILES.in

commit 57b0643e4cc1fa81fe1682c86d3cc53330ed5a62
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Wed Jan 23 15:42:29 2013 +0100

    gnome-xkb-info: Add a get_layout_info_for_locale method
    
    Now that we have layouts grouped properly by country and language we
    can implement an accurate get_layout_info_for_locale method instead of
    the hacky solution that we had before.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692413

M	libgnome-desktop/gnome-xkb-info.c
M	libgnome-desktop/gnome-xkb-info.h

commit 5e86bb46bc8f6ea43b7cb9f3c42af7c16e116684
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Fri Jun 29 17:57:15 2012 +0200

    gnome-xkb-info: Group layouts by country and language
    
    This will allow us to do better guesses at which layout should be the
    default for a given locale.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692413

M	libgnome-desktop/gnome-xkb-info.c

commit 09d15b83586e9af6514225365ddf6d21c83d6053
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Fri Jan 18 16:55:23 2013 +0100

    gnome-languages: Fix a memory leak
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692413

M	libgnome-desktop/gnome-languages.c

commit cc16a0e00029f0b30f527201a7d2194cb31e00b8
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Sat Jul 7 00:39:36 2012 +0200

    gnome-languages: Extracted from gnome-control-center
    
    This used to be panels/common/gdm-languages.c in gnome-control-center
    but it's useful in several core desktop modules so let's move it here
    and s/gdm/gnome/.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692413

M	configure.ac
M	libgnome-desktop/Makefile.am
A	libgnome-desktop/gnome-languages.c
A	libgnome-desktop/gnome-languages.h
A	libgnome-desktop/locarchive.h
A	libgnome-desktop/test-languages.c

commit 44f665082427534841f030ab620214afd5b327fc
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Wed Jan 23 19:27:00 2013 +0100

    post-release version bump
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692413

M	configure.ac

commit 6b213d08f0f5ebf72a3079e95a1059f2b6d08754
Author: Martin Pitt <martinpitt@gnome.org>
Date:   Mon Jan 21 11:22:27 2013 +0100

    gnome-rr: Add missing annotation
    
    gnome_rr_screen_get_dpms_mode()'s "mode" parameter is (out). This makes the
    method introspectable.

M	libgnome-desktop/gnome-rr.c

commit 5a8c10078a31f577ed5d5d57711f81a3e962a809
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Tue Jan 15 18:59:07 2013 +0300

    Updated Belarusian translation.

M	po/be.po

commit 04cea8cb392b2609d9353ff97bb6a52908b94924
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jan 15 06:35:01 2013 -0500

    3.7.4

M	NEWS
M	configure.ac

commit 332c0fd2d9b7fd2a60ebcf5c039368ad455c6a48
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jan 14 11:08:02 2013 +0100

    gnome-rr: Make sure DPMS takes effect immediately
    
    Otherwise, with DPMS Off:
    - querying xbacklight will return 0 as the backlight
      is actually off
    - setting the backlight won't have any effect if we haven't
      processed the DPMS On yet
    
    https://bugzilla.gnome.org/show_bug.cgi?id=691701

M	libgnome-desktop/gnome-rr.c

commit f263fdb65c805cc2d8f54719ce70a2ece10a959c
Author: Gheyret Kenji <gheyret@gmail.com>
Date:   Sun Jan 13 20:06:57 2013 +0900

    Updated Uyghur translation
    
    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit 8528270c08e92ba8afdbc6235f37a3f200235817
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Jan 13 10:51:16 2013 +0100

    Updated Slovenian translation

M	po/sl.po

commit 16fa678fc2231d364d74d58ce501fb7f7f42b2ab
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sat Jan 12 19:35:01 2013 +0200

    Updated Bulgarian translation

M	po/bg.po

commit 59c470cb47c6d33f0864074b7c3346a81eea255c
Author: Richard Hughes <richard@hughsie.com>
Date:   Fri Jan 11 11:14:45 2013 +0000

    Return a negative error code from gnome_idle_monitor_get_idletime() when there is no idle counter
    
    Returning 0 is a valid response if the counter has just been reset.

M	libgnome-desktop/gnome-idle-monitor.c

commit 82983533d4d6845681f8bc470ff3823a0253df4f
Author: TmTFx <f.t.public@gmail.com>
Date:   Fri Dec 28 23:23:52 2012 -0200

    Updated Friulian translation

M	po/fur.po

commit e6e5acd29a470f2b22744aeaadfcb602842c84e7
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Dec 28 11:20:32 2012 -0500

    test-wall-clock: Set locale
    
    When dealing with time formatting, setting locale is required
    to get any interesting results.

M	libgnome-desktop/test-wall-clock.c

commit 0940370f82730359a7771aae750136e3fe6bfaa9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Dec 28 11:19:32 2012 -0500

    wallclock: Fix a thinko in checking for am/pm
    
    We need to set ampm_available to TRUE when "AM" is available,
    not to FALSE.
    https://bugzilla.gnome.org/show_bug.cgi?id=690703

M	libgnome-desktop/gnome-wall-clock.c

commit be94293365fb3bf6e770f84272b7ddea1644bc91
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Thu Dec 27 21:13:18 2012 +0530

    Assamese translation updated

M	po/as.po

commit 880702f1ca0e4b8f6f349bfe961c285d5583656d
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Thu Dec 27 00:24:06 2012 +0200

    Updated Hebrew translation.

M	po/he.po

commit 96e986938fd0821cfd33d31a857407447421dba7
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Dec 24 22:57:04 2012 +0100

    Updated Galician translations

M	po/gl.po

commit ea32ffb22c4b7aec1c39b2188f429bb522b183b0
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Dec 24 22:56:28 2012 +0100

    Updated Galician translations

M	po/gl.po

commit a96077ecb7423372bcc82f5c3896516e3245d524
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Mon Dec 24 21:17:10 2012 +0200

    Updated Greek translation

M	po/el.po

commit b7652a0ba8fe31b7aab93b76eb9c5a8d16abf24b
Author: Mohamed Touhami MAHDI <dragnucs@gmail.com>
Date:   Mon Dec 24 13:59:40 2012 +0200

    Update Arabic translation

M	po/ar.po

commit 59caed769a087cff29c3bc4f23260d6f55f280e6
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sun Dec 23 18:55:33 2012 +0200

    Update Arabic translation

M	po/ar.po

commit 847ce4c77d34fed627a4bf091d3780ef9acc487f
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Dec 23 12:21:44 2012 +0100

    Updated Norwegian bokmål translation

M	po/nb.po

commit 36593ae763a30bb98ce9c735de4dcfc70cdd8827
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Dec 23 03:50:25 2012 +0100

    Updated Polish translation

M	po/pl.po

commit 1351f72d8f99b85f223bc5b1c9b1fa052fa44e2c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Dec 21 12:26:27 2012 +0100

    Updated Spanish translation

M	po/es.po

commit 418a95c9c7950816482b0ada815e6b3fd97ddfd1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Dec 20 10:46:20 2012 -0500

    docs: Adapt to rr-labeler removal

M	NEWS
M	docs/reference/gnome-desktop3/gnome-desktop3-docs.sgml

commit b9b5c04ccf348b93399522cf450bbfe6a5819578
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Nov 28 22:43:04 2012 -0500

    Use nice Unicode for date formatting
    
    The ratio character is nicer aligned for this use than the
    stock colon, and a thin space is all that is needed before am/pm.

M	libgnome-desktop/gnome-wall-clock.c

commit cb25238ebd0a69359d46def8eecf0bd098644a87
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Dec 19 13:49:54 2012 +0100

    pnp-ids: Add more debug

M	libgnome-desktop/gnome-pnp-ids.c

commit 5779d22c70b7ea48a12eeddaf465d524a5d8e9b1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Dec 19 13:49:28 2012 +0100

    pnp-ids: Remove extraneous "S" from type macros

M	libgnome-desktop/gnome-pnp-ids.c
M	libgnome-desktop/gnome-pnp-ids.h

commit 104cbd7b9b872abeebc51ed4ffe4a29816a1fc1f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Dec 19 13:48:50 2012 +0100

    pnp-ids: Load the gnome-pnp-ids.h from source tree

M	libgnome-desktop/gnome-pnp-ids.c

commit 7f9fba8b6e52b1ef397084708839e70395678a92
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Nov 13 10:57:22 2012 +0100

    idle-monitor: Reset the alarm so it can be triggered again
    
    http://www.x.org/archive/X11R7.6/doc/xextproto/sync.txt says:
    
    [... If] the delta is 0 and test-type is PositiveComparison
    or NegativeComparison, no change is made to value and the alarm
    state is changed to Inactive before the event is generated.
    
    But we want to receive to receive events about the idleness/business
    of the counter, so reset the alarm when the alarm is triggered.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688227

M	libgnome-desktop/gnome-idle-monitor.c

commit bb3628dbc8d0bbdb935c839f7ece4f4238c5569b
Author: Dr.T.Vasudevan <drtvasudevan@gmail.com>
Date:   Sun Dec 2 16:22:50 2012 +0530

    Updated Tamil translation

M	po/ta.po

commit 7881a02cd84dae35241c3f74b050eecdd6df4afc
Author: Dr.T.Vasudevan <drtvasudevan@gmail.com>
Date:   Sun Dec 2 16:20:53 2012 +0530

    Updated Tamil translation

M	po/ta.po

commit 917d105970c28c20c964e19c5304df79a4269ed3
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sun Nov 25 23:55:12 2012 +0900

    docs: remove references to rr-labeler
    
    This completes commit a9f66f46654d2af5c2a906f11fde07a036d5c2be

M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt
M	docs/reference/gnome-desktop3/gnome-desktop3.types

commit dc15405162370176db23dfa740a844f785661f10
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Nov 22 01:34:06 2012 +0100

    Updated POTFILES.in

M	po/POTFILES.in

commit ffd8f60b8f42f7b5536ead5c75f9a1019a0cc65e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 21 22:31:18 2012 +0100

    build: Bump soname for GnomeRRLabeler removal

M	configure.ac

commit a9f66f46654d2af5c2a906f11fde07a036d5c2be
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 21 22:30:38 2012 +0100

    rr-labeler: Move to gnome-control-center
    
    As it was the only user of the widget.

M	libgnome-desktop/Makefile.am
D	libgnome-desktop/gnome-rr-labeler.c
D	libgnome-desktop/gnome-rr-labeler.h

commit c445c2de139b1829784c912ed18bccbf7c76c2e8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 21 22:30:14 2012 +0100

    utils: Remove unneeded includes

M	libgnome-desktop/gnome-desktop-utils.c
M	libgnome-desktop/gnome-desktop-utils.h

commit a3c6883777c13886cd9eb408d04b88d96c97260f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 21 22:17:34 2012 +0100

    idle-monitor: Add missing GDK include

M	libgnome-desktop/gnome-idle-monitor.h

commit 842aff3cb753a02e30e5947869625e7eb64a21ec
Author: ManojKumar Giri <mgiri@redhat.com>
Date:   Tue Nov 20 13:29:05 2012 +0530

    Updated Odia Translation with FUEL implementation.

M	po/or.po

commit 3d5d892073628bd72f213c821afe1819144e1b71
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Tue Nov 20 11:55:13 2012 +0530

    Updated Kannada Translations

M	po/kn.po

commit 2efa798c3a43afacd1d8d9c3a21aa448b6016555
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Nov 19 22:08:52 2012 -0500

    post-release version bump

M	configure.ac

commit c930d39b081853224f1f971a1467442a6843d6e7
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Nov 19 21:55:54 2012 -0500

    3.7.2

M	NEWS
M	configure.ac

commit 8b65ef0f8b44dea4a3237dea0362ba2546921e8d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Nov 13 09:24:08 2012 +0100

    idle-monitor: Catch the state changing signals

M	libgnome-desktop/test-idle-monitor.c

commit 316173fb41581b58886c189329aa2fafcab96ce2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Nov 13 09:23:32 2012 +0100

    idle-monitor: Set a decent test timeout

M	libgnome-desktop/test-idle-monitor.c

commit 9644d369f334770b2147165b834be41333cd5d47
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Nov 13 09:04:53 2012 +0100

    idle-monitor: Remove reference to removed argument

M	libgnome-desktop/gnome-idle-monitor.c

commit fb26c33bab4a0c419a0c7abfb819827a325e7614
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Nov 13 09:03:16 2012 +0100

    idle-monitor: Fix typo in API docs

M	libgnome-desktop/gnome-idle-monitor.c

commit 4c8d0bc7b22dea06d97573b5ed9c4f32d6ebac49
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Nov 12 19:13:06 2012 +0100

    idle-monitor: Add test application

M	libgnome-desktop/Makefile.am
A	libgnome-desktop/test-idle-monitor.c

commit 1c706c8f10b3fb998071f7ff9a01c847e665bfd9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Nov 12 19:12:15 2012 +0100

    idle-monitor: Clarify _add_watch() API docs

M	libgnome-desktop/gnome-idle-monitor.c

commit 9d418acf499c638e768005b707f5b880588811f8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Nov 12 19:11:08 2012 +0100

    idle-monitor: Change _add_watch() API
    
    Return the watch_id as a return value, and zero on failure.

M	libgnome-desktop/gnome-idle-monitor.c
M	libgnome-desktop/gnome-idle-monitor.h

commit 2b2ccd878d32ea78bf1060a6798fa374429af009
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Nov 12 19:10:01 2012 +0100

    idle-monitor: Clarify unit for interval argument
    
    It's in milliseconds, not seconds.

M	libgnome-desktop/gnome-idle-monitor.c
M	libgnome-desktop/gnome-idle-monitor.h

commit 35ee57f7e6132173cea90cb9e5e4e12babfae8b6
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sun Oct 28 22:10:23 2012 -0400

    idle-monitor: Allow counting device-specific idle-times
    
    For more complicated cases, it's possible that users may want to
    track per-device idle times. Allow them to specify a "device" property
    so that they can do this properly.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682224

M	libgnome-desktop/gnome-idle-monitor.c
M	libgnome-desktop/gnome-idle-monitor.h

commit 16b0cea1300e78dd9cf5d195bd33607cd1c537e6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Nov 12 17:58:05 2012 +0100

    idle-monitor: XSyncValue related compile-time warnings
    
    Avoid aggregate return warnings by transforming the _int64_to_xsyncvalue
    function into a macro.
    
    gnome-idle-monitor.c: In function '_int64_to_xsyncvalue':
    gnome-idle-monitor.c:80:1: warning: function returns an aggregate [-Waggregate-return]
    gnome-idle-monitor.c: In function '_xsync_alarm_set':
    gnome-idle-monitor.c:115:26: warning: function call has aggregate value [-Waggregate-return]
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688189

M	libgnome-desktop/gnome-idle-monitor.c

commit e61ef6c8c1faf03c8f71b164b74bb4c8d5757ca9
Author: Richard Hughes <richard@hughsie.com>
Date:   Fri Nov 9 17:38:26 2012 +0000

    gnome-rr: Fall back to XFree86_DDC_EDID1_RAWDATA if the other EDID keys are not set
    
    This is what the KDE module does too...

M	libgnome-desktop/gnome-rr.c

commit 63b6982c2bcdfb4e69faeba3dd2f775cda7ca6c7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Nov 8 12:23:02 2012 +0100

    wall-clock: Only use the 12h mode when AM/PM is available
    
    When the 12h mode is used but AM/PM aren't available, print
    using the 24h format.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=687913

M	libgnome-desktop/gnome-wall-clock.c

commit ec61247253165e549308c6edb6816202a8d7ce5a
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sun Oct 28 22:15:52 2012 -0400

    idle-monitor: Remove the global constructor
    
    To support device-specific counters, we're going to need the ability
    to create multiple instances of the idle-monitor.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682224

M	libgnome-desktop/gnome-idle-monitor.c

commit d56495cd15551510dd0e323d4e8232f518d1519b
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sun Oct 28 21:57:38 2012 -0400

    idle-monitor: Fix a memory leak when finding the proper IDLETIME counter
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682224

M	libgnome-desktop/gnome-idle-monitor.c

commit 405bfde5885e1662ff142ed5435c7a401aead4b6
Author: Colin Walters <walters@verbum.org>
Date:   Sun Oct 28 17:32:37 2012 -0400

    Drop calls to g_type_init(), bump GLib requirement
    
    See http://git.gnome.org/browse/glib/commit/?id=2002479c02fa6e468fc3f67ddc663657a52ebde8

M	configure.ac
M	libgnome-desktop/gnome-rr-debug.c
M	libgnome-desktop/test-pnp-ids.c
M	libgnome-desktop/test-wall-clock.c
M	libgnome-desktop/tests/test-wallclock.c

commit e5b91f09206c1d9b7391c01db7613a236fae5dad
Author: Yoji TOYODA <bsyamato@sea.plala.or.jp>
Date:   Sat Oct 27 01:20:08 2012 +0900

    [l10n] Update Japanese Translation.

M	po/ja.po

commit 5cc6cb9f7d751e1b4bacd9e646adbc613af82bb0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Oct 26 06:32:38 2012 -0400

    3.7.1

M	NEWS

commit ead28885444579084bacf303243f3df12c2704c9
Author: Colin Walters <walters@verbum.org>
Date:   Wed Oct 24 12:07:12 2012 -0400

    build: Add AM_MAINTAINER_MODE
    
    So we have the ability to do rebuild-Makefile-on-Makefile.am changes
    for developers.

M	configure.ac

commit dcb4bc7693cc00c5374393035545a21bcb9e8012
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 24 18:08:07 2012 +0200

    lib: Add newest pnp.ids to the repository

A	libgnome-desktop/pnp.ids

commit cb04925f212b18235de6d9cfa4649c44297113eb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 24 17:20:20 2012 +0200

    lib: Add thumbnail test application

M	libgnome-desktop/Makefile.am
A	libgnome-desktop/test-desktop-thumbnail.c

commit fdb7a78134f77d80879dd255d33c0644f9c1430b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 24 17:20:32 2012 +0200

    lib: Remove use of gvfs-copy in autogen.sh
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686792

M	autogen.sh
M	libgnome-desktop/Makefile.am

commit cd7083fe703812f03e8bc0bb081f36aa73e1ca13
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Tue Oct 23 09:21:10 2012 +0200

    release: bump to 3.7.1

M	configure.ac

commit df9594452e497b29e6397c01b6619747b104e49f
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sun Aug 19 23:47:43 2012 -0400

    libgnome-desktop: Add GnomeIdleMonitor
    
    This copy/paste code has long been part of gnome-shell, gnome-session,
    gnome-screensaver, and probably other places as well. It deserves a
    standard place in gnome-desktop for code deduplication.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682224

M	libgnome-desktop/Makefile.am
A	libgnome-desktop/gnome-idle-monitor.c
A	libgnome-desktop/gnome-idle-monitor.h

commit 403e34a17f23625b7ac1744c0ebde293f428d9ae
Author: Bahodir Mansurov <6ahodir@gmail.com>
Date:   Sun Oct 14 13:36:53 2012 -0400

    updating Uzbek@cyrillic translation

M	po/uz@cyrillic.po

commit a8be4441d2b3b3f931d20f7a1283384db57fbb03
Author: Yoji TOYODA <bsyamato@sea.plala.or.jp>
Date:   Thu Oct 11 21:01:28 2012 +0900

    [l10n] Update Japanese translation

M	po/ja.po

commit 1d11b25165887008854951ff5c49aecc0beb023c
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Tue Sep 25 20:01:26 2012 +0200

    gnome-xkb-info: Add public API to get an XKB option group description
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684803

M	libgnome-desktop/gnome-xkb-info.c
M	libgnome-desktop/gnome-xkb-info.h

commit 9951beb5f5ad0be457c42ec9d67bc4c6bd6f0922
Author: Daniel Martinez Cucalon <dmartinez@src.gnome.org>
Date:   Sat Sep 29 00:58:39 2012 +0200

    Updated Aragonese translation

M	po/an.po

commit 226385d96ad4a2f86ec7bd04b64b30ac9350b34b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 27 21:47:00 2012 +0200

    wall-clock: Add debug when timezone or schema changes

M	libgnome-desktop/gnome-wall-clock.c

commit ac4db1e9f86ae8626160668d18da5a91712cbb3e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 27 21:36:47 2012 +0200

    wall-clock: Add test application

M	libgnome-desktop/Makefile.am
A	libgnome-desktop/test-wall-clock.c

commit 5edcac4e3f017c2fd6f69743aa23f8e62258f03d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Sep 25 16:17:08 2012 -0400

    rr-labeler: scale the corner radii when drawing the fill
    
    We need to scale down the corner radii of the fill when drawing it on
    top of the frame, or its corners will not perfectly match those of the
    stroke, leaving some unpleasant transparent artifacts around the
    corners.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684814

M	libgnome-desktop/gnome-rr-labeler.c

commit f92b50c28219f364e8978f9f4c856545cb7b729e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Sep 25 16:15:39 2012 -0400

    rr-labeler: use a shape region if the widget is not composited
    
    Stolen pretty much as-is from the identical code in GtkTooltip. This
    ensures the labels always stay round and with no artifacts below the
    corners even in non-composited environments.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684814

M	libgnome-desktop/gnome-rr-labeler.c

commit 41a1074e4dd99e3b52e58a770cb8f7343aae8586
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Sep 25 15:53:16 2012 -0400

    rr-labeler: clear surface before drawing frame and background
    
    To avoid gray areas extending below the edges.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684814

M	libgnome-desktop/gnome-rr-labeler.c

commit 08f2a0e7f9ff4e323cb11cea5987c51d5f0f1ee8
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Wed Sep 26 09:18:30 2012 +0300

    Added uk translation

M	po/uk.po

commit 76c0a506532738bb1bd9e924650f18a224f7d726
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Wed Sep 26 09:06:01 2012 +0300

    Added uk translation

M	po/uk.po

commit 9aa20c583686b5ee66628a78c62f21a423f70ce7
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Wed Sep 26 01:31:40 2012 +0200

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 9dec1e3391c4db1f9e0479897736f4d65540d642
Author: Gil Forcada <gforcada@gnome.org>
Date:   Wed Sep 26 01:31:28 2012 +0200

    [l10n] Updated Catalan translation

M	po/ca.po

commit 42fca9d5cc2295c634d59d1c0535a8ac912755a0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Sep 25 16:00:07 2012 -0400

    3.6.0.1

M	NEWS
M	configure.ac

commit 8dba9824364a2144ac6ea1169a0e16d56925e13c
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Tue Sep 25 19:46:40 2012 +0200

    gnome-xkb-info: Fix introspection element-type annotations
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684802

M	libgnome-desktop/gnome-xkb-info.c

commit 41b7753d4358b55c9eccaf3bab4f4634384bb144
Author: Noriko Mizumoto <noriko@fedoraproject.org>
Date:   Tue Sep 25 05:38:30 2012 +0900

    [l10n] Update Japanese translation

M	po/ja.po

commit d45e3076511be635e761e006a98bf0d14cf6c5ac
Author: Timur Zhamakeev <ztimur@gmail.com>
Date:   Mon Sep 24 18:50:24 2012 +0600

    Updated Kyrgyz translation

M	po/ky.po

commit bc89d80b06cb63d26b6c5370adf8981c6f884c14
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 24 06:26:49 2012 -0400

    3.6.0

M	NEWS
M	configure.ac

commit 729e74232644082ead078cf37179fc81a4ba13bf
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 24 06:26:23 2012 -0400

    fix docs build

M	docs/reference/gnome-desktop3/gnome-desktop3-docs.sgml

commit 5e2b6b3c2008b97239727e87c2b3fa8bc544bb98
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Mon Sep 24 10:56:32 2012 +0300

    [l10n] Updated Estonian translation

M	po/et.po

commit 0adac42a7937ae6d5fe2c10690fb6491cba45c1a
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sun Sep 23 20:49:19 2012 +0300

    Updated Latvian translation

M	po/lv.po

commit 5fd9b649f68d46420f4c1fd13425be707defdc3d
Author: YunQiang Su <yqsu@src.gnome.org>
Date:   Sun Sep 23 04:18:54 2012 +0800

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit 83ad433ab64c5a3ca73ae0b8cc6cfaa9a21c113e
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Sat Sep 22 15:37:28 2012 +0530

    Updated kn translation

M	po/kn.po

commit 5929bfd59fc66d3db70343046a4fc4c52030a9c6
Author: Runa Bhattacharjee <runab@redhat.com>
Date:   Fri Sep 21 19:36:18 2012 +0530

    Updated Bengali India Translation

M	po/bn_IN.po

commit 96ea50fb9be90343bb260ffaeadeeac7af290b99
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Fri Sep 21 14:08:39 2012 +0530

    hindi update

M	po/hi.po

commit f87d26d809f6082030e9677142f01b087b302448
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   Thu Sep 20 23:45:53 2012 +0530

    Updated Telugu Translation

M	po/te.po

commit 950519720d4c13418f45b624378f5de1fed954cd
Author: Hedda Peters <hpeters@redhat.com>
Date:   Thu Sep 20 13:09:34 2012 +0200

    [l10n] Updated German translation

M	po/de.po

commit 6727d5f26a1c7e11970812d959d3d5218f3c5a02
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Thu Sep 20 10:21:55 2012 +0200

    Update French translation

M	desktop-docs/gpl/fr/fr.po

commit 5051aba8a99257581b5437967bf46b888cf7bd33
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Sep 20 10:19:12 2012 +0200

    Updated Slovenian translation

M	desktop-docs/fdl/sl/sl.po

commit 031d7b29d24ba1cd40a3ae35974a398eab5380d4
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Sep 20 10:18:35 2012 +0200

    Updated Slovenian translation

M	desktop-docs/gpl/sl/sl.po

commit ebe581a185e3f67d9efe32201d80dfc877fe5cac
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Thu Sep 20 10:17:49 2012 +0200

    Updated Slovenian translation

M	desktop-docs/lgpl/sl/sl.po

commit bbffcb416e9607f4f07a8d7cc71c213e658517d1
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Thu Sep 20 06:32:35 2012 +0300

    Updated Bulgarian translation

M	po/bg.po

commit a2e5489dca808439d57d83acc0de86112d40eece
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Tue Sep 18 12:05:39 2012 +0530

    Updated gujarati file

M	po/gu.po

commit d04c3855d6b7473e85b93d90bcb59488ae598b86
Author: Ani Peter <apeter@redhat.com>
Date:   Tue Sep 18 10:58:58 2012 +0530

    Updated Malayalam file

M	po/ml.po

commit 77bd6a5eaf0a5bad87f4e151c51799bbf076a035
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Sep 17 14:15:56 2012 +0200

    Updated Spanish translation

M	desktop-docs/fdl/es/es.po
M	desktop-docs/lgpl/es/es.po

commit c5ec270b42221c8ec6e6e62a1e3348220b266068
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Sep 17 00:00:02 2012 +0200

    gnome-xkb-info: Fix memory leak
    
    We need to free the current iso639Id string when it doesn't replace a
    previous one in the hash table.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684140

M	libgnome-desktop/gnome-xkb-info.c

commit 1749fb5ca803ba3e498a6e76b4b6e375a3642d22
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Sep 16 20:39:50 2012 +0200

    Updated Czech translation

M	po/cs.po

commit d1e2faaf998446372338b478f4029139b1f647d2
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sun Sep 16 13:24:49 2012 +0200

    Updated Danish translation

M	po/da.po

commit b010cb90f5e92aaf08c9c947751be7ccc2399043
Author: Timo Jyrinki <timo@debian.org>
Date:   Sat Sep 15 22:51:45 2012 +0300

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit d7a1f73b6c51edc1d59cdbfbf06dbfb5d6fc26ba
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Sat Sep 15 13:36:57 2012 +0200

    Update French translation

M	desktop-docs/fdl/fr/fr.po
M	desktop-docs/lgpl/fr/fr.po

commit fe75f3c5436be2b537e3cb424ee54139001e2d16
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Fri Sep 14 20:14:37 2012 +0400

    Updated Russian translation

M	po/ru.po

commit cd1a06259d1195a5021a73063f134fca201eb9f0
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Thu Sep 13 14:59:44 2012 +0200

    Update Hungarian license translations

M	desktop-docs/fdl/hu/hu.po
M	desktop-docs/gpl/hu/hu.po
M	desktop-docs/lgpl/hu/hu.po

commit 2979098e547f27da9b65547a3daccdd44cb8d802
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Wed Sep 12 17:20:06 2012 +0530

    Updated Marathi Translations

M	po/mr.po

commit 2560ff1effe8daec76e27190fbbb5debb98290ba
Author: A S Alam <aalam@users.sf.net>
Date:   Wed Sep 12 07:22:22 2012 +0530

    update Punjabi Translation

M	po/pa.po

commit c4241b98f40eb90a1388b6a290c3059763e93d6d
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Tue Sep 11 21:13:58 2012 +0200

    Updated Serbian translation

M	desktop-docs/gpl/sr/sr.po
M	desktop-docs/gpl/sr/sr@latin.po

commit df5d2091dbe0db36cc25ffb08c47eedf482d7ded
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Tue Sep 11 20:49:18 2012 +0530

    Assamese translation updated

M	po/as.po

commit 035ec4d6f911ff80199061edc8b04229dedcb6a5
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Mon Sep 10 00:23:03 2012 +0100

    Updated Portuguese translation

M	po/pt.po

commit 251b6bae413b3c6681837c60c3ad7b8cf41d30f0
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Sun Sep 9 11:36:39 2012 -0400

    Updated Brazilian Portuguese translation.

M	po/pt_BR.po

commit bbdd79c28017c0006002c39fb0793711c149cac5
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sun Sep 9 05:49:35 2012 +0900

    Updated Korean translation

M	po/ko.po

commit 7baa1184d66c78c0eebf8a72acdff35bb4fbdfc0
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Fri Sep 7 20:35:13 2012 +0300

    Updated Lithuanian translation

M	po/lt.po

commit fbaddeffebc97ca82f721506208aba6c838839fe
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Fri Sep 7 18:54:29 2012 +0300

    Updated Belarusian translation.

M	po/be.po

commit 83b83fffef4e0ec66fc26d8c3cd389b9131acea6
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri Sep 7 16:20:55 2012 +0300

    Updated Hebrew translation.

M	po/he.po

commit 84ad8444bcc036aa96e5aaf4b5d8a261b35e8991
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Fri Sep 7 15:23:46 2012 +0700

    Updated Thai translation.

M	po/th.po

commit e6448b7e7f08cdaf8c8cca274ac899f1b3e1afec
Author: Robert Ancell <robert.ancell@canonical.com>
Date:   Thu Sep 6 13:38:46 2012 +1200

    Require gsettings-desktop-schemas 3.5.91 which added the show-all-sources key

M	configure.ac

commit 2571586ac7e11a553716e56a7a3229ef49132751
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Thu Sep 6 22:11:50 2012 +0200

    [l10n] Updated Italian translation.

M	po/it.po

commit 70e165a522819a7c42b4b4217023fd8ea95f68ea
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Sep 6 19:43:17 2012 +0200

    Updated Slovenian translation

M	po/sl.po

commit 876dd971689b95bd8bf03fc3863b04f726525ab6
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Sep 6 18:26:28 2012 +0200

    Updated Spanish translation

M	po/es.po

commit 67a5731edd230010dd6c9d8730e5eb38eb7d0646
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:   Thu Sep 6 20:49:26 2012 +0430

    l10n: Updated Persian translation

M	po/fa.po

commit d1f1015a14461f3461c5900f9715bd7b32c51998
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Thu Sep 6 02:38:49 2012 +0300

    Updated Greek translation

M	po/el.po

commit 6f295ac2b2afe5b5186c0a5d1b5d4805cdb0af56
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Wed Sep 5 19:30:34 2012 +0100

    Updated British English translation

M	po/en_GB.po

commit 748180d43e580f0b60a95911111252cf03600358
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:   Thu Sep 6 00:53:15 2012 +0700

    Updated Indonesian translation

M	po/id.po

commit 35d302494df9bab36cb6cffe30a0a14dda501d75
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Wed Sep 5 20:01:25 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 4ee8ae992e5a747426482611f293c4e848e30c82
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Sep 5 13:02:41 2012 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit 7cd19008ecca0ad69763e714eec7eb3b41a40201
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed Sep 5 11:44:16 2012 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit edcf5e8473ee60871cdad3971d4de0f867d84986
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Wed Sep 5 07:18:00 2012 +0200

    Updated Arabic translation

M	po/ar.po

commit 4400fbc42db416d5022be45568e52d7e1e2aaaaf
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Tue Sep 4 23:24:28 2012 +0200

    Update French translation

M	po/fr.po

commit 33192ba730a43929910fb91734fb2e4bf2f77447
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Sep 4 22:39:35 2012 +0200

    Updated Galician translations

M	po/gl.po

commit 7389d32f2e98db4ca6c17225463c24379cf8422c
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Tue Sep 4 15:48:26 2012 +0200

    Updated Hungarian translation

M	po/hu.po

commit ca86bf5c92098c3daa53dd5970a3e9150c3c9678
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Sep 3 01:44:07 2012 +0200

    gnome-xkb-info: Honor the 'show-all-sources' gsettings key
    
    When this key is set to true we also load XKB layouts and options from
    xkeyboard-config's .extras.xml file.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682240

M	libgnome-desktop/gnome-xkb-info.c

commit c4bca747733db814768afdadbf1d4f8a912af11e
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Tue Sep 4 13:07:55 2012 +0200

    Updated Hungarian translation

M	po/hu.po

commit da63213a404ae1066b6b31952c050c9bd2ff13d0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Sep 3 21:39:59 2012 +0200

    Updated Polish translation

M	po/pl.po

commit 4778ef016d8203b3aa2b28bedcc50b0a9e15bfcc
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Sep 3 14:04:03 2012 -0500

    [GnomeRRLabeler] bgo#592412 - Make 'Mirrored Displays' string consistent with the control-center
    
    We had 'Mirror displays' as a command in the control center, but 'Mirror screens' as a description in
    GnomeRRLabeler.  Now we keep the former in the control center, and use 'Mirrored Displays' in the
    labeler, as a description of the monitor's state.
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	libgnome-desktop/gnome-rr-labeler.c

commit 85e4a2be66e28efd7abd82ba39191bc0c71c1b1a
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Sun Sep 2 22:48:06 2012 +0200

    Updated Italian translation

M	po/it.po

commit 032f7a5e6d0e4cedf2febe1db6adf3b0382aa395
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Sep 2 11:36:26 2012 +0200

    Updated Swedish translation

M	po/sv.po

commit eb98f0ad46286d6fed89106a98fc588c36488d05
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sat Sep 1 22:00:33 2012 +0700

    Updated Vietnamese translation

M	po/vi.po

commit 72c5f801e1cf4325fc19c621284693ee50a3a93c
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sat Sep 1 21:59:58 2012 +0700

    po/vi: import from Damned Lies

M	po/vi.po

commit 75cc6388b0bc2ad6b592a7053edca07ea0bfebbf
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sat Sep 1 00:52:28 2012 +0100

    Updated Portuguese translation

M	po/pt.po

commit efd4f72c081c0aed58602ad06923063f7ad3c646
Author: Colin Walters <walters@verbum.org>
Date:   Mon Aug 27 17:30:56 2012 -0400

    Update libgsystem

M	libgnome-desktop/libgsystem

commit a241a2eebc91dd0fc980cc6388587cfd42cfd59f
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Mon Aug 27 23:49:54 2012 +0530

    Implemented FUEL entries to Assamese translation

M	po/as.po

commit 0a03c8ca30f6e192d2c325686916ac283aca7c14
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sun Aug 26 06:09:09 2012 +0200

    Updated Arabic translation

M	po/ar.po

commit 4fb6bbb12431bc1b6c5d62be573f19f41de296a4
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sat Aug 25 20:23:01 2012 +0400

    Updated Russian translation

M	po/ru.po

commit 6c4d2acee563d3f3590edbccca26ec01f2fc2fd9
Author: William Jon McCann <jmccann@redhat.com>
Date:   Wed Aug 15 15:48:34 2012 -0400

    Determine the correct mime type when we still know the filename
    
    This fixes the case where we want to load .svgz files. If we
    just sniff the data we'll determine that they are application/gzip.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655406

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit 715b3ae32aa4dc8deaaa48138d4411a8393d25e1
Author: William Jon McCann <jmccann@redhat.com>
Date:   Wed Aug 15 11:51:33 2012 -0400

    Remove the temporary file when saving a thumbnail fails
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681942

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit 778b6844a893dea41801c5d8476bc8c83611c6c4
Author: William Jon McCann <jmccann@redhat.com>
Date:   Wed Aug 15 11:51:14 2012 -0400

    Show an error when saving a thumbnail fails
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681942

M	libgnome-desktop/gnome-bg.c
M	libgnome-desktop/gnome-desktop-thumbnail.c

commit d7d290a4ac35cd6e1c0cff26a017745cca678e22
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Aug 22 20:16:27 2012 +0200

    Updated Polish translation

M	po/pl.po

commit 7e310e462b4dc2164f934be8c50172ffead929ce
Author: Frédéric Péters <fpeters@0d.be>
Date:   Wed Aug 22 10:29:01 2012 +0200

    release: post release version bump

M	configure.ac

commit 9e5a780b4ad154138156a83653b8712a89456b9e
Author: Frédéric Péters <fpeters@0d.be>
Date:   Wed Aug 22 10:28:36 2012 +0200

    release: 3.5.90

M	NEWS
M	configure.ac

commit 8566774a292025dbbc235d15fe6713ecb5a96997
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:   Tue Aug 21 21:39:48 2012 +0700

    Updated Indonesian translation

M	po/id.po

commit 443f4a5e32cde614d106f4ec635efd1549b0a378
Author: Alexander Larsson <alexl@redhat.com>
Date:   Mon Aug 20 14:04:47 2012 +0200

    Fix crash if default background not found
    
    Its a hard error (i.e. crash) if you return FALSE from
    the final fallback in a g_settings_get_mapped map function.
    Fix that by returning TRUE with a NULL result.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682252

M	libgnome-desktop/gnome-bg.c

commit e08db42379420b690d13fc0bb5a0de305776e532
Author: A S Alam <aalam@users.sf.net>
Date:   Sun Aug 19 15:09:17 2012 +0530

    update Punjabi Translation

M	po/pa.po

commit 8d6d33851557eee47369aab5a252e05a5f8c10e1
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sun Aug 19 00:13:35 2012 +0300

    Updated Belarusian translation.

M	po/be.po

commit 21b7df015993f4e7ba0f5f2ccd66146b4b7d4eb5
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Fri Aug 17 02:17:29 2012 +0200

    gnome-xkb-info: Use glib's slice allocator for small structures
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682004

M	libgnome-desktop/gnome-xkb-info.c

commit 871601119af2646350732f32b531aa08ea0c6da9
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Fri Jul 6 18:38:41 2012 +0200

    gnome-xkb-info: Parse XKB options
    
    And offer public API to get at them.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682004

M	configure.ac
M	libgnome-desktop/gnome-xkb-info.c
M	libgnome-desktop/gnome-xkb-info.h
M	libgnome-desktop/test-xkb-info.c

commit d8048b728ee9110f0d313bc5ec65c4458bad515c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Aug 18 15:26:32 2012 +0100

    Fix Ukrainian translations
    
    The latest updates broke the build.

M	desktop-docs/fdl/uk/uk.po
M	desktop-docs/lgpl/uk/uk.po

commit 3068c656de06a6af2587326f87b5d152193727b8
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Aug 17 01:35:19 2012 +0200

    Updated Galician translations

M	po/gl.po

commit 245cb1559cf3cf0ab21cc0ce87fb0767e435b5fe
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Thu Aug 16 17:08:12 2012 +0300

    Updated Greek translations

M	desktop-docs/fdl/el/el.po
M	desktop-docs/gpl/el/el.po
M	desktop-docs/lgpl/el/el.po

commit c5872652bda37f94e288bf409b2fc4f75a30876e
Author: William Jon McCann <jmccann@redhat.com>
Date:   Fri Aug 10 14:49:09 2012 -0400

    Increase the size of thumbnails to 256
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681929

M	libgnome-desktop/gnome-bg.c

commit 3e49221d452067da4dbdfc90ba84c8ed7a72869b
Author: Colin Walters <walters@verbum.org>
Date:   Wed Aug 15 13:40:47 2012 -0400

    Update libgsystem

M	libgnome-desktop/libgsystem

commit 9913061a27bfe49f08a24930e5bdbb11c6728b84
Author: Colin Walters <walters@verbum.org>
Date:   Wed Aug 15 13:30:57 2012 -0400

    Fix up submodule setup

M	autogen.sh
A	libgnome-desktop/libgsystem

commit bd6fb734806f40f6b8777792eebdc06635d001ea
Author: William Jon McCann <jmccann@redhat.com>
Date:   Sat Jul 21 02:13:05 2012 -0400

    Don't crash if unable to set background
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680354

M	libgnome-desktop/gnome-bg.c

commit d0407417383533fbed84d7e0acebc7b1fef73fb3
Author: Colin Walters <walters@verbum.org>
Date:   Wed Aug 15 11:47:34 2012 -0400

    .gitmodules: Was missing from previous commit

A	.gitmodules

commit 177090152ee90742b924ca00a18ded1bf1c3681f
Author: Colin Walters <walters@verbum.org>
Date:   Fri Aug 10 17:26:33 2012 -0400

    Pull in libgsystem, use it to read thumbnails with O_NOATIME
    
    We can use libgsystem since we don't need to care about MSVC here.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680326

M	autogen.sh
M	libgnome-desktop/Makefile.am
M	libgnome-desktop/gnome-desktop-thumbnail.c

commit a1fbad4d16ed86ee3e7c5d53759cea9172e7e047
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:   Wed Aug 15 10:30:27 2012 +0200

    trivial: Replace FSF address with current one.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681897

M	desktop-docs/fdl/ar/ar.po
M	desktop-docs/fdl/uk/uk.po
M	desktop-docs/gpl/ar/ar.po
M	desktop-docs/gpl/pa/pa.po
M	desktop-docs/gpl/uk/uk.po
M	desktop-docs/lgpl/ar/ar.po
M	desktop-docs/lgpl/pa/pa.po
M	desktop-docs/lgpl/uk/uk.po
M	desktop-docs/lgpl/zh_CN/zh_CN.po
M	libgnome-desktop/edid.h
M	libgnome-desktop/gnome-bg-crossfade.c
M	libgnome-desktop/gnome-bg-crossfade.h
M	libgnome-desktop/gnome-bg.c
M	libgnome-desktop/gnome-bg.h
M	libgnome-desktop/gnome-datetime-source.c
M	libgnome-desktop/gnome-datetime-source.h
M	libgnome-desktop/gnome-desktop-thumbnail.c
M	libgnome-desktop/gnome-desktop-thumbnail.h
M	libgnome-desktop/gnome-desktop-utils.c
M	libgnome-desktop/gnome-desktop-utils.h
M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr-config.h
M	libgnome-desktop/gnome-rr-debug.c
M	libgnome-desktop/gnome-rr-labeler.c
M	libgnome-desktop/gnome-rr-labeler.h
M	libgnome-desktop/gnome-rr-output-info.c
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h
M	libgnome-desktop/gnome-thumbnail-pixbuf-utils.c
M	libgnome-desktop/gnome-wall-clock.c
M	libgnome-desktop/gnome-wall-clock.h
M	libgnome-desktop/gnome-xkb-info.c
M	libgnome-desktop/gnome-xkb-info.h
M	libgnome-desktop/private.h
M	libgnome-desktop/test-pnp-ids.c

commit 2738c5c803bdcc02ec6993b674eaca690e8fb4a5
Author: Colin Walters <walters@verbum.org>
Date:   Thu Aug 9 17:50:34 2012 -0400

    gnome-bg: Don't use C99 declarations
    
    It's not really necessary.

M	libgnome-desktop/gnome-bg.c

commit bb34dc0a694e6dd54cfd665762433c6beddba7f9
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Thu Aug 9 22:16:24 2012 +0200

    [l10n] Updated German translation

M	desktop-docs/lgpl/de/de.po

commit 881986b0d4764adfb96184cafbe58cc8d077fd10
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Thu Aug 9 22:12:10 2012 +0200

    [l10n] Updated German translation

M	desktop-docs/gpl/de/de.po

commit 6b6cea49b632d51e40c0d25c1d1ed18efcd6e8a4
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Thu Aug 9 22:06:04 2012 +0200

    [l10n] Updated German translation

M	desktop-docs/fdl/de/de.po

commit 000e656e95052d53b2adef502b4cf306b2dd8859
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Aug 8 13:03:50 2012 +0200

    Updated Spanish translation

M	desktop-docs/fdl/es/es.po
M	desktop-docs/gpl/es/es.po
M	desktop-docs/lgpl/es/es.po

commit 02d619e1f8bd58557ad6c53ad384a3ebcbe88c4c
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Aug 7 15:13:36 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit c704faa6082d1bc9b98ccee303fd2497ec625892
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Aug 7 01:20:03 2012 -0400

    3.5.5

M	NEWS
M	configure.ac

commit 5d20783a1cc4d2f7bead6568965d2910e9bdd351
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Aug 6 20:07:04 2012 +0200

    Updated Polish translation

M	desktop-docs/fdl/pl/pl.po

commit 8b7e059e2c01ec67d8aaf33133e695efae2173f8
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Aug 5 21:26:20 2012 -0400

    Port to new documentation infrastructure
    
    This commit changes from using gnome-doc-utils to using yelp-tools.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681264

M	Makefile.am
M	configure.ac
R100	desktop-docs/fdl/C/fdl.xml	desktop-docs/fdl/C/index.docbook
M	desktop-docs/fdl/Makefile.am
R100	desktop-docs/gpl/C/gpl.xml	desktop-docs/gpl/C/index.docbook
M	desktop-docs/gpl/Makefile.am
R100	desktop-docs/lgpl/C/lgpl.xml	desktop-docs/lgpl/C/index.docbook
M	desktop-docs/lgpl/Makefile.am

commit a1c289ddfa56bd9e97b231cc7f0abe2080be9d23
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Fri Aug 3 15:01:15 2012 +0530

    Assamese translation updated

M	po/as.po

commit 02fbacefc748ac77ba10175e2248e34657315c58
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Fri Aug 3 10:27:30 2012 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 62aba8d64f217a6b6388d2fcfa70df7cb5377297
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Tue Jul 31 10:56:37 2012 +0530

    Updated gujarati file

M	po/gu.po

commit 197094e0cbfddf0dce3f68f9a90ce2a6c25acc36
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Jul 30 02:46:55 2012 +0200

    Updated Galician translations

M	po/gl.po

commit 4d42756b3e5a083c7dc220934ff75e3f8a3cc588
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Jul 29 14:35:55 2012 +0200

    Updated Slovenian translation

M	po/sl.po

commit 3c3814b67e841436d4c2189f2b046cb08fa018fe
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Tue Jul 24 23:09:45 2012 +0300

    Updated Hebrew translation.

M	po/he.po

commit 98a13989bcb588326e1f770073b21573ee0bfab5
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Tue Jul 24 23:08:51 2012 +0300

    Updated Hebrew translation.

M	po/he.po

commit 28d06eb12eea531d5fbb715078c100c0e1d396ca
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Jul 24 21:51:49 2012 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit c67f60879e250b7822469518d9777c24975f7c4d
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Jul 22 00:32:16 2012 +0300

    Updated Lithuanian translation

M	po/lt.po

commit d5fe19318e58c0ea1304991b1778599a822283b9
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Jul 21 18:49:07 2012 +0200

    Updated Spanish translation

M	po/es.po

commit 2f35c9720583a436e6608561b5f6261f61519051
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Fri Jul 20 09:44:57 2012 +0300

    Updated Greek translation

M	po/el.po

commit e5b7e53c2254080bc7d3be6b1c7fb5592ce62a23
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Thu Jul 19 16:41:21 2012 +0200

    GnomeWallClock: add ignore-date property
    
    In certain cases (such as the gnome-shell lock screen) we want
    to show a clock without a date. This allows that, without duplicating
    logic.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680256

M	libgnome-desktop/gnome-wall-clock.c

commit 6deb007f102d8ae9eabb10808f34d7129932dad3
Author: Sebastien Bacher <seb128@ubuntu.com>
Date:   Tue Jul 17 16:11:24 2012 +0200

    gnome-bg: load the default background if the configured one is invalid
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680100

M	libgnome-desktop/gnome-bg.c

commit 059a8ad39f9af50db8d55fa5429c4cc2756ffb01
Author: Colin Walters <walters@verbum.org>
Date:   Mon Jul 16 11:44:22 2012 -0400

    Update to new GMutex API

M	configure.ac
M	libgnome-desktop/gnome-desktop-thumbnail.c

commit 5a91a99450e91f1d310e174fc48007e60a1ffb4f
Author: Colin Walters <walters@verbum.org>
Date:   Mon Jul 16 11:40:53 2012 -0400

    Release 3.5.4

M	configure.ac

commit 495acaa89c95d0691b7a53cae7c9230220a156fc
Author: Colin Walters <walters@verbum.org>
Date:   Mon Jul 16 11:33:45 2012 -0400

    Fix many documentation syntax warnings

M	libgnome-desktop/gnome-bg.c
M	libgnome-desktop/gnome-pnp-ids.c
M	libgnome-desktop/gnome-rr-labeler.c
M	libgnome-desktop/gnome-rr-output-info.c
M	libgnome-desktop/gnome-rr.c

commit f923c27e0fd247e8835a8b7dbda7bfcad7fd0c30
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jul 16 15:30:33 2012 +0100

    gnome-rr: Don't mark DFP outputs as internal
    
    Too many false positives, and the bug that it was supposed to fix,
    on the MacBook Pro, wasn't actually fixed by that check.
    
    See:
    https://bugzilla.gnome.org/show_bug.cgi?id=679858
    and:
    https://bugzilla.gnome.org/show_bug.cgi?id=672030

M	libgnome-desktop/gnome-rr.c

commit 1ed906ce604dcc585c729e1bb461daf91054c2a1
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Tue Jun 26 21:26:49 2012 +0200

    gnome-desktop-3.0.pc: Add Requires.private: xkbfile
    
    Because we include a header from xkbfile in gnome-xkb-info.h .
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678795

M	libgnome-desktop/gnome-desktop-3.0.pc.in

commit a265ebde0286d5dea127d60b35f2f8303cd83f41
Author: Colin Walters <walters@verbum.org>
Date:   Tue Jun 26 08:57:00 2012 -0400

    Release 3.5.3

M	NEWS

commit 6893c9a51200ce630af97fbda58eda678bae920b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jun 20 17:40:28 2012 +0100

    pnp-ids: Add loop for speed testing the ID fetching
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=590059

M	libgnome-desktop/test-pnp-ids.c

commit 8503ae8e1b860c60ea744fdc7064d090fc6690e6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jun 20 17:28:28 2012 +0100

    pnp-ids: Add test program

M	libgnome-desktop/Makefile.am
A	libgnome-desktop/test-pnp-ids.c

commit e9dee9d73b92e7c0d7c81104d8284a9915f96292
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jun 20 16:52:35 2012 +0100

    gnome-rr: Document the default DPI setting
    
    As X.org lies to us because the monitors lie to it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=545112

M	libgnome-desktop/gnome-rr-config.c

commit c599163097d6f96eaa6b5b04b284c7fd68e9436d
Author: Christian Hergert <christian.hergert@gmail.com>
Date:   Mon Aug 10 18:48:00 2009 +0000

    gnome-rr: Draw monitor labels with rounded corners
    
    And make sure the rounded corner matches that of the gnome-shell panel.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=591025

M	libgnome-desktop/gnome-rr-labeler.c

commit fbbf9a15e04f1b6cbaef5c493cacfd84d85f040b
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Tue Jun 19 21:20:44 2012 +0530

    Assamese translation reviewed

M	po/as.po

commit db122d9fdd503a9327f4207ebfcf78d9e7d2e3d8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue May 29 15:15:32 2012 +0100

    gnome-rr: Add gnome_rr_output_get_ids_from_edid()
    
    To get the vendor/product/serial triplet from an output's EDID data.
    This is useful for output matching in gnome-settings-daemon.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677031

M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit 22582a4ba4de44af8b0ea195f9896715fa8ac75d
Author: William Jon McCann <jmccann@redhat.com>
Date:   Mon Apr 30 12:43:22 2012 -0400

    Move thumbnails into XDG_CACHE_HOME
    
    https://bugzilla.gnome.org/show_bug.cgi?id=646508

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit 97ab041ef5fb120d152cd3d3d192f848b459961c
Author: Andrea Cimitan <andrea.cimitan@gmail.com>
Date:   Mon Jun 11 10:39:36 2012 -0400

    gnome-bg: Fix color conversion for solid backgrounds
    
    gnome_bg_create_surface converts the primary background
    color of a background without a filename from a GdkColor
    to a GdkRGBA.  It does it incorrectly though.
    
    This commit divides each color component by 65535 instead
    of 255, since GdkColor uses 16-bit color values.

M	libgnome-desktop/gnome-bg.c

commit fe6fdee20f2b0bb3fc2ad3f30506dea62905711d
Author: Ray Strode <rstrode@redhat.com>
Date:   Thu Jun 7 14:34:34 2012 -0400

    Revert "Allow rotation if the virtual size has the correct number of pixels"
    
    This reverts commit 8ba5e616ceb10ae8f1138eaa550ec65742195b78.
    
    It makes the checking too liberal and allows things through that will
    ultimately fail.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=640237

M	libgnome-desktop/gnome-rr-config.c

commit 575354ebf41aada6ad307a0d39bf42cdb0aa350b
Author: Ray Strode <rstrode@redhat.com>
Date:   Mon Feb 7 13:56:41 2011 -0500

    gnome-bg: force property update when doing new crossfade frame
    
    gnome-shell needs to get notified about animation updates.
    
    This commit frobs the property to wake mutter up.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=641526

M	libgnome-desktop/gnome-bg-crossfade.c

commit 31c4241e5c08356ab8adf26cbd7aa1702b45ade5
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jun 4 22:43:56 2012 -0400

    Post-release version bump

M	configure.ac

commit 2134a8a9e43b74a143ca25c6a350c71feb040f07
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jun 4 22:29:01 2012 -0400

    3.5.2

M	NEWS
M	configure.ac

commit c49141f00220ec8acc86b0b771b0dcf2f1cce412
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jun 4 22:38:56 2012 +0200

    misc: Remove myself from maintainers
    
    Thanks to Colin for stepping up!

M	MAINTAINERS
M	gnome-desktop.doap

commit 9e6aa6fbb214f4dfb3e2c600d1b5275e353eb721
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jun 4 22:38:22 2012 +0200

    misc: Add Colin as maintainer to doap file too

M	gnome-desktop.doap

commit 56504c862964b4a2182c88cf8e1d33f02daf21b7
Author: Colin Walters <walters@verbum.org>
Date:   Mon Jun 4 13:44:28 2012 -0400

    MAINTAINERS: Add myself; i'll do patch review etc.

M	MAINTAINERS

commit 29c8c48c6a5a830c2b4fd165750b1802fd418eb0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jun 1 18:28:37 2012 +0100

    xkb-info: Add test application

M	libgnome-desktop/Makefile.am
A	libgnome-desktop/test-xkb-info.c

commit db4d37b36c3140b1e9d83dbf58cc98fc6e6aa4ad
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon May 21 17:25:47 2012 +0200

    gnome-xkb-info: Added to parse and make XKB xml descriptions available
    
    xkeyboard-config's xml descriptions contain useful information about
    XKB layouts. This class makes it easily available to several core
    components in the desktop.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676583

M	configure.ac
M	libgnome-desktop/Makefile.am
A	libgnome-desktop/gnome-xkb-info.c
A	libgnome-desktop/gnome-xkb-info.h

commit bff570509478bafa5ac1a6744a7583b6f4d825bb
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu May 31 15:58:18 2012 +0200

    Updated Spanish translation

M	desktop-docs/gpl/es/es.po

commit d9f5e5f58e86798c48995e1abc36e7c43174d132
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue May 29 14:26:30 2012 +0100

    gnome-rr: Unify laptop identification by name

M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr-private.h
M	libgnome-desktop/gnome-rr.c

commit 113c7c8252531665d9e9090c6f48cd3f6b16e120
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue May 29 10:20:56 2012 +0100

    gnome-rr: Simplify connector type comparison

M	libgnome-desktop/gnome-rr.c

commit b61d839645f83422158172d9f6d7de959069bb77
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Sun May 27 16:15:21 2012 +0200

    Updated Slovenian translation

M	desktop-docs/lgpl/sl/sl.po

commit 2ed4f948b8b1c7cdbcbe0ed82dc11179df5fa176
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu May 17 17:57:41 2012 +0100

    gnome-rr: Better display dimensions in names
    
    For a small number of displays, we know the size it's sold as,
    so make 15.6" displays show up as 15.6", not 16.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669537

M	libgnome-desktop/display-name.c

commit df7b842ecb84fb2d02a553dce3b9c8f7641d1860
Author: William Jon McCann <jmccann@redhat.com>
Date:   Tue May 8 18:30:28 2012 -0400

    Make the monitor labels 75% opaque
    
    This helps you see what might be hiding beneath them since they
    ignore clicks now.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=675696

M	libgnome-desktop/gnome-rr-labeler.c

commit a7fcdf155d25ff51baf2a37b3fa3adeda622161b
Author: William Jon McCann <jmccann@redhat.com>
Date:   Tue May 8 16:40:22 2012 -0400

    Ignore all events on the display labels
    
    https://bugzilla.gnome.org/show_bug.cgi?id=675696

M	libgnome-desktop/gnome-rr-labeler.c

commit f72eb69fe937ee514690f082fac91fe36fc489c1
Author: William Jon McCann <jmccann@redhat.com>
Date:   Tue May 8 16:13:23 2012 -0400

    Change display labeller to use rgba instead of color

M	configure.ac
M	libgnome-desktop/gnome-rr-labeler.c
M	libgnome-desktop/gnome-rr-labeler.h

commit 637a9f8c2c0e7184b059466a5cc93baad2a33ac8
Author: Yurek Hinz <yurekh@yahoo.com>
Date:   Mon Apr 16 19:08:35 2012 +0200

    Added Kashubian translation

M	po/LINGUAS
A	po/csb.po

commit d7cc5dadc3831b149bab1cd3e4af50e441546c2e
Author: Daniel Drake <dsd@laptop.org>
Date:   Wed Apr 11 13:59:32 2012 -0600

    gnome-bg: Fix crash when system clock is behind start date
    
    The 1-slide background included in Fedora 17 causes a crash
    in gnome-bg when the system clock is set behind the date specified
    in the slideshow xml file.
    
    This was due to slide->duration being set to UINT_MAX (to indicate a
    single-slide show) but show->total_duration not being updated to take
    account of this. The calculation in get_current_slide() was therefore
    confused, and triggered a g_assert_not_reached().
    
    https://bugzilla.gnome.org/show_bug.cgi?id=673551

M	libgnome-desktop/gnome-bg.c

commit cc326c09a5d52ba0a627b9cdc3434731d6cfa692
Author: Martin Pitt <martin.pitt@canonical.com>
Date:   Tue Apr 3 14:12:34 2012 -0500

    bgo#672030 - Use "default" as the laptop's built-in output's name as a catch-all for NVidia and others
    
    Drivers that don't bother to do RANDR properly tend to use "default" for the built-in
    output's name.  So, let's use that as a last heuristic to detect laptop displays.
    
    Patch by James M. Leddy.
    Original bug at https://launchpad.net/bugs/949296

M	libgnome-desktop/gnome-rr.c

commit 8a0e05760bc9beb6b8f2921fc94467be03b27352
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Wed Mar 28 14:39:21 2012 +0530

    Updated Marathi Translations

M	po/mr.po

commit c68e01f46d8a5297fedbb2331039bc7788169f3a
Author: Richard Hughes <richard@hughsie.com>
Date:   Fri Mar 16 12:11:46 2012 +0000

    gnome-rr: Add test tool to debug GnomeRR issues

M	libgnome-desktop/Makefile.am
A	libgnome-desktop/gnome-rr-debug.c

commit f3c2592b839464dd7d349fbd8e1349fb4638e781
Author: Reşat SABIQ <tilde.birlik@gmail.com>
Date:   Mon Mar 26 02:44:01 2012 -0500

    Updated Crimean Tatar (Crimean Turkish) translation

M	po/crh.po

commit da1808b0c689bb0337dda7e1e78a76a3a13ec77b
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sun Mar 25 17:41:45 2012 +0200

    Updated Serbian translation

A	desktop-docs/gpl/sr@latin/sr@latin.po

commit 7ea47c01cc32735277d5f7ac54be41e14e8b5652
Author: Andiswa Mvanyashe <andiswamva@webmail.co.za>
Date:   Sat Mar 24 14:25:31 2012 +0200

    Updated translation for Xhosa (xh)

M	po/xh.po

commit 01766bc933fe46a30a441804064d75f5851d5ed5
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Thu Mar 22 21:31:13 2012 +0100

    Added Serbian translation

M	desktop-docs/gpl/Makefile.am

commit d42714d8c5ddb147b5fc2ea0cbb4fb27ebddc109
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Thu Mar 22 21:23:38 2012 +0100

    Updated Serbian translation

A	desktop-docs/gpl/sr/sr.po
A	desktop-docs/gpl/sr/sr@latin.po

commit 17ae020abf495c0b15692e84d8ebe73f3dd41893
Author: Praveen Arimbrathodiyil <pravi.a@gmail.com>
Date:   Tue Mar 20 17:56:11 2012 +0530

    Malayalam translation updated

M	po/ml.po

commit 13317238d18cf3796b398d4f41456d5159d8be98
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 19 13:37:57 2012 +0100

    release: post-release bump to 3.4.0

M	configure.ac

commit 82837374fb936d18849dcf1900d6f2d60c500854
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 19 13:37:41 2012 +0100

    release: 3.3.92

M	NEWS
M	configure.ac

commit ead1b3478c86e80237c79c6f618d8187b6cd9eeb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Mar 14 10:35:11 2012 +0100

    gnome-rr: Detect Apple DFP outputs as internal
    
    As used in MacBookPro5,3
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672030
    
    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	libgnome-desktop/gnome-rr.c

commit 258fba54ad8b0b6e042f3f18c0a2af431869979a
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Fri Mar 16 13:54:45 2012 +0530

    hindi translation

M	po/hi.po

commit 4acf529c42296b6f8ddfddae9c0cda7ce2626a68
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Mar 13 20:50:46 2012 -0400

    gnome-bg: remove unused GdkScreen* arguments
    
    The GdkScreen* was being passed into some functions that weren't using
    it at all.  Remove those extra arguments.

M	libgnome-desktop/gnome-bg.c

commit 24795ea45e5f91706d1eac6c05efce571a85b4fe
Author: Khoem Sokhem <khoemsokhem@khmeros.info>
Date:   Sat Mar 10 13:21:49 2012 +0100

    Add initial Khmer translation

M	po/LINGUAS
A	po/km.po

commit 14b889daa350ec80e37e193a7cab422fd8af6fba
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Mar 9 14:55:05 2012 -0500

    gnome-bg: publish the 'representative color'
    
    Publish a list of 'representative colours' as a property on the root
    window _GNOME_BACKGROUND_REPRESENTATIVE_COLORS.  This is alongside the
    normal properties pointing at the pixmap of the background image.
    
    Right now, this is just implemented as an average using the existing
    pixbuf_average_value() function.  Strictly speaking, the property is a
    list of colours and in the future we may set more than one.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671750

M	libgnome-desktop/gnome-bg.c

commit 0f604136753948a43c4e571a64c5e5d1d9a69faf
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Mar 9 14:32:15 2012 -0500

    gnome-bg: have pixbuf_average_value return GdkRGBA
    
    Now that we have a proper type for RGBA values, we should use it
    (instead of packing the four components into a uint32).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671750

M	libgnome-desktop/gnome-bg.c

commit 1746f00f459b60aa7eb440324da60547ddb1a2ca
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 9 12:00:59 2012 +0100

    gnome-rr: Add definition for next rotation
    
    In gnome-settings-daemon's XRandR plugin, we were relying on -1
    meaning "next rotation" so that the "rotate display" button would
    work as expected. But given its values, GnomeRRRotation would
    probably have been made unsigned, and thus never matching -1.
    
    We now add an "next rotation" member for the benefit of that
    XRandR plugin.
    
    Spotted by Sjoerd Simons <sjoerd@luon.net>

M	libgnome-desktop/gnome-rr.h

commit 9fe6d5710f0768f00f0c852be01e5176dfd39eaa
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 5 10:53:15 2012 +0100

    release: post-release bump to 3.3.92

M	configure.ac

commit ea008930e1663502f11221b22ba9e369c3491b11
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 5 10:53:09 2012 +0100

    release: 3.3.91

M	NEWS
M	configure.ac

commit bc365a44eb1ac4c2073f5f39c22620f1b5edccdd
Author: Bahodir Mansurov <6ahodir@gmail.com>
Date:   Mon Feb 27 23:30:50 2012 -0500

    Updating Uzbek@cyrillic translation

M	po/uz@cyrillic.po

commit 11997d32313cd67f24cb26e18c562fa4b75ea36f
Author: Seth Forshee <seth.forshee@canonical.com>
Date:   Thu Feb 23 14:07:38 2012 -0600

    bgo#670459 [GnomeRR] - Consider Embedded Display Port outputs as the laptop's built-in display
    
    xorg still hasn't fixed https://bugs.freedesktop.org/show_bug.cgi?id=26736 which is
    about drivers properly exposing the ConnectorType property.  This would let us
    unambiguously identify a laptop's built-in display without playing heuristics
    on the RANDR output names.  For now, we'll use 'eDP' as the name given to
    Embedded Display Port outputs.

M	libgnome-desktop/gnome-rr.c

commit 351d2b8a80f6c2f8653f73e7791d94c256e78a80
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 22 15:10:30 2012 +0100

    build: Generate ChangeLog on make dist

M	Makefile.am

commit 77f7cb7d9dbc32c360de0eec95488990e38a7da2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 22 14:59:59 2012 +0100

    build: Update git.mk and ignore generated tarballs

M	Makefile.am
M	git.mk

commit fcd2d363299344466f88ae3e92a1e53d04cb8a2c
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Wed Feb 22 08:48:23 2012 +0100

    Add missing linking with -lrt for clock_gettime()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=670581

M	libgnome-desktop/Makefile.am

commit cf88b1a6ff8c8dc2a2eee63b2f011c71e9cc1223
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 21 10:43:37 2012 +0100

    release: post-release bump to 3.3.91

M	configure.ac

commit ca102e1e8d83d4963a36f58bb27f2633884986ba
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 21 10:43:31 2012 +0100

    release: 3.3.90

M	NEWS

commit 3b76ba0c16727ec9f2bd0b9ba4f41a8670bb026a
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Sun Feb 19 12:19:12 2012 +0200

    [l10n] Updated Estonian translation

M	po/et.po

commit b081283225167b56d4df9aff7631075f9f57747a
Author: Gordon Allott <gord.allott@canonical.com>
Date:   Mon Feb 13 19:16:04 2012 +0100

    gnome-bg: Add some check to avoid weird crash
    
    https://bugzilla.gnome.org/show_bug.cgi?id=670000

M	libgnome-desktop/gnome-bg.c

commit 97c6d2a221ef8d0f615972c8341db20047b54cbe
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Feb 6 12:20:50 2012 +0100

    release: post-release bump to 3.3.90

M	configure.ac

commit c1c90c7dc7e1df8333f14ffbc02fd35ec7d29d3e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Feb 6 12:20:30 2012 +0100

    release: 3.3.5

M	NEWS

commit b13ecfd8d5197d4ffac649f5e443a432021e50ad
Author: Evan Nemerson <evan@coeus-group.com>
Date:   Tue Jan 31 17:10:27 2012 -0800

    introspection: include exported pkg-config name in GIR
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669143

M	libgnome-desktop/Makefile.am

commit 8a8d5508d3563acb61202209af2ff895903cc230
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Jan 25 13:05:27 2012 +0100

    Updated Norwegian bokmål translation

M	po/nb.po

commit c92005bcb7d969bffe61563db2f1b524e6d85849
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jan 16 15:46:24 2012 +0100

    release: post-release bump to 3.3.5

M	configure.ac

commit c245581a526456e9eb91e00d75982e339d668a2a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jan 16 15:46:17 2012 +0100

    release: 3.3.4

M	NEWS

commit a795e4a631f08d7d10c562a7046d825f542f0e1d
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Jan 10 17:43:56 2012 -0600

    Update the docs for gnome_rr_screen_new()
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	libgnome-desktop/gnome-rr.c

commit 2a4c7421532b2f77c34fcf81162c193f36c470bc
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Jan 10 17:42:24 2012 -0600

    Update my email in AUTHORS
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	AUTHORS

commit a81bd53c44a0785373ba9fba543556e3c4e12431
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Jan 10 17:36:58 2012 -0600

    gnome_rr_screen_new() now creates a singleton for the specified GdkScreen
    
    Gnome-settings-daemon has now more than plugin that requires a GnomeRRScreen.  Having two
    instances of a GnomeRRScreen would mean extra roundtrips to the X server when RANDR events
    come in.  Also, it is better if GObject signals can be emitted in order from a single
    GnomeRRScreen instance.
    
    So, we now create a single GnomeRRScreen instance per GdkScreen, and return that.
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	libgnome-desktop/gnome-rr.c

commit 7d3cd44cdb70029ab2a107b5a22df5ba968036f0
Author: Jovan Naumovski <jovan3.14@gmail.com>
Date:   Sun Jan 8 15:10:36 2012 +0100

    Updated Macedonian translation.

M	po/mk.po

commit a41581079a547cf2590d7ae25d1ed8cd2619c7e1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 6 12:44:46 2012 +0000

    gnome-rr-labeler: Use GDK to get work area
    
    And make sure to use the correct monitor.

M	configure.ac
M	libgnome-desktop/gnome-rr-labeler.c

commit 9884805ae8c2b9cba2f1598e4166bebb57097547
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Dec 20 09:45:19 2011 +0100

    build: Create xz tarballs

M	configure.ac

commit e3c31bbc46232b85de18d82bfb399450b3386947
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Dec 20 09:21:05 2011 +0100

    release: post-release bump to 3.3.4

M	configure.ac

commit cf202553dfb8a0f7dc6d3cf083c33ada56402152
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Dec 20 09:20:58 2011 +0100

    release: 3.3.3

M	NEWS

commit dbef009956464691f50301137d980b8ebe1afe38
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Nov 21 14:07:40 2011 +0100

    release: post-release bump to 3.3.3

M	configure.ac

commit 10867566a239bb68fafde62cc1b0b89243b116dd
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Nov 21 14:07:34 2011 +0100

    release: 3.3.2

M	NEWS
M	configure.ac

commit fee59a5e46bba734a0cba3b936f3e0e4e2e52624
Author: Chris Coulson <chrisccoulson@googlemail.com>
Date:   Thu Nov 10 14:42:48 2011 -0600

    bgo#659689 - Don't refresh the GnomeRRScreen when applying a matched configuration from a file
    
    gnome_rr_screen_refresh() is only intended for the client-side 'Detect displays' command.
    The library's code shouldn't be calling this on its own.  This avoids a roundtrip
    to the X server, and potentially expensive re-probing of the outputs.
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	libgnome-desktop/gnome-rr-config.c

commit 90ed339db5f6e687925f87cb204dc7dce33b3f69
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Oct 24 14:03:00 2011 +0200

    release: post-release bump to 3.3.2

M	configure.ac

commit aa8c99e8c7b8a8408bdb7ed045289cb398689f31
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Oct 24 14:02:53 2011 +0200

    release: 3.3.1

M	NEWS
M	configure.ac

commit cb4f2e24a09c74d5cf55510caa7694ffc4b52d6f
Author: krishnababu k <kkrothap@redhat.ocm>
Date:   Tue Oct 18 12:48:15 2011 +0530

    Updated Telugu translations

M	po/te.po

commit d807368d45badcec07dc3a60d98de3f741259690
Author: krishnababu k <kkrothap@redhat.ocm>
Date:   Mon Oct 10 16:59:51 2011 +0530

    Updated Telugu Translations

M	po/te.po

commit 0328984c4a61b26e3bc2c382fbb2aac2e8e66221
Author: Alexandre Rostovtsev <tetromino@gmail.com>
Date:   Wed Oct 5 02:27:48 2011 -0400

    Ignore DPMSSetTimeouts() and DPMSForceLevel() return value
    
    At least with nvidia binary drivers, DPMSSetTimeouts() and DPMSForceLevel()
    always return BadRequest, even if they succeed. On a machine with intel
    graphics, DPMSForceLevel() was also observed to return BadRequest despite
    successfully changing the DPMS level. So we should just ignore the return
    value from these functions, like xset does.
    
    Also, there's no need to clear the timeouts twice if the mode has indeed
    changed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=660962
    
    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	libgnome-desktop/gnome-rr.c

commit 7033804a455ccd39997632c164b5fae3e4fedac4
Author: Colin Walters <walters@verbum.org>
Date:   Mon Oct 3 16:35:20 2011 -0400

    GnomeWallClock: Fix non-Linux fallback code
    
    This fixes the "infinite loop in gnome-screensaver" bug.  Only
    dispatch in cancel on set when the monotonic timeout has expired,
    otherwise we will drop into a tight loop.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=660343

M	libgnome-desktop/gnome-datetime-source.c

commit 8559c7853d34664128cd2e4388b3c0e5cf9f7d21
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Oct 3 17:34:10 2011 +0100

    Clear the DPMS timeouts even when the DPMS mode has not changed

M	libgnome-desktop/gnome-rr.c

commit 7abaed644f666cce6fc55ebc3f0ccde45deadb29
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Oct 3 16:34:16 2011 +0100

    Don't assume Success can be squashed into a gboolean

M	libgnome-desktop/gnome-rr.c

commit 1e9027cfacaf4d7571780e05c0b03e4521ae9a9d
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Oct 3 16:19:23 2011 +0100

    When setting the DPMS mode manually, clear the timeouts
    
    Based on a patch from Michael Vogt, many thanks.
    
    Resolves https://bugzilla.gnome.org/show_bug.cgi?id=660482

M	libgnome-desktop/gnome-rr.c

commit 10bd7e5c121f64afc08dd1629388db071348a072
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Sat Sep 24 15:09:45 2011 +0530

    Updated Assamese Translations:bugzilla#659595

M	po/as.po

commit 29a4d20f793cb30806e2d6209adf3696775dad48
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 20 11:15:27 2011 +0100

    gnome-pnp-ids: Remove unused filename variable

M	libgnome-desktop/gnome-pnp-ids.c

commit 3f748035c331ffeea2e3ac6e06b49ed1856404ed
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 20 11:12:05 2011 +0100

    gnome-pnp-ids: Remove unused data_dir variable

M	libgnome-desktop/gnome-pnp-ids.c

commit b7d00c429868c4c6e4b604ee4cf70fab369be869
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 20 11:10:02 2011 +0100

    gnome-pnp-ids: Re-add validation tweaks
    
    Which were lost in the port to the new object.

M	libgnome-desktop/gnome-pnp-ids.c

commit c4bfd2b41b99b98045e87b3a93479870e1532581
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 20 11:04:01 2011 +0100

    build: Remove apostrophe, it messes up highlighting

M	configure.ac

commit 7feb456f5bd1f6409d94e019c310fce6dd7c6d97
Author: Fran Dieguez <fran@openhost.es>
Date:   Tue Sep 20 02:23:09 2011 +0200

    Added Galician translations for GFDL

M	desktop-docs/fdl/Makefile.am
A	desktop-docs/fdl/gl/gl.po

commit 3b717ccaf5a79ad22fcecb57990a655f5cc8b968
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Sep 9 02:01:46 2011 +0100

    gnome-rr: Require XRandR 1.3 during compilation
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658622

M	configure.ac
M	libgnome-desktop/gnome-rr-private.h
M	libgnome-desktop/gnome-rr.c

commit fafbe26e12937405f7cef3dfa6142098ddc73ebd
Author: Sean Finney <seanius@seanius.net>
Date:   Mon Sep 19 12:27:12 2011 +0000

    build: Lower XEXT_REQUIRED dependency to 1.1
    
    It seems the reason for needing Xext is for the function DPMCapable(),
    which is also available in the 1.1.x versions.  Without lowering the
    dependency it is not possible to compile gnome-desktop (and thus anything
    that depends on it) on a stock Ubuntu Lucid system.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659472

M	configure.ac

commit 6c8506d87fb231b0ab5f7c4e75260ddcda812154
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Sep 9 02:02:09 2011 +0100

    gnome-rr: Remove deprecated functions
    
    Seeing as the only users are in the GNOME stack that we control.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658623

M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit ec9da39d559b127367224a80c334f89b2faa877a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Sep 17 23:14:35 2011 +0100

    Add object to get the vendor name from PNP IDs
    
    Ported from gnome-settings-daemon's color plugin.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659358

M	libgnome-desktop/Makefile.am
M	libgnome-desktop/display-name.c
A	libgnome-desktop/gnome-pnp-ids.c
A	libgnome-desktop/gnome-pnp-ids.h

commit d2bce5dc073824e1cdcedaada45dcdeaa0a7def6
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:   Sat Sep 17 12:01:40 2011 +0900

    Updated Japanese translation

M	po/ja.po

commit 26efa98897aea50fb0d81b7733dd0deeba975e25
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 12 17:50:51 2011 +0100

    gnome-rr: Don't print an error for no backlight
    
    If there's no support for the backlight property, don't
    throw a warning about it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658844

M	libgnome-desktop/gnome-rr.c

commit fa5688ef9d73c2155bec38827dea466d028bda0e
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Sep 13 11:31:23 2011 -0400

    gnome-rr: fix crash in update_brightness_limits
    
    XFree() isn't as forgiving as free() about NULL pointers.

M	libgnome-desktop/gnome-rr.c

commit a65613bf0a507a226c172bb6f503e27532efb0fa
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Sep 8 19:01:35 2011 +0200

    GnomeWallClock: Remove the date/time source on dispose
    
    We don't do it in finalize since the dispose handler needs the objects
    that are being disposed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658583

M	libgnome-desktop/gnome-wall-clock.c

commit 3dc5c1e54237516918d466c2dce6ee40c4b57cfe
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Sep 5 23:35:01 2011 +0200

    Updated LINGUAS

M	po/LINGUAS

commit 0b395f93d9a332a0a9b2396988215cead8f81dda
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 5 09:02:11 2011 +0200

    release: post-release bump to 3.1.92

M	configure.ac

commit fd5654e6a9404173cb1de1a29cdc4515bf0e44ff
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 5 09:02:05 2011 +0200

    release: 3.1.91

M	NEWS

commit c28295b814bae40cdbc3bc2df89b0d8b1d113b2f
Author: Colin Walters <walters@verbum.org>
Date:   Sat Sep 3 11:45:04 2011 -0400

    po: Merge date/time translations from gnome-shell
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657955

M	po/af.po
M	po/an.po
M	po/ar.po
M	po/be.po
M	po/bg.po
M	po/bn.po
M	po/bn_IN.po
M	po/ca.po
M	po/ca@valencia.po
M	po/cs.po
M	po/da.po
M	po/de.po
M	po/el.po
M	po/en_GB.po
M	po/eo.po
M	po/et.po
M	po/eu.po
M	po/fa.po
M	po/fi.po
M	po/fr.po
M	po/ga.po
M	po/gl.po
M	po/gu.po
M	po/he.po
M	po/hi.po
M	po/hu.po
M	po/id.po
M	po/it.po
M	po/ja.po
M	po/kn.po
M	po/ko.po
M	po/lt.po
M	po/lv.po
M	po/mr.po
M	po/ms.po
M	po/nl.po
M	po/nn.po
M	po/pa.po
M	po/pt.po
M	po/pt_BR.po
M	po/ro.po
M	po/ru.po
M	po/sk.po
M	po/sl.po
M	po/sr.po
M	po/sr@latin.po
M	po/sv.po
M	po/ta.po
M	po/te.po
M	po/th.po
M	po/tr.po
M	po/ug.po
M	po/uk.po
M	po/vi.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 85009806b20969d4a1970d9f09a070691baab954
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Sep 3 13:52:40 2011 +0200

    Added Norwegian bokmål translation

M	po/nb.po

commit 4069180015bd20622f185a8381e1f66b71b7e442
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Sep 3 13:38:30 2011 +0200

    Updated Spanish translation

M	po/es.po

commit a64f28dc99338f5bc8b22448437b363d7efed5ee
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Sep 2 23:18:10 2011 +0200

    Updated Polish translation

M	po/pl.po

commit 168f8c5b13510e96b7a36a1ac614ec53d5340de7
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Sep 2 23:12:42 2011 +0200

    Updated POTFILES.in

M	po/POTFILES.in

commit 51b3a78796d8f43bdff2c01cd5590604a18163f2
Author: Colin Walters <walters@verbum.org>
Date:   Fri Sep 2 16:15:31 2011 -0400

    configure: Fix usage of glib_ namespace

M	configure.ac

commit 3ef00a3ab423c2a61ff04a5f544bbb5af01c64d4
Author: Colin Walters <walters@verbum.org>
Date:   Fri Sep 2 16:14:31 2011 -0400

    wall-clock: Coding style fixes

M	libgnome-desktop/gnome-wall-clock.c

commit 5f65d7d58188ffc75ffded71c741892352411a0c
Author: Colin Walters <walters@verbum.org>
Date:   Thu Sep 1 12:27:54 2011 -0400

    GnomeWallClock: Add support for Linux timerfd()
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=655129 for more background
    information on timerfd.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657955

M	configure.ac
M	libgnome-desktop/Makefile.am
A	libgnome-desktop/gnome-datetime-source.c
A	libgnome-desktop/gnome-datetime-source.h
M	libgnome-desktop/gnome-wall-clock.c

commit fb9ee91145db8904f1baf7c60fbbfaf36dd05e47
Author: Colin Walters <walters@verbum.org>
Date:   Thu Sep 1 11:53:23 2011 -0400

    Add GnomeWallClock
    
    Since clocks are a bit tricky, it's useful to centralize this class.
    See https://bugzilla.gnome.org/show_bug.cgi?id=655129
    See https://bugzilla.gnome.org/show_bug.cgi?id=657074
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657955

M	libgnome-desktop/Makefile.am
A	libgnome-desktop/gnome-wall-clock.c
A	libgnome-desktop/gnome-wall-clock.h
A	libgnome-desktop/tests/test-wallclock.c

commit 03915ec950307e526cab7fcc7b1245a8715a5405
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 1 03:28:09 2011 +0100

    Remove dead files
    
    They weren't compiled, or used by anyone.

D	libgnome-desktop/gnome-tz-monitor.c
D	libgnome-desktop/gnome-tz-monitor.h

commit 5907be1ce962c49af8c8718827d6620a48cd805e
Author: Frédéric Péters <fpeters@0d.be>
Date:   Tue Aug 30 18:07:56 2011 +0200

    release: post-release version bump

M	configure.ac

commit 06e284ef330bfbd8c4e7db20992c1aca43a1ae56
Author: Frédéric Péters <fpeters@0d.be>
Date:   Tue Aug 30 18:04:51 2011 +0200

    release: 3.1.90.1

M	NEWS
M	configure.ac

commit 06eecd20a0c6e27f91265c20fe0ad2f773a51494
Author: Frédéric Péters <fpeters@0d.be>
Date:   Tue Aug 30 17:47:00 2011 +0200

    build: link against libm

M	configure.ac
M	libgnome-desktop/Makefile.am

commit 8644b27fe804727e4d00e7b1e5d17fd644c6b15c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Aug 28 19:08:02 2011 -0400

    Post-release version bump

M	configure.ac

commit b46fe4993cb3f4622c1b589e41493e02a92b38a1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Aug 28 19:06:56 2011 -0400

    3.1.90

M	NEWS

commit 152735fcc4921c83217ab735c316d26bb473539b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Aug 26 19:50:50 2011 +0100

    Remove GnomeTzMonitor
    
    You can watch over /etc/localtime yourself, or
    watch the Timezone property in systemd:
    http://www.freedesktop.org/wiki/Software/systemd/timedated
    
    Or even wait until this code lands in glib:
    https://bugzilla.gnome.org/show_bug.cgi?id=655129

M	libgnome-desktop/Makefile.am

commit 0fd4ef94029f3dbdca906c63646cbac912c974a3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Aug 26 19:29:55 2011 +0100

    Fix GnomeTzMonitor
    
    It doesn't really need width and height args...

M	libgnome-desktop/gnome-tz-monitor.c
M	libgnome-desktop/gnome-tz-monitor.h

commit be9438fd56d029bb9272172ad189d38c7104b0c3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Aug 12 11:36:19 2011 +0200

    release: post-release bump to 3.1.90

M	configure.ac

commit 908665fd5525cfb2fe60a6a34bc3814603fc924a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Aug 12 11:35:56 2011 +0200

    release: 3.1.5

M	NEWS
M	configure.ac

commit 5f15e28eb548f6d0394879bd1bf396c48c7bce2d
Author: Richard Hughes <richard@hughsie.com>
Date:   Wed Jul 27 12:49:50 2011 +0100

    Fix gnome_rr_screen_set_dpms_mode()
    
    This means it can actually power down the screen...

M	libgnome-desktop/gnome-rr.c

commit 7c706026f05e1554cac37b8db9a06debd6c69932
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jul 25 21:32:24 2011 +0200

    release: post-release bump to 3.1.5

M	configure.ac

commit 6bc4946c6bb09b4ddff8aacb91a9c3a34c185d90
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jul 25 21:32:06 2011 +0200

    release: 3.1.4

M	NEWS

commit 4545552762932592c2a8e9564d608bc40888fc40
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jul 25 17:56:22 2011 +0200

    build: Fix previous commit (1e38a386)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655274

M	configure.ac

commit 1e38a386da4a6c7f70f89621fa43fa1099523176
Author: Xan Lopez <xlopez@igalia.com>
Date:   Fri Jul 22 12:35:25 2011 -0700

    build: check for the X DPMS extension
    
    We use it unconditionally, so we need to do this if for no other
    reason that the module fails to link with GNU Gold otherwise.

M	configure.ac

commit 1871113d3514ec50cfc4cfb1d22e28c0d58af7df
Author: Tommi Vainikainen <thv@iki.fi>
Date:   Tue Jul 19 08:55:55 2011 +0300

    Updated Finnish translation

M	po/fi.po

commit 21a4d13a6e5e43e6bf8aee872c115d4f581d1d07
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jul 18 15:27:09 2011 +0200

    build: Remove startup-notification dependency
    
    We don't have anything using it in the library anymore.

M	configure.ac
M	libgnome-desktop/gnome-desktop-3.0-uninstalled.pc.in
M	libgnome-desktop/gnome-desktop-3.0.pc.in

commit 759c4f3e87b4301b7cbc895a6d3a50d7886535d9
Author: Brian Cameron <brian.cameron@oracle.com>
Date:   Mon Jul 18 15:20:05 2011 +0200

    build: Fix Cflags path in uninstalled.pc file
    
    https://bugzilla.gnome.org/show_bug.cgi?id=654717

M	libgnome-desktop/gnome-desktop-3.0-uninstalled.pc.in

commit 4e7dac8fb6590a51054550b177b31b1991f7981e
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jul 4 14:25:07 2011 +0100

    Add the capability to get and set the DPMS mode of the screen
    
    This is presently per-screen, but future versions of xrandr will allow us to
    set the DPMS mode of each output.
    
    This functionality is required by the power plugin in gnome-settings-daemon.

M	libgnome-desktop/gnome-rr-private.h
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit 422189c751e82dc45242c7ad4505f8b6019b1849
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jul 4 17:24:07 2011 +0200

    release: post-release bump to 3.1.4

M	configure.ac

commit 6d5ba2db000823926bb3ea93d9a28d0eaffbdef7
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jul 4 17:23:59 2011 +0200

    release: 3.1.3

M	NEWS

commit 43d8fea7045bb279e20b5b4b0f0b9f6a95806660
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jul 4 17:18:58 2011 +0200

    Revert "Add gnome-about.desktop.in to POTFILES"
    
    This reverts commit b6032c94b2b162feac33e3f8b0531da36a502691.
    
    There's no such file anymore...

M	po/POTFILES.in

commit b6032c94b2b162feac33e3f8b0531da36a502691
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jun 29 10:53:49 2011 -0400

    Add gnome-about.desktop.in to POTFILES
    
    This was causing test failures in build.gnome.org.

M	po/POTFILES.in

commit 4eb1ef700cd6ec5bde07f3ef48a7b51dfe1b6319
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Jun 28 20:55:56 2011 +0100

    Only get the BACKLIGHT limits for connected outputs
    
    Otherwise XRRQueryOutputProperty crashes and burns.

M	libgnome-desktop/gnome-rr.c

commit 1259765f449fdb34c9188fc59cb06fd0eb43145a
Author: Yuri Matsuk <yuri@matsuk.net>
Date:   Tue Jun 28 01:17:21 2011 +0300

    Updated Belarusian translation.

M	po/be.po

commit af0bfd3f3133246643c13ba4da46d773e8d04ffa
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   Sun Jun 26 03:44:12 2011 +0300

    Updated Turkish translation file header

M	po/tr.po

commit bf913c66dde2c4c394849c2b0a716fc0035dfd86
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   Sat Jun 25 18:24:59 2011 +0300

    Updated Turkish translation

M	po/tr.po

commit 8b73820f92ced9a399bf3dbf4b4d948690a94b58
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Fri Jun 24 22:33:37 2011 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 9d41568652a02168455cef4332e3626ade846236
Author: Richard Hughes <richard@hughsie.com>
Date:   Fri Jun 24 09:45:04 2011 +0100

    Fix a method name in the last commit that Bastien didn't like

M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit a2231c594bd180feeeaceeb42bf8bab9e97d310f
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Jun 23 23:25:13 2011 +0100

    Add methods to control the backlight on each output
    
    We need this in gnome-settings-daemon in the power plugin.

M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit d5f0001dd24eae4ce392682acdad7e2098d76a39
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 14 15:13:22 2011 +0200

    build: Modernize build system a bit
    
    Do not use AM_MAINTAINER_MODE as it is not recommended by automake
    developers.
    Use LT_PREREQ & LT_INIT for libtool checks.
    Require intltool 0.40.6 to avoid various bugs.
    Do not use AC_ISC_POSIX, AC_HEADER_STDC as they shouldn't be needed on
    modern systems.
    Stop using GNOME_COMMON_INIT as it is deprecated.
    Do not use GNOME_DEBUG_CHECK as we do not need it.
    Remove checks for perl and awk, and the useless --disable-rebuilds
    configure flag.

M	configure.ac

commit f787eb6d83d4317c59218c9f4dca9ec7358022bc
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 14 13:43:55 2011 +0200

    release: post-release bump to 3.1.3

M	configure.ac

commit 5b389d3a81afa9e63ba124603976c79295182b7d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 14 13:43:46 2011 +0200

    release: 3.1.2

M	NEWS
M	configure.ac

commit b9d0e13899c078b41cf5340e1a77b5157a463495
Author: Richard Hughes <richard@hughsie.com>
Date:   Sun Jun 12 13:53:42 2011 +0100

    Fix a critial warning when connecting and disconnecting outputs
    
    We can't treat these like objects at all, so lets use straightforward pointers.

M	libgnome-desktop/gnome-rr.c

commit fbb353e720e92e35ea583b2a9049d535c5975ed7
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sat Jun 11 14:46:29 2011 +0200

    Updated Hungarian translation

M	desktop-docs/fdl/hu/hu.po

commit 3d2dc6afbb2020b070e8d332276207a9e59f3dd8
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sat Jun 11 14:40:34 2011 +0200

    Updated Hungarian translation

M	desktop-docs/gpl/hu/hu.po

commit cecfa24a9c55b8ada0d9536243b2f2c680583321
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sat Jun 11 14:38:56 2011 +0200

    Updated Hungarian translation

M	desktop-docs/lgpl/hu/hu.po

commit 540585631d4e18f4b90fe3a3869d56f6667fcb18
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Jun 7 15:41:10 2011 +0100

    Emit ::output-connected and ::output-disconnected when screen outputs come and go
    
    If you're using GnomeRRScreen, it's likely you care about outputs, rather than
    the screen itself. These signals should be useful to the gnome-settings-daemon
    xrandr plugin too.

M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit d9166b77a5cd03d7d846e9856e9fe9a23dc08a3c
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Jun 7 12:07:07 2011 +0100

    Add a size return value to gnome_rr_output_get_edid_data()
    
    It's wrong to assume that the EDID size is always 128 bytes if there are
    extension blocks.
    
    This functionality is required if we want to parse the EDID in any safe way.

M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit cbfca51c64971c6dcc53f3bfdb12eb4d214c1170
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sun May 29 18:14:30 2011 +0200

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 8e1bc2df28cdecd044e79d4884ce6945b84c0d63
Author: Colin Walters <walters@verbum.org>
Date:   Wed May 25 12:38:06 2011 -0400

    GnomeDesktopThumbnail: Use GOnce for thread safety
    
    In gnome-shell we got a crash likely caused by multiple threads racing
    on initializing this hash table; see https://bugzilla.redhat.com/show_bug.cgi?id=688852
    
    https://bugzilla.gnome.org/show_bug.cgi?id=651080

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit 1d8eaccae70e067f2c43dbad5aae960845fde31c
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Thu May 19 20:52:33 2011 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 02b92dbae0037ddfb31b8f50beb3079fdf6f1d53
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Sat May 14 21:32:19 2011 +0200

    Updated Esperanto translation

M	po/eo.po

commit 738c554d816995dd40c08f9253a40df9412731e9
Author: Daniel Martinez Cucalon <dmartinez@src.gnome.org>
Date:   Thu May 12 00:38:23 2011 +0200

    Updated Aragonese translation

M	po/an.po

commit 34335b774d839e478e73db43dc8ea5c88f6eb227
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon May 9 13:13:19 2011 +0200

    release: post-release bump to 3.1.2

M	configure.ac

commit b3b6a4a0e9eebdb8337a678fa4aa3637b06516ac
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon May 9 13:13:13 2011 +0200

    release: 3.1.1

M	NEWS
M	configure.ac

commit dbeb3b470ff14165b04045320e724684fbb7199b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat May 7 17:52:45 2011 +0100

    build: Bump version number
    
    So that the new API can checked for properly.

M	configure.ac

commit 92fd42992bfdbf549e3777a6576bfed7b9f0c6db
Author: Daniel Martinez Cucalon <dmartinez@src.gnome.org>
Date:   Sat May 7 00:48:28 2011 +0200

    Updated Aragonese translation

M	po/an.po

commit b3c809e0ec611db269dd38fad20649953713d030
Author: Robert Ancell <robert.ancell@canonical.com>
Date:   Mon May 2 15:56:25 2011 +1000

    gnome-rr-labeler: Add some documentation to keep vuntz happy

M	libgnome-desktop/gnome-rr-labeler.c

commit f08da5c0e4b042508a0735bff841361f75463817
Author: Robert Ancell <robert.ancell@canonical.com>
Date:   Mon May 2 15:42:33 2011 +1000

    gnome-rr-labeler: Add ability to show and hide the monitor labels (to make the display properties capplet able to hide them when it loses focus)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=589562

M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt
M	libgnome-desktop/gnome-rr-labeler.c
M	libgnome-desktop/gnome-rr-labeler.h

commit aa93854f2ba6b0f72f1bdff9699b5724a72c89c9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Apr 30 20:48:03 2011 -0400

    Don't fall over if RANDR is missing
    
    When RANDR is not present, the screen object never gets an info,
    and since screen_info_free asserts, we must not call it unconditionally
    in finalize.
    This fixes https://bugzilla.gnome.org/show_bug.cgi?id=649053

M	libgnome-desktop/gnome-rr.c

commit 636a9772bf87aa81d455c93939706984145e9033
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Apr 26 09:06:17 2011 +0200

    release: post-release bump to 3.0.2

M	configure.ac

commit 2d222001144d9d443d74962219837c002d78385f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Apr 26 09:06:10 2011 +0200

    release: 3.0.1

M	NEWS
M	configure.ac

commit ad9dd52669a23d87c80065843f6419b2d3ec553c
Author: Anousak Souphavanh <anousak@gmail.com>
Date:   Tue Apr 19 12:42:37 2011 +0300

    l10n: Updated Lao translation for gnome-desktop

M	po/lo.po

commit 272f0de661da8f14b95609914c41b10af8339a91
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Tue Apr 5 17:56:30 2011 -0300

    Added Brazilian Portuguese translation

A	desktop-docs/fdl/pt_BR/pt_BR.po

commit 5e3f11d09a2d39883fa594af2532c7a047125e92
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 4 23:01:12 2011 +0200

    release: post-release bump to 3.0.1

M	configure.ac

commit 2599452204a4a75fa0226935e9a448bde23a0a81
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 4 23:01:01 2011 +0200

    release: 3.0.0

M	NEWS
M	configure.ac

commit a8b812300ee8cca8dac2443c640c7f48608bbc51
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:   Tue Apr 5 01:30:45 2011 +0600

    Updated Bengali translation

M	po/bn.po

commit b8849c08adb1ba1b55d1a3511dd9eefd00504dc0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Apr 4 11:18:49 2011 -0400

    Avoid a possible crash
    
    When the spice client goes to fullscreen it (temporarily) turns all xrandr
    outputs off (for some reason). This causes gnome-settings-daemon to crash (and
    respawn and reset the old screen size) due to a NULL deref in libgnome-desktop.
    
    Patch by Alex Larsson
    https://bugzilla.gnome.org/show_bug.cgi?id=646714

M	libgnome-desktop/gnome-rr-config.c

commit e636ef839529aeabec126bbf9b5f2d1ed9385fe4
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:   Mon Apr 4 15:12:37 2011 +0600

    Updated Bengali translation

M	po/bn.po

commit 978fc3d24d9d89dbbc3f9efb71b105d15cd6a99d
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sat Apr 2 19:05:21 2011 +0200

    [l10n]Updated Catalan translation

M	desktop-docs/fdl/ca/ca.po

commit 251efed24323d5b3d729d55a1b61076cf36616d2
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Sat Apr 2 21:42:23 2011 +0530

    Updated Tamil translation

M	po/ta.po

commit a01cc3cbeede82cc234875a5d4114d013467f6d3
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Sat Apr 2 17:53:33 2011 +0530

    Updated Tamil translation

M	po/ta.po

commit 27fb2967f620cbc82da57b9b5eea7700218b6620
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Mar 29 11:26:18 2011 -0600

    bgo#643940 - Include Xlib.h so we can build when RANDR is not available
    
    The RANDR headers include the Xlib paraphernalia, but we don't include those
    headers when gnome-desktop is configured to not use RANDR.  So, instead we
    include Xlib.h so that we'll have defined types for Display, Screen, etc.
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	libgnome-desktop/gnome-rr-private.h

commit ebe98c14a9346dedf6990f16d369c8953d566a5d
Author: Hermien Bos <hermienbos@gmail.com>
Date:   Mon Mar 28 23:21:43 2011 +0200

    Update translation for Afrikaans (af)

M	po/af.po

commit dfac52129a2b9077790d8ed177bcea8c1a73f934
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Sun Mar 27 19:42:53 2011 +0200

    Added UG translation

M	po/ug.po

commit 2f05cc2367065dceaabd6c89aeee817ccc5a8458
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Thu Mar 24 12:58:46 2011 -0400

    release: post-release bump to 3.0.0

M	configure.ac

commit 71e264effbd4c67d8108fb65b4a74823766e9bf4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Thu Mar 24 12:17:10 2011 -0400

    release: update for 2.91.93

M	NEWS

commit 5f06798ca90166e7cc909e28e5cad07035faa855
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Thu Mar 24 12:15:54 2011 -0400

    release: pre-release drop to 2.91.93

M	configure.ac

commit bd2b5fd8bb4c8088987ee0664fcc7a7452a795db
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Thu Mar 24 12:11:41 2011 -0400

    Revert "gnome-bg: force property update when doing new crossfade frame"
    
    This was actually committed by accident, and it triggers crashes in
    Xorg every time the background is set.
    
    See
    https://mail.gnome.org/archives/release-team/2011-March/msg00244.html
    for more details.
    
    This reverts commit e36d931ca2aad168427e22d23f9013316854370e.

M	libgnome-desktop/gnome-bg-crossfade.c

commit 10cd1a448be029de6acf2e25c998ece3990c4d0d
Author: Frédéric Péters <fpeters@0d.be>
Date:   Tue Mar 22 09:51:15 2011 +0100

    release: post-release bump to 3.0.0

M	configure.ac

commit 34e6ad62658bc4a0ed6d6fd61c907744e4d802d3
Author: Frédéric Péters <fpeters@0d.be>
Date:   Tue Mar 22 09:49:16 2011 +0100

    release: 2.91.92

M	NEWS

commit 500b8f078df4816fbe2215335f1d42ff500d905c
Author: Amitakhya Phukan <amitakhya@svn.gnome.org>
Date:   Mon Mar 21 11:41:12 2011 +0530

    Updated Assamese translations

M	po/as.po

commit 74da91231a8f164a21797010d0e72264b2ddc43c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Wed Mar 16 11:02:53 2011 -0400

    all: fix build warnings with GCC 4.6

M	libgnome-desktop/edid-parse.c
M	libgnome-desktop/gnome-bg.c

commit e36d931ca2aad168427e22d23f9013316854370e
Author: Ray Strode <rstrode@redhat.com>
Date:   Mon Feb 7 13:56:41 2011 -0500

    gnome-bg: force property update when doing new crossfade frame
    
    gnome-shell needs to get notified about animation updates.
    
    This commit frobs the property to wake mutter up.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=641526

M	libgnome-desktop/gnome-bg-crossfade.c

commit 091f5ac8d75fee339dd3349fc688276cd228c594
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Fri Mar 11 21:38:30 2011 +0300

    Updated Russian translation

M	po/ru.po

commit 8ac654c7f6905d7f86482c15a269e1bf2c1246f7
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Wed Mar 9 20:25:04 2011 +0200

    Updated Latvian translation.

M	po/lv.po

commit 7f3e3d5200618d66ebba0654517affc012cef875
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Mar 9 13:24:15 2011 +0000

    gnome-bg: Use picture-uri GSettings key
    
    https://bugzilla.gnome.org/show_bug.cgi?id=633983

M	libgnome-desktop/gnome-bg.c

commit f89d8a582abbb79898a93d26a8c0f52f74b20bd2
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Mar 7 13:00:51 2011 -0600

    bgo#643940 - Don't build some RANDR code if RANDR is not available
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	libgnome-desktop/gnome-rr.c

commit c8eefe95713bb5f7ad4b14a36df71914262c1e5f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 7 00:09:52 2011 +0100

    release: post-release bump to 2.91.92

M	configure.ac

commit 6a6ea339c011640ad77d55f4971842f7e02db61c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 7 00:09:44 2011 +0100

    release: 2.91.91

M	NEWS
M	configure.ac

commit ef79ade712f6bd7e5f64ae4eef74075d762f8f4b
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sat Mar 5 14:17:51 2011 +0200

    Updated Latvian translation.

M	po/lv.po

commit 0cc4c35cbd94260beda1c247a4a59ee6860b185e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Mar 4 18:43:43 2011 +0100

    configure: Bump GTK+ requirements to 3.0

M	configure.ac

commit 446e8ffcf16ccf909f45b293532f50996b0dd728
Author: Benjamin Otte <otte@redhat.com>
Date:   Thu Mar 3 16:54:58 2011 +0100

    introspection: Fix c-includes to actually include headers

M	libgnome-desktop/Makefile.am

commit 07f7e80d6317400cbf40a7c062be0c1c353f3289
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Sun Feb 27 18:47:52 2011 +0200

    Uploaded Ukranian

M	po/uk.po

commit 290f26db749a9923666e3fb09e413a068e10e045
Author: Yinghua Wang <wantinghard@gmail.com>
